# fix build (debuginfo package is empty...):
# (we don't build anything we package directly, but we're arched b/c we include
#  binaries from the system and from our sources into an image)
%define debug_package %{nil}

# whether stage2 image should contains usefull tools for debugging:
%define debug 0

Summary: DrakX installer stage2 image
Name: drakx-installer-stage2
Version: 18.66
Release: %mkrel 2
Source0: %{name}-%{version}.tar.xz
# NO PATCH ALLOWED
License: GPLv2+
Group: Development/Other
Url: https://wiki.mageia.org/en/Drakx-installer_tips_and_tricks
ExclusiveArch:  %{ix86} x86_64

# for building the stage2 image:
BuildRequires: squashfs-tools >= 4.3
# for compiling the c module:
BuildRequires: perl-devel
BuildRequires: libldetect-devel >= 0.1.348
BuildRequires: pkgconfig(libparted)
BuildRequires: pkgconfig(libtirpc)
# for pcmcia-probe.o:
BuildRequires: drakx-installer-binaries >= 2.62-2
# graphical stack:
BuildRequires: task-x11
BuildRequires: x11-server-xorg >= 21.1.0-2
BuildRequires: x11-data-xkbdata >= 1.8-2
BuildRequires: xmodmap
BuildRequires: xset
BuildRequires: monitor-edid
BuildRequires: spice-vdagent
BuildRequires: libinput-tools
# toolkit:
BuildRequires: libgdk_pixbuf2.0
BuildRequires: librsvg2
BuildRequires: perl-Cairo
BuildRequires: perl-Curses-UI
BuildRequires: perl-Glib-Object-Introspection
BuildRequires: perl-Pango
BuildRequires: perl(Gtk3) >= 0.14.0-8
BuildRequires: perl(Gtk3::WebKit2)
BuildRequires: adwaita-icon-theme
# for introspection:
BuildRequires: %{_lib}atk-gir1.0
BuildRequires: %{_lib}cairo-gir1.0
BuildRequires: %{_lib}freetype-gir2.0
BuildRequires: %{_lib}gdk_pixbuf-gir2.0
BuildRequires: %{_lib}glib-gir2.0
BuildRequires: %{_lib}gtk-gir3.0 >= 3.14.8-3
BuildRequires: %{_lib}pango-gir1.0
BuildRequires: %{_lib}xlib-gir2.0
# wm:
BuildRequires: mutter
# drivers:
BuildRequires: x11-driver-input-libinput
%ifarch %ix86 x86_64
BuildRequires: x11-driver-video-vesa
%endif
BuildRequires: x11-driver-input-wacom
BuildRequires: libwacom
BuildRequires: x11-driver-video-fbdev >= 0.4.4-11
# theme:
BuildRequires: gnome-themes-standard
# Text mode:
BuildRequires: perl(Curses)
BuildRequires: perl(Curses::UI)
BuildRequires: perl(Term::ReadKey)
# Misc perl modules:
BuildRequires: drakx-kbd-mouse-x11 >= 1.33-1
BuildRequires: drakx-net >= 2.54
BuildRequires: perl(Clone)
BuildRequires: perl(List::MoreUtils::XS)
BuildRequires: perl(MDK::Common) >= 1.2.28
BuildRequires: perl(Net::Ping)
BuildRequires: perl(XML::Parser)
BuildRequires: perl(XML::SAX::Base)
BuildRequires: perl(XML::LibXML)
# for macro files:
BuildRequires: rpm-mageia-setup >= 1.48
BuildRequires: rpm >= 4.13.0-0.rc1.19
# urpmi:
BuildRequires: aria2 >= 1.18.1-2
BuildRequires: perl-URPM >= 5.16
BuildRequires: urpmi >= 8.118-1
BuildRequires: curl >= 7.62.0-2
BuildRequires: wget
# for compssUsers.pl:
BuildRequires: meta-task >= 9-0.19
# HW enumeration:
BuildRequires: ldetect-lst >= 0.6.25-1
BuildRequires: pciutils
# progs
BuildRequires: setserial
BuildRequires: mt-st
BuildRequires: pcmcia-cs
BuildRequires: ash
# Fonts:
BuildRequires: fonts-ttf-bengali
BuildRequires: fonts-ttf-bitstream-vera
BuildRequires: fonts-ttf-lohit
BuildRequires: fonts-ttf-thai
BuildRequires: fonts-ttf-devanagari
BuildRequires: fonts-ttf-wqy-microhei
BuildRequires: fonts-ttf-dejavu
# RAID/LVM:
BuildRequires: cryptsetup
BuildRequires: dmraid
BuildRequires: dmsetup
BuildRequires: mdadm
BuildRequires: quota
BuildRequires: lvm2
BuildRequires: kpartx
# locales:
BuildRequires: gettext
BuildRequires: glibc-i18ndata
BuildRequires: locales
BuildRequires: perl_checker
BuildRequires: perl(Locale::gettext)
# time zone data:
BuildRequires: timezone
# for mime.cache:
BuildRequires: shared-mime-info
# braille display for blind people:
BuildRequires: brltty
# for screenshots:
BuildRequires: scrot
# misc:
BuildRequires: draksnapshot
# help:
BuildRequires: drakx-installer-help >= 6.3-1
# grub:
BuildRequires: grub2-common
# FS:
BuildRequires: btrfs-progs
BuildRequires: dosfstools
BuildRequires: e2fsprogs >= 1.42.12
BuildRequires: f2fs-tools
BuildRequires: exfatprogs
BuildRequires: jfsutils
BuildRequires: mtools
BuildRequires: nfs-utils
BuildRequires: nilfs-utils
BuildRequires: ntfs-3g
BuildRequires: ntfs-3g-system-compression
BuildRequires: reiserfsprogs
BuildRequires: xfsprogs
# For HWDB (but maybe should we just not included those files):
# For /usr move at build time:
BuildRequires: dracut
#debug:
%if %debug
BuildRequires: busybox
BuildRequires: gdb
BuildRequires: perl-Term-ReadLine-Gnu
BuildRequires: strace
%endif

%description
This is the stage2 image for %_vendor DrakX installer.

It can be rebuilt with debug.

%prep
%autosetup -p1

%build
make -C tools
make -C perl-install/install
rpm -qa | sort > build-rpms.lst

%install
%if %debug
# dont run directly stage2, enable to do checks or run installer GUI with gdb:
export DEBUG_INSTALL=1
# run directly installer
perl -pi -e 'undef $_ if /make dont_run_directly_stage2/' perl-install/install/Makefile
# example: how to preset keyboard to eg "fr" in debug mode:
#export DEBUG_INSTALL_LANG=fr
%endif
dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
make -C perl-install/install install ROOTDEST=$dest
make -C tools install ROOTDEST=$dest
# FIXME: nuke unwanted file
rm -rf $dest/install/stage2/usr

%check
cd perl-install
%make_build check_perl_checker

%files
%doc build-rpms.lst
%{_libdir}/%name


%changelog
* Sat Aug 19 2023 tmb <tmb> 18.66-2.mga9
+ Revision: 1964888
- rebuild for release

* Sat Aug 19 2023 martinw <martinw> 18.66-1.mga9
+ Revision: 1964878
- Revert change of default DHCP client to dhcpcd (mga#30938)

* Fri Aug 11 2023 tmb <tmb> 18.65-3.mga9
+ Revision: 1964634
- rebuild for release

* Sun Jul 23 2023 tmb <tmb> 18.65-2.mga9
+ Revision: 1964139
- rebuild for updated ldetect-lst

* Tue Jul 11 2023 tmb <tmb> 18.65-1.mga9
+ Revision: 1963899
- add ntfs3 to isFat_or_NTFS()
- sync list of modules needing firmware with kernel-desktop-6.4.2-2.mga9
- Sync list_modules with kernel 6.4

* Sat Jun 24 2023 martinw <martinw> 18.64-2.mga9
+ Revision: 1962946
- rebuild for drakx-net-2.57

* Sat Jun 24 2023 martinw <martinw> 18.64-1.mga9
+ Revision: 1962921
- change default DHCP client to dhcpcd (mga#30938)
- updated translations

* Fri Jun 23 2023 tmb <tmb> 18.62-3.mga9
+ Revision: 1962894
- rebuild for updated packages

* Mon Jun 19 2023 tmb <tmb> 18.62-2.mga9
+ Revision: 1962553
- rebuild for updated packages

* Fri Apr 28 2023 martinw <martinw> 18.62-1.mga9
+ Revision: 1955258
- Update for changes in Adwaita icon locations
- Include ModemManager and NetworkManager in Networking services category
- Updated translations

* Mon Apr 17 2023 martinw <martinw> 18.60-1.mga9
+ Revision: 1953502
- New artwork for Mageia 9

* Mon Apr 10 2023 tmb <tmb> 18.58-1.mga9
+ Revision: 1951921
- 18.58

* Wed Mar 29 2023 martinw <martinw> 18.57-1.mga9
+ Revision: 1950661
- Use OK/Cancel as button names when asking whether to retry after failing to add on-line media
- Recognize new kernel 6.0 drivers
- Updated translations

* Sun Mar 19 2023 tmb <tmb> 18.56-2.mga9
+ Revision: 1949742
- rebuild for new meta-task

* Thu Feb 09 2023 tmb <tmb> 18.56-1.mga9
+ Revision: 1939810
- update list of kernel modules needing firmware
- Recognize new kernel 5.19 drivers
- Recognize new kernel 6.0 drivers
- Recognize new kernel 6.1 drivers

* Sat Jan 21 2023 martinw <martinw> 18.54-2.mga9
+ Revision: 1934698
- Rebuild for new urpmi.

* Fri Jan 06 2023 martinw <martinw> 18.54-1.mga9
+ Revision: 1930779
- Apply workaround to fix display of release notes (mga#31294)

* Thu Dec 29 2022 martinw <martinw> 18.53-1.mga9
+ Revision: 1927940
- Add openssl config file needed when running cryptsetup (mga#31315)
- updated translations

* Wed Dec 21 2022 tv <tv> 18.52-2.mga9
+ Revision: 1925548
- Rebuild with fixed URPM

* Sat Dec 03 2022 martinw <martinw> 18.52-1.mga9
+ Revision: 1916065
- support https URLs for online media
- allow user to specify the downloader used for online supplementary media
- allow user to specify a specific mirror and downloader when applying updates
  at the end of installation
- updated translations

* Sun Nov 06 2022 martinw <martinw> 18.51-2.mga9
+ Revision: 1904036
- rebuild to use urpmi 8.128

* Sat Oct 29 2022 martinw <martinw> 18.51-1.mga9
+ Revision: 1899995
- adapt to WebKit2 4.1
- include rpm & rpmdb to allow database to be converted to sqlite (mga#31024)
- bootloader: ensure efivars are mounted before installing a UEFI bootloader (mga#31008)

* Sat Sep 17 2022 martinw <martinw> 18.50-1.mga9
+ Revision: 1889606
- bootloader: don't remove existing failsafe/nonfb entries on upgrade
              if we aren't replacing them with new ones
- bootloader: add options to change the rEFInd background (mga#28073)
- Update the list of drivers that need a nonfree firmware against kernel-5.18

* Wed Jun 08 2022 tv <tv> 18.49-1.mga9
+ Revision: 1863518
- Adapt to perl 5.28
- package installation:
  o retry downloading packages in case of error (mga#28539)
- Recognize new kernel 5.17 drivers
- Recognize new kernel 5.18 drivers

* Sat Apr 02 2022 umeabot <umeabot> 18.48-2.mga9
+ Revision: 1840920
- Mageia 9 Mass Rebuild

* Mon Jan 17 2022 tv <tv> 18.48-1.mga9
+ Revision: 1768827
- Enable to alter default downloader (mga#28539)
  eg: " downloader=wget"

* Fri Dec 17 2021 tmb <tmb> 18.47-4.mga9
+ Revision: 1762410
- rebuild for new xorg server and ldetect-lst

* Fri Dec 10 2021 tmb <tmb> 18.47-3.mga9
+ Revision: 1761329
- rebuild for new perl-URPM

* Sat Nov 13 2021 tv <tv> 18.47-2.mga9
+ Revision: 1756180
- Rebuild with x11-server-xorg-21.1.1

* Sun Oct 31 2021 tv <tv> 18.47-1.mga9
+ Revision: 1753373
- Adapt to xserver-21.1
- Debug mode:
  o Adapt to the fact that gdb-11.1 uses guile-3
  o Adapt to gdb-11.1 (missing scm files)
  o Add a wrapper to easily debug Xorg
- Need x11-server-xorg >= 21.1.0-2 for fixed fbdev/vesa

* Fri Aug 20 2021 tv <tv> 18.46-2.mga9
+ Revision: 1742021
- Rebuild for  rpm-4.17.0~rc1

* Sun Jun 06 2021 tv <tv> 18.46-1.mga9
+ Revision: 1729911
- Adjust to x11-data-xkbdata-2.32
- Adapt to gdk_pixbuf 2.42.6
- Rebuild for rpm-4.16.90 + urpmi
+ tmb <tmb>
- rebuild for updated packages

* Sat Feb 27 2021 tmb <tmb> 18.45-2.mga9
+ Revision: 1692750
- rebuild for re-opened cauldron

* Sun Feb 21 2021 tmb <tmb> 18.45-1.mga8
+ Revision: 1675645
- Fix step-categories color to make it visible in the installer (mga#28375)
- Adjust logo colours on left background
- translation updates

* Wed Feb 17 2021 tmb <tmb> 18.44-2.mga8
+ Revision: 1675575
- rebuild for latest packages

* Mon Feb 15 2021 tmb <tmb> 18.44-1.mga8
+ Revision: 1675430
- final artwork
- translation updates

* Sun Feb 14 2021 tmb <tmb> 18.43-2.mga8
+ Revision: 1675373
- rebuild for latest packages

* Sun Jan 31 2021 martinw <martinw> 18.43-1.mga8
+ Revision: 1674241
- bootloader: don't remove os-prober before user makes choice (mga#28223)
- updated translations

* Sun Jan 31 2021 tmb <tmb> 18.42-4.mga8
+ Revision: 1674227
- rebuild for updated packages

* Wed Jan 27 2021 tmb <tmb> 18.42-3.mga8
+ Revision: 1673681
- rebuild with fixed drakx-kbd-mouse-x11 and ldetect-lst

* Tue Jan 26 2021 tmb <tmb> 18.42-2.mga8
+ Revision: 1673597
- rebuild for new ldetect-lst

* Tue Jan 26 2021 martinw <martinw> 18.42-1.mga8
+ Revision: 1673523
- updated translations
- prefer using UUID for mmcblk and nvme devices (mga#28111)

* Mon Jan 25 2021 tmb <tmb> 18.41-7.mga8
+ Revision: 1673309
- rebuild for new meta-task and ldetect-lst

* Sun Jan 24 2021 tmb <tmb> 18.41-6.mga8
+ Revision: 1673155
- rebuild for new ldetect-lst and drakx-kbd-mouse-x11

* Fri Jan 22 2021 tmb <tmb> 18.41-5.mga8
+ Revision: 1672869
- rebuild for updated packages

* Thu Jan 21 2021 tmb <tmb> 18.41-4.mga8
+ Revision: 1672717
- rebuild with fixed meta-task

* Wed Jan 20 2021 tmb <tmb> 18.41-3.mga8
+ Revision: 1672697
- rebuild for latest meta-task

* Wed Jan 13 2021 tmb <tmb> 18.41-2.mga8
+ Revision: 1671552
- rebuild for updated packages

* Tue Jan 12 2021 tmb <tmb> 18.41-1.mga8
+ Revision: 1671411
- Artwork for Mageia 8
- Left background set to rc1

* Mon Jan 11 2021 martinw <martinw> 18.40-1.mga8
+ Revision: 1671045
- updated translations
- fix handling of TYPE"64bit" flags when reading rpmsrate
  o ensure 32-bit packages are not pre-selected on 64-bit systems

* Sat Jan 09 2021 tmb <tmb> 18.39-4.mga8
+ Revision: 1670213
- rebuild for updated packages

* Fri Jan 08 2021 tmb <tmb> 18.39-2.mga8
+ Revision: 1669873
- rebuild for new ldetect-lst

* Mon Jan 04 2021 tmb <tmb> 18.39-1.mga8
+ Revision: 1668882
- 18.39
  - Update translations
  - disable timeout when installing updates (mga#27981)
    o this can take a long time when there are many updates
  - recognize rtw89_pci driver

* Tue Dec 29 2020 tv <tv> 18.38-1.mga8
+ Revision: 1664823
- bootloader:
  o fix false detection of GRUB2 when installed in ESP but not in /boot,
    which caused boot method to default to non-graphical GRUB2 (mga#27816)
  o add option to configure rEFInd to not use EFI NVRAM (mga#27838)
- partitioning:
  o erase iso9660 signature when clearing hybrid ISO disk (mga#27864)
  o restrict line length when displaying base device info
    to prevent window extending off screen (mga#27882)
- support https in media URL (mga#27776)

* Thu Dec 10 2020 tv <tv> 18.37-2.mga8
+ Revision: 1655144
- rebuild for rpm-4.16.1

* Sat Dec 05 2020 tv <tv> 18.37-1.mga8
+ Revision: 1652998
- Fix file list with glibc-2.32
- recognize more rtw88_*
- recognize new kernel 5.10 drivers
- sync list for modules needing firmware with kernel 5.9
- rebuild for new glibc/libdb/libinput/rpm/X.org

* Tue Nov 24 2020 tv <tv> 18.35-2.mga8
+ Revision: 1648868
- rebuild for new drakx-net/ldetect-lst/urpmi

* Fri Nov 20 2020 tv <tv> 18.35-1.mga8
+ Revision: 1647996
- partitioning:
  o do not mount ESP with umask=0 under UEFI (mga#27415)
  o fix "partition table is too corrupt for me" error when a mdadm RAID array
    has been created outside Mageia tools using raw devices (mga#26707)
  o include tools for exfat

* Fri Nov 20 2020 tv <tv> 18.34-2.mga8
+ Revision: 1647936
- rebuild for new perl/kernel-5.9 tools/f2fs-tools/gdk-pixbuf2

* Wed Oct 14 2020 tv <tv> 18.34-1.mga8
+ Revision: 1635971
- services:
  o include systemd sockets and timers
- bootloader:
  o keep timeout value when it's 0 (mga#27158)
- recognize new kernel 5.9 drivers

* Mon Sep 28 2020 tv <tv> 18.33-3.mga8
+ Revision: 1630962
- rebuild for perl+rpm

* Thu Aug 27 2020 tv <tv> 18.33-2.mga8
+ Revision: 1619262
- rebuild for perl+xserver

* Wed Aug 19 2020 tv <tv> 18.33-1.mga8
+ Revision: 1616205
- recognize new kernel 5.5 - 5.8 drivers
- support loading auto_install file from https url
- report.bug:
  o log data about LVM
  o log data about dmsetup

* Wed Jun 24 2020 tv <tv> 18.31-3.mga8
+ Revision: 1599092
- rebuild for rpm-4.16.0 beta3

* Tue Jun 23 2020 tv <tv> 18.31-2.mga8
+ Revision: 1598814
- rebuild for rpm-4.16.0 beta2

* Thu Jun 18 2020 martinw <martinw> 18.31-1.mga8
+ Revision: 1596514
- restore flat list option for individual package selection
- add option to install GRUB2 bootloader in \EFI\BOOT (mga#24282)
- improved behaviour when installing on a removable device (mga#26761)
  o only use swap partitions on that device
  o default to installing bootloader on that device
    (in \EFI\BOOT for UEFI bootloaders)
  o default to not including other OSs in GRUB2 boot menu
- fix free space calculation when auto-allocating partitions

* Tue Jun 09 2020 martinw <martinw> 18.30-1.mga8
+ Revision: 1591389
- don't show hardware in summary screen when match_all_hardware flag is set

* Tue Jun 09 2020 tv <tv> 18.29-2.mga8
+ Revision: 1591210
- rebuild with latest rpm-4.16

* Sat Jun 06 2020 martinw <martinw> 18.29-1.mga8
+ Revision: 1590771
- partitioning: exclude ISO installer medium from available disks (mga#26714)

* Fri May 29 2020 martinw <martinw> 18.28-1.mga8
+ Revision: 1588846
- bootloader: don't die in write_grub2 if grub.cfg doesn't exist (mga#26676)
- translation updates

* Fri May 08 2020 tmb <tmb> 18.27.1-1.mga8
+ Revision: 1581781
- bootloader:
  fix typo x86 -> x64 for matching 64bit grub2-efi(x86-64)

* Fri May 01 2020 tv <tv> 18.27-1.mga8
+ Revision: 1577308
- bootloader config:
  o do not try to enable non existing acpi service
  o rename /boot/efi as /boot/EFI if needed (mga#22395)
- partitioning:
  o it's now possible to set labels on exfat
- select only once needed fs tools

* Tue Apr 14 2020 tv <tv> 18.26-1.mga8
+ Revision: 1567346
- bootloader config: copy instead of renaming grub.cfg (mga#25542)
- install dmsetup when encrypting "/" (thus workarounding unbootable minimal
  system as dracut's crypt module depends on it)
- partitioning:
  o add minimal support for exFAT

* Tue Mar 31 2020 tv <tv> 18.25-2.mga8
+ Revision: 1562713
- rebuild for new e2fsprogs/gtk+3.0/libinput/perl/x11-server

* Wed Mar 18 2020 tv <tv> 18.25-1.mga8
+ Revision: 1557752
- adjust debug build to current python
- partitioning:
  o enable to inspect NILFS2 formated partitions
  o enable to install on F2FS formated partitions
  o enable to resize NILFS2
  o enable to resize XFS during install
  o fix online resizing not always umounting fs after resizing
- recognize new kernel 5.5 drivers
- show how to directly run the installer even when including gdb
- explain how to be able to run installer under gdb

* Sun Mar 15 2020 martinw <martinw> 18.24-1.mga8
+ Revision: 1556533
- fix tracking of installed packages (mga#26284)
- include plugin for supporting Windows 10 NTFS "Compact OS"
- drakx-in-chroot:
  o skip disk ESP & BIOS boot partition checks
- partitioning:
  o make reformating nilfs2 fses to work
- sync list for modules needing firmware with kernel 5.5
- write ISO label and date to installer log
+ tv <tv>
- BR f2fs-tools & ntfs-3g-system-compression

* Wed Feb 19 2020 umeabot <umeabot> 18.23-2.mga8
+ Revision: 1544315
- Mageia 8 Mass Rebuild

* Sat Jan 25 2020 tv <tv> 18.23-1.mga8
+ Revision: 1482818
- manualy add BRs that should be pulled as deps - no time to investigate
- adapt to libinput-1.15.0
- recognize new kernel 5.3 drivers
+ tmb <tmb>
- rebuild to pick up rpm & perl-URPM changes for zstd compressed metadata & synthesis

* Sun Nov 24 2019 tv <tv> 18.22-4.mga8
+ Revision: 1462678
- rebuild for new rpm & perl
- rebuild for new libparted & e2fsprogs

* Sun Sep 15 2019 tv <tv> 18.22-2.mga8
+ Revision: 1441502
- rebuild with new rpm linked perl-URPM

* Fri Sep 13 2019 tv <tv> 18.22-1.mga8
+ Revision: 1440225
- rebuild for perl-5.30 & rpm-4.15
- adapt to libinput 1.4
- adjust to new rpm-mageia-setup
- new Gtk3 needs GdkPixdata-2.0

* Thu Jul 11 2019 tmb <tmb> 18.21-2.mga8
+ Revision: 1420322
- rebuild for new systemd

* Sun Jun 23 2019 akien <akien> 18.21-1.mga7
+ Revision: 1400546
- Update installer left-background for Mageia 7 final

* Sat Jun 22 2019 tmb <tmb> 18.20-4.mga7
+ Revision: 1400517
- rebuild for updated packages

* Fri Jun 21 2019 tmb <tmb> 18.20-3.mga7
+ Revision: 1400415
- rebuild for updated packages

* Tue Jun 18 2019 tmb <tmb> 18.20-2.mga7
+ Revision: 1400304
- fix version in tarball

* Tue Jun 18 2019 tmb <tmb> 18.20-1.mga7
+ Revision: 1400253
- translation updates
- update list for modules needing firmware
- recognize 8821ce (mga#24605)

* Mon May 27 2019 martinw <martinw> 18.19-1.mga7
+ Revision: 1399260
- preselect Core 32bit media on 32-bit EFI platforms
- include all of /usr/lib/udev/hwdb.d (mga#20327)

* Mon May 20 2019 tmb <tmb> 18.18-1.mga7
+ Revision: 1398580
- translation updates

* Sun May 19 2019 tmb <tmb> 18.16-2.mga7
+ Revision: 1398505
- rebuild for release

* Sat May 11 2019 tmb <tmb> 18.16-1.mga7
+ Revision: 1397249
- Mageia 7 Artwork
- add AMD PCIe MP2 I2C detection

* Fri May 03 2019 tv <tv> 18.15-1.mga7
+ Revision: 1396278
- recognize new kernel 5.1 drivers

* Fri Apr 26 2019 tv <tv> 18.14-1.mga7
+ Revision: 1395434
- include libinput model quirks rules (mga#20327)

* Sun Apr 21 2019 martinw <martinw> 18.13-1.mga7
+ Revision: 1394489
- partitioning: speed up partition table read and write (mga#15752)
- preserve existing locale settings on upgrade (mga#24671)
- store country code in /etc/locale.conf (mga#24671)
- don't automatically change time zone on upgrade (mga#24670)
- partitioning: fix resize of encrypted partitions (mga#22032)
- translation updates

* Sat Mar 30 2019 tmb <tmb> 18.12-2.mga7
+ Revision: 1381677
- rebuild for updated packages

* Sun Mar 17 2019 martinw <martinw> 18.12-1.mga7
+ Revision: 1378156
- don't preselect Nonfree 32bit media (mga#23927)
- fix paths to Adwaita icons (changed in adwaita-icon-theme)
- recognize new kernel 5.0 drivers
- fix screen layout when the framebuffer is > 1024x768 (mga#23904)
- translation updates

* Wed Feb 27 2019 tmb <tmb> 18.10-2.mga7
+ Revision: 1370389
- rebuild for new x11-server and meta-task

* Sun Feb 03 2019 martinw <martinw> 18.10-1.mga7
+ Revision: 1362935
- skip setupSCSI step when run with --local_install (mga#24278)
- don't install nonfree graphics drivers when not wanted (mga#24172)
- don't select default bootloader when building Live ISOs
- improve exitInstall message (mga#24046)
- translation updates

* Sat Feb 02 2019 tmb <tmb> 18.9-3.mga7
+ Revision: 1362562
- rebuild for new packages

* Sun Jan 13 2019 tmb <tmb> 18.9-2.mga7
+ Revision: 1356133
- rebuild for new meta-task, btrfs-progs, mdadm, ...

* Mon Dec 17 2018 martinw <martinw> 18.9-1.mga7
+ Revision: 1342429
- avoid resetting keyboard layout at end of formatting step (mga#23877)
- bootloader:
  o only prefer rEFInd if it is installed in the root fs (mga#23944)
  o support 32-bit UEFI with 64-bit O/S
- translation updates

* Mon Dec 03 2018 tmb <tmb> 18.8.1-2.mga7
+ Revision: 1338151
- rebuild for updated packages

* Sat Dec 01 2018 tmb <tmb> 18.8.1-1.mga7
+ Revision: 1337177
- 32bit ix86 desktop kernels are now PAE, for PTI security fixes to work properly
  * if if cpu is not supporting cmov/pae, install the desktop586 kernel
  * only install server kernel if its server hardware according to dmi info

* Wed Nov 28 2018 tv <tv> 18.8-1.mga7
+ Revision: 1336302
- only install radeon-firmware if needed (mga#23911)
- sync list of drivers needing a firmware with kernel 4.19

* Tue Nov 27 2018 tv <tv> 18.7-1.mga7
+ Revision: 1336067
- bootloader: display "ESP" in summary under UEFI
- check DM really is installed, not just present in /usr/share/X11.dm.d
- packages selection:
  o open-vm-tools is handled through rpmsrate

* Tue Nov 27 2018 tv <tv> 18.6-2.mga7
+ Revision: 1336002
- rebuild for updated /etc/urpmi/prefer.vendor.list (mga#23894)

* Wed Nov 21 2018 tv <tv> 18.6-1.mga7
+ Revision: 1332586
- fix DM preference when none is selected (don't default to XDM)
- fix some DE name/capitalisation inconsistencies (mga#23634 + others)
- remove version from Enlightenment DE name strings (mga#19341)

* Mon Nov 19 2018 tv <tv> 18.5-1.mga7
+ Revision: 1332037
- bootloader: ignore GPT disk w/o BIOS boot part (mga#23844) in automatic mode
- recognize new kernel 4.1[89] drivers

* Fri Nov 16 2018 tmb <tmb> 18.4-4.mga7
+ Revision: 1330253
- rebuild with new ldetect-lst

* Fri Nov 16 2018 tmb <tmb> 18.4-3.mga7
+ Revision: 1330122
- rebuild for new ldetect-lst

* Sun Nov 11 2018 tmb <tmb> 18.4-2.mga7
+ Revision: 1329515
- rebuild for updated packages

* Sun Nov 04 2018 martinw <martinw> 18.4-1.mga7
+ Revision: 1328362
- adapt set_autologin for display-manager service, not prefdm (mga#22593)
- drakx-in-chroot:
  o allow monitor-edid to be suppressed in post-install scriptlets
- translation updates

* Mon Oct 15 2018 tv <tv> 18.3-1.mga7
+ Revision: 1320446
- drakboot: add support for the rEFInd boot manager (mga#15153)
- include Encode::Unicode module (needed by bootloader::write_refind)

* Sat Sep 15 2018 tv <tv> 18.1-2.mga7
+ Revision: 1258990
- really rebuild with fixed perl-URPM (mga#23531)

* Mon Sep 10 2018 tv <tv> 18.0-3.mga7
+ Revision: 1258138
- explicitely BR dmsetup
- rebuild for new rpm/gtk+3/perl

* Sun Aug 26 2018 tmb <tmb> 18.0-2.mga7
+ Revision: 1254513
- rebuild for new btrfs-progs, xfsprogs

* Sat Aug 25 2018 tv <tv> 18.0-1.mga7
+ Revision: 1254387
- remove current media before adding online media for updates (mga#19742)
- bootloader: include the "Mageia" entry in the gub2 Default choices (mga#23393)
- include mode modules for Encode (mga#23481)

* Thu Aug 23 2018 tv <tv> 17.99-3.mga7
+ Revision: 1253595
- rebuild for new rpm&perl

* Tue Aug 14 2018 tv <tv> 17.99-2.mga7
+ Revision: 1251524
- rebuild with rebuilt MDK::Common (mga#23442)

* Thu Aug 09 2018 tv <tv> 17.99-1.mga7
+ Revision: 1250640
- adapt to libinput 1.12 RC1
- adapt to perl 5.28
- recognize smartpqi driver (mga#23305)

* Fri Jul 13 2018 tv <tv> 17.98-3.mga7
+ Revision: 1243501
- rebuild for new rpm + libinput

* Fri Jun 22 2018 tv <tv> 17.98-2.mga7
+ Revision: 1238851
- rebuild for new ldetect-lst

* Fri Jun 22 2018 tv <tv> 17.98-1.mga7
+ Revision: 1238824
- recognize new kernel 4.1[5-7] drivers

* Mon Jun 11 2018 tv <tv> 17.97-2.mga7
+ Revision: 1236239
- rebuild for new fbdev driver

* Tue Jun 05 2018 tv <tv> 17.97-1.mga7
+ Revision: 1234640
- libinput-list-devices is no more
- rebuild with xserver-1.20

* Mon May 21 2018 tv <tv> 17.96-3.mga7
+ Revision: 1231276
- rebuild with updated pkgs (perl, ntfs-3g, ...)

* Tue Apr 17 2018 tv <tv> 17.96-2.mga7
+ Revision: 1219683
- rebuild with new perl + e2fsprogs + gtk+3

* Tue Mar 13 2018 martinw <martinw> 17.96-1.mga7
+ Revision: 1209098
- support ChooseMedia in auto-install interactiveSteps
- fix spurious error messages when installing network driver packages
- translation updates
+ tmb <tmb>
- rebuild for new packages

* Sun Feb 18 2018 tv <tv> 17.95-2.mga7
+ Revision: 1202736
- rebuild with new libinput + vesa driver

* Sat Feb 10 2018 tv <tv> 17.95-1.mga7
+ Revision: 1200146
- include sensors in udev's HWDB
- debug mode:
  o include rpm & urpmi tools
- recognize more new kernel-4.14 drivers

* Sat Feb 10 2018 tv <tv> 17.94-3.mga7
+ Revision: 1200060
- rebuild with fixed perl-URPM for mga#21886
+ schedbot <schedbot>
- Rebuild for new perl-URPM

* Fri Feb 09 2018 tv <tv> 17.94-1.mga7
+ Revision: 1199960
- add input rules from new systemd (mga#21886)
- debug mode:
  o adjust for python-3.6
  o include chroot & partprobe too
- fix including libinput tool
- fix local install on systems without usb
+ schedbot <schedbot>
- Rebuild for new perl
- Rebuild for new meta-task

* Thu Feb 01 2018 schedbot <schedbot> 17.93-5.mga7
+ Revision: 1198511
- Rebuild for new ldetect-lst
- Rebuild for new rpm-mageia-setup
- Rebuild for new rpm
- Rebuild for new rpm

* Fri Jan 19 2018 tmb <tmb> 17.93-1.mga7
+ Revision: 1194788
- sync with kernel 4.14
- include more input HWDB entries
- diskdrake:
  o ensure device major/minor numbers are reread after writing the
    partition table (mga#22032)
  o ensure soft links in /dev/disk/by-uuid are updated so that valid
    UUIDs are embedded in the initrd (mga#22059)
+ schedbot <schedbot>
- Rebuild for new ldetect-lst
- Rebuild for new perl
- Rebuild for new rpm
- Rebuild for new rpm
- Rebuild for new meta-task
- Rebuild for new ldetect-lst

* Thu Jan 04 2018 tmb <tmb> 17.92-1.mga7
+ Revision: 1190157
- fix perl escaping causing commands to not get linked
- fix some error handling in mdkinst_stage2_tool
+ schedbot <schedbot>
- Rebuild for new ldetect-lst

* Sun Dec 17 2017 tv <tv> 17.91-12.mga7
+ Revision: 1182979
- rebuild for new libinput/rpm/...
+ schedbot <schedbot>
- Rebuild for new rpm

* Sat Dec 02 2017 tmb <tmb> 17.91-10.mga7
+ Revision: 1180705
- rebuid for new packages
+ schedbot <schedbot>
- Rebuild for new rpm
- Rebuild for new ldetect-lst
- Rebuild for new rpm

* Sun Oct 15 2017 schedbot <schedbot> 17.91-6.mga7
+ Revision: 1171986
- Rebuild for new rpm
- Rebuild for new rpm

* Fri Oct 13 2017 schedbot <schedbot> 17.91-4.mga7
+ Revision: 1171449
- Rebuild for new rpm
- Rebuild for new rpm
- Rebuild for new rpm

* Wed Oct 04 2017 tv <tv> 17.91-1.mga7
+ Revision: 1168317
- do not include libnss3 anymore as rpm now uses OpenSSL
- do not include some hwdb files from uneeded pkgs
+ schedbot <schedbot>
- Rebuild for new perl-URPM
- Rebuild for new perl-URPM
- Rebuild for new rpm
- Rebuild for new urpmi
- Rebuild for new rpm
- Rebuild for new perl-URPM
- Rebuild for new perl
- Rebuild for new ldetect-lst

* Tue Sep 19 2017 tv <tv> 17.90-6.mga7
+ Revision: 1155472
- BR libmtp-utils media-player-info for HWDB (but maybe should we just not included those files)
- bootloader:
  o better read back config
  o fix undefined labels when eg: Xen is installed (mga#19014)
    crash with "undefined value for mandatory argument 'text''
- include part of udev's hwdb (mga#20327)
- adapt to perl-5.26
- adapt to URPM-5.14 (using perl native ints)
+ schedbot <schedbot>
- Rebuild for new perl
- Rebuild for new perl
- Rebuild for new rpm
- Rebuild for new perl
- Rebuild for new rpm
- Rebuild for new rpm
- Rebuild for new rpm-mageia-setup
- Rebuild for new perl-URPM
- Rebuild for new rpm
- Rebuild for new rpm
- Rebuild for new drakx-kbd-mouse-x11
- Rebuild for new perl-URPM
- Rebuild for new perl
- Rebuild for new perl
- Rebuild for new perl
- Rebuild for new perl-URPM
- Rebuild for new rpm
- Rebuild for new perl
- Rebuild for new ldetect-lst
- Rebuild for new perl
- Rebuild for new rpm-mageia-setup
- Rebuild for new perl
- Rebuild for new rpm-mageia-setup
- Rebuild for new rpm
- Rebuild for new rpm-mageia-setup
- Rebuild for new rpm-mageia-setup
- Rebuild for new drakx-net
- Rebuild for new rpm-mageia-setup
- Rebuild for new rpm
- Rebuild for new rpm-mageia-setup
- Rebuild for new rpm
- Rebuild for new rpm-mageia-setup
- Rebuild for new rpm-mageia-setup
- Rebuild for new rpm
- Rebuild for new rpm
- Rebuild for new perl-URPM
- Rebuild for new perl-URPM
- Rebuild for new drakx-kbd-mouse-x11
- Rebuild for new rpm
- Rebuild for new perl
- Rebuild for new perl
- Rebuild for new urpmi
- Rebuild for new urpmi
- Rebuild for new urpmi
+ tmb <tmb>
- rebuild for new rpm

* Mon Jul 10 2017 akien <akien> 17.88-5.mga6
+ Revision: 1109655
- Rebuild for new rpm and new mageia-release

* Mon Jul 10 2017 schedbot <schedbot> 17.88-4.mga6
+ Revision: 1109621
- Rebuild for new rpm

* Fri Jul 07 2017 akien <akien> 17.88-3.mga6
+ Revision: 1109543
- Rebuild for mageia-release-6-3.mga6

* Fri Jul 07 2017 schedbot <schedbot> 17.88-2.mga6
+ Revision: 1109491
- Rebuild for new meta-task

* Fri Jul 07 2017 tmb <tmb> 17.88-1.mga6
+ Revision: 1109175
- translation updates
- rebuild for release
+ schedbot <schedbot>
- Rebuild for new urpmi

* Fri Jun 30 2017 tmb <tmb> 17.87-2.mga6
+ Revision: 1108742
- rebuild for new d-i-help

* Sun Jun 25 2017 ennael <ennael> 17.87-1.mga6
+ Revision: 1108481
- Left background for final Mageia 6

* Fri Jun 23 2017 martinw <martinw> 17.86-1.mga6
+ Revision: 1108219
- increase the default window size of the installer to 1024x768 (mga#20624)

* Thu Jun 22 2017 tv <tv> 17.85-1.mga6
+ Revision: 1108170
- don't overwrite custom grub2 settings when upgrading (mga#20596)
- recognize 8812au (mga#21043)

* Wed Jun 07 2017 tmb <tmb> 17.84-3.mga6
+ Revision: 1107160
- rebuild for new drakx-installer-help
+ schedbot <schedbot>
- Rebuild for new perl

* Mon Jun 05 2017 akien <akien> 17.84-1.mga6
+ Revision: 1106994
- Version 17.84, translation updates

* Mon Jun 05 2017 schedbot <schedbot> 17.83-5.mga6
+ Revision: 1106962
- Rebuild for new urpmi
- Rebuild for new drakx-kbd-mouse-x11
- Rebuild for new drakx-net
- Rebuild for new ldetect-lst

* Sun Jun 04 2017 tv <tv> 17.83-1.mga6
+ Revision: 1106426
- log output of libinput-list-devices in report.bug (mga#20327)
- translation updates
+ schedbot <schedbot>
- Rebuild for new meta-task

* Sun May 21 2017 tv <tv> 17.82-7.mga6
+ Revision: 1103894
- rebuild for new glib2.0
+ schedbot <schedbot>
- Rebuild for new meta-task

* Fri May 12 2017 tv <tv> 17.82-5.mga6
+ Revision: 1100532
- rebuild for new gtk+3.0

* Thu May 11 2017 tv <tv> 17.82-4.mga6
+ Revision: 1100208
- rebuild for new libinput + x11 driver + gtk+3.0

* Tue May 09 2017 schedbot <schedbot> 17.82-3.mga6
+ Revision: 1099892
- Rebuild for new urpmi + gtk+3.0

* Sat May 06 2017 schedbot <schedbot> 17.82-2.mga6
+ Revision: 1099301
- Rebuild for new drakx-kbd-mouse-x11

* Sat May 06 2017 akien <akien> 17.82-1.mga6
+ Revision: 1099292
- 17.82: add 'please wait' message when running update-grub2

* Fri May 05 2017 akien <akien> 17.81-1.mga6
+ Revision: 1099217
- 17.81: Make sure 'supplmedia' is defined before using it (mga#20484)

* Fri May 05 2017 schedbot <schedbot> 17.80-2.mga6
+ Revision: 1099160
- Rebuild for new ldetect-lst

* Wed May 03 2017 akien <akien> 17.80-1.mga6
+ Revision: 1098949
- Version 17.80, adds Mageia 6 advertising and DE artwork (mga#20647)
+ schedbot <schedbot>
- Rebuild for new urpmi

* Wed Apr 26 2017 tmb <tmb> 17.79-1.mga6
+ Revision: 1097673
- update translations
+ schedbot <schedbot>
- Rebuild for new perl

* Tue Apr 04 2017 ennael <ennael> 17.78-1.mga6
+ Revision: 1095922
- New left background for Mageia 6 rc

* Tue Apr 04 2017 akien <akien> 17.77-1.mga6
+ Revision: 1095907
- partitioning:
  o don't require a BIOS boot partition when performing an upgrade (mga#20338)
  o make partitioning more robust with "Use entire disk" option (mga#20619):
    * add safety net for informing the kernel after writing a DOS partition
      table.
    * speed up proc_partitions::compare() and avoid unwanted udev events.
  o force reinitialisation of partition suggestions after wiping disk
    (mga#20621)
- various fixes to do_pkgs during Live installs (mga#20620):
  o fix do_pkgs_standalone::are_installed() for Live install
  o fix do_pkgs_standalone::remove() for Live install
  o fix fast path for do_pkgs::ensure_is_installed()

* Thu Mar 30 2017 tmb <tmb> 17.76-3.mga6
+ Revision: 1095338
- rebuild for latest urpmi
+ schedbot <schedbot>
- Rebuild for new drakx-kbd-mouse-x11

* Fri Mar 24 2017 tv <tv> 17.76-1.mga6
+ Revision: 1094679
- installer options handling:
  o ignore case for options line in previous releases
  o fix default value for 'compssListLevel' (mga#20551)
    (both being post mga5 regression)

* Tue Mar 21 2017 schedbot <schedbot> 17.75-3.mga6
+ Revision: 1093900
- Rebuild for new drakx-net

* Sun Mar 19 2017 schedbot <schedbot> 17.75-2.mga6
+ Revision: 1093612
- Rebuild for new meta-task

* Fri Mar 17 2017 tv <tv> 17.75-1.mga6
+ Revision: 1093271
- partitioning:
  o fix too big window due to too big translations (mga#20360)
  o allow a BIOS boot partition to be located on any disk (mga#20161)
  o ensure kernel is informed when a MBR partition table is cleared
  o clearing GPT partitions:
    * delay thus fix clearing GPT partitions (mga#20264)
      ("failed to del partition #1 on /dev/...")
    * don't send separate events to the kernel about removing/adding GPT partitions,
      just tell it to reread the whole newly cleared & allocated partition table
  o tell the kernel all actions at once on GPT partitions instead of telling it
    separatly about removing partitions A, B & C, then adding partition E, F &G
+ schedbot <schedbot>
- Rebuild for new meta-task
- Rebuild for new drakx-net
- Rebuild for new drakx-net
- Rebuild for new meta-task

* Thu Mar 09 2017 wally <wally> 17.74-2.mga6
+ Revision: 1091002
- rebuild with drakxtools 17.74

* Thu Mar 09 2017 wally <wally> 17.74-1.mga6
+ Revision: 1090991
- update translations (e17 -> e21)
+ schedbot <schedbot>
- Rebuild for new meta-task
- Rebuild for new drakx-kbd-mouse-x11
- Rebuild for new meta-task

* Wed Mar 08 2017 tv <tv> 17.73-3.mga6
+ Revision: 1089906
- BR libinput-tools
- debug mode:
  o add example how to include debuginfo
  o make it work with gdb-7.12
  o preset keyboard if DEBUG_INSTALL_LANG is set during build
- list input & HID devices in report.bug (mga#20327)
- recognize new kernel-4.8 drivers
- show how to preset keyboard to eg "fr" in debug mode
+ schedbot <schedbot>
- Rebuild for new drakx-kbd-mouse-x11

* Sun Mar 05 2017 tmb <tmb> 17.72-7.mga6
+ Revision: 1088853
- rebuild for new ldetect-lst
+ schedbot <schedbot>
- Rebuild for new ldetect-lst
- Rebuild for new drakx-net
- Rebuild for new drakx-net
- Rebuild for new drakx-net
- Rebuild for new rpm

* Sat Feb 25 2017 tv <tv> 17.72-1.mga6
+ Revision: 1087859
- partitioning:
  o allow a BIOS boot partition to be located on any disk (mga#20161)
  o fix auto-allocation of BIOS boot partitions (mga#20161, mga#19888)
  o don't suggest mountpoint for ESP when doing a legacy boot install (mga#20164)
  o fix bugs in sync'ing the kernel's partition table cache (mga#20074)
  o detect and handle DOS "Empty" partition types (mga#20074)
- sync nonfree firmware list with kernel-4.9
- use SHA-512 instead of blowfish as the default password encryption (mga#20342)
+ schedbot <schedbot>
- Rebuild for new meta-task
- Rebuild for new urpmi
- Rebuild for new urpmi
- Rebuild for new meta-task

* Sun Feb 19 2017 tmb <tmb> 17.71-12.mga6
+ Revision: 1086841
- rebuild for ldetect-lst, meta-task, rpm
+ schedbot <schedbot>
- Rebuild for new ldetect-lst
- Rebuild for new meta-task
- Rebuild for new meta-task
- Rebuild for new rpm
- Rebuild for new meta-task

* Thu Feb 02 2017 tmb <tmb> 17.71-6.mga6
+ Revision: 1084582
- rebuild for new e2fsprogs
+ schedbot <schedbot>
- Rebuild for new perl
- Rebuild for new meta-task
- Rebuild for new rpm

* Sat Jan 21 2017 tv <tv> 17.71-2.mga6
+ Revision: 1082709
- rebuild with new libinput+libwacom

* Wed Jan 18 2017 pterjan <pterjan> 17.71-1.mga6
+ Revision: 1082244
- Version 17.71 - 18 January 2017
- partitioning_wizard:
  o fix bug in detecting whether a BIOS boot partition is required (mga#19935)
- fix inserting extended partition in the middle

* Tue Jan 17 2017 ennael <ennael> 17.70-1.mga6
+ Revision: 1082196
- Mageia 6 design for left background

* Thu Jan 12 2017 tv <tv> 17.69-1.mga6
+ Revision: 1081172
- bootloader:
  o disable audit logging as it floods the logs
- partitioning:
  o fix exception when clearing all partitions on !UEFI (mga#20083)
- recognize new kernel-4.9 drivers

* Wed Jan 11 2017 tmb <tmb> 17.68-9.mga6
+ Revision: 1081038
- rebuild for updated packages
+ schedbot <schedbot>
- Rebuild for new meta-task
- Rebuild for new rpm-mageia-setup
- Rebuild for new rpm-mageia-setup
- Rebuild for new rpm-mageia-setup
- Rebuild for new rpm

* Wed Dec 14 2016 tmb <tmb> 17.68-2.mga6
+ Revision: 1075185
- rebuild for updated ldetect-lst
+ schedbot <schedbot>
- Rebuild for new ldetect-lst

* Wed Dec 14 2016 tv <tv> 17.68-1.mga6
+ Revision: 1075081
- fix progress bar on i586 (mga#19930)

* Wed Dec 14 2016 pterjan <pterjan> 17.67-1.mga6
+ Revision: 1074835
- Fix a crash introduced in 17.66

* Wed Dec 14 2016 pterjan <pterjan> 17.66-1.mga6
+ Revision: 1074825
- 17.66 (should fix mga#19933 and mga#19930)

* Mon Dec 12 2016 tv <tv> 17.65-1.mga6
+ Revision: 1074334
- bootloader configuration:
  o describe what skipping os-prober does (mga#18538)
  o show generic help too when using grub2
- fix i586 installation broken by int64 (mga#19895)

* Sun Dec 11 2016 ennael <ennael> 17.64-1.mga6
+ Revision: 1074244
- more int64 init (mga#19895)

* Fri Dec 09 2016 ennael <ennael> 17.63-1.mga6
+ Revision: 1073691
- force use of int64 for installed package size on i586 (mga#19895)
+ schedbot <schedbot>
- Rebuild for new urpmi

* Thu Dec 01 2016 ennael <ennael> 17.62-1.mga6
+ Revision: 1071408
- add BuildRequires on grub2-common
- add grub2-editenv in list.xml
- Mageia 6 sta2 left background

* Sun Nov 27 2016 schedbot <schedbot> 17.61-2.mga6
+ Revision: 1070399
- Rebuild for new ldetect-lst

* Sat Nov 26 2016 tv <tv> 17.61-1.mga6
+ Revision: 1070247
- BR scrot instead of fb2png
- screenshots:
  o use scrot instead of fb2png as the later doesn't work with vesa (mga#19810)

* Thu Nov 24 2016 schedbot <schedbot> 17.60-4.mga6
+ Revision: 1069695
- Rebuild for new ldetect-lst
- Rebuild for new ldetect-lst

* Tue Nov 15 2016 tv <tv> 17.60-2.mga6
+ Revision: 1067233
- partitioning:
  o fix being unable to format a newly part (mga#19172)
  o offer to format unmounted parts that have a defined mount point
+ schedbot <schedbot>
- Rebuild for new rpm
- Rebuild for new drakx-kbd-mouse-x11

* Sat Nov 12 2016 tv <tv> 17.58-9.mga6
+ Revision: 1066869
- rebuild for fixed drakx-kbd-mouse-x11 (mga#19761)
+ schedbot <schedbot>
- Rebuild for new rpm
- Rebuild for new rpm

* Thu Nov 10 2016 schedbot <schedbot> 17.58-7.mga6
+ Revision: 1066255
- Rebuild for new perl-URPM
- Rebuild for new drakx-kbd-mouse-x11
- Rebuild for new rpm

* Thu Nov 03 2016 schedbot <schedbot> 17.58-4.mga6
+ Revision: 1065001
- Rebuild for new rpm
- Rebuild for new rpm

* Mon Oct 24 2016 tv <tv> 17.58-2.mga6
+ Revision: 1063399
- revert ARM patch that breaks x86_64
- bootloader configuration:
  o make kernel server default if installed
    (we were only checking for long dead flavors such as enterprise, ...)
- fix build with latest URPM aka include perl-Math-Int64 (mga#19640)
- disable ARM for now
+ schedbot <schedbot>
- Rebuild for new rpm

* Thu Oct 20 2016 schedbot <schedbot> 17.57-18.mga6
+ Revision: 1062804
- Rebuild for new urpmi
- Rebuild for new rpm
- Rebuild for new perl-URPM
- Rebuild for new rpm
- Rebuild for new perl-URPM

* Sun Oct 16 2016 schedbot <schedbot> 17.57-13.mga6
+ Revision: 1061082
- Rebuild for new perl-URPM
- Rebuild for new rpm
- Rebuild for new urpmi
- Rebuild for new perl-URPM
- Rebuild for new meta-task
- Rebuild for new rpm
- Rebuild for new meta-task
- Rebuild for new perl

* Sun Oct 02 2016 schedbot <schedbot> 17.57-5.mga6
+ Revision: 1058146
- Rebuild for new ldetect-lst
- Rebuild for new meta-task
- Rebuild for new meta-task

* Mon Sep 26 2016 schedbot <schedbot> 17.57-2.mga6
+ Revision: 1056764
- Rebuild for new rpm-mageia-setup

* Wed Sep 21 2016 tv <tv> 17.57-1.mga6
+ Revision: 1054966
- new release
+ schedbot <schedbot>
- Rebuild for new drakx-kbd-mouse-x11
- Rebuild for new rpm-mageia-setup

* Mon Sep 19 2016 tv <tv> 17.56-1.mga6
+ Revision: 1054133
- detect ovirt too (mga#19308)
- fix gtk+3.22 regression (mga#19406)
- sync nonfree firmware list with kernel-4.7
+ schedbot <schedbot>
- Rebuild for new rpm-mageia-setup

* Sun Sep 18 2016 akien <akien> 17.55-6.mga6
+ Revision: 1053597
- Rebuild for new drakx-kbd-mouse-x11
+ schedbot <schedbot>
- Rebuild for new drakx-kbd-mouse-x11
- Rebuild for new meta-task
- Rebuild for new meta-task
- Rebuild for new meta-task

* Sat Aug 13 2016 ennael <ennael> 17.55-1.mga6
+ Revision: 1046361
- New left background - Mageia 6 RC

* Sat Aug 13 2016 tv <tv> 17.54-1.mga6
+ Revision: 1046156
- autologin/desktop configuration (shared code):
  o add support for LXDM (mga#17616)
  o add support for SDDM (mga#17913)

* Sat Aug 06 2016 tmb <tmb> 17.53-2.mga6
+ Revision: 1044764
- rebuild for new gtk+3.0
+ tv <tv>
- switch to %%make_build

* Sun Jul 31 2016 tv <tv> 17.53-1.mga6
+ Revision: 1044139
- bootloader configuration:
  o fix .old backup for grub2's grub.cfg
- partionning:
  o first usable sector is LBA34 for GPT
  o respect used scheme when clearing a disk
    (ie do not switch from gpt to dos scheme on small disk)

* Tue Jul 19 2016 tmb <tmb> 17.52-2.mga6
+ Revision: 1042627
- rebuild with new x11-server

* Sun Jul 17 2016 tv <tv> 17.52-1.mga6
+ Revision: 1042394
- do not preinstall mageia-gfxboot-theme
- bootloader configuration:
  o fix not being able to edit default grub2 cmdline (mga#18952)

* Thu Jul 14 2016 tv <tv> 17.51-3.mga6
+ Revision: 1042051
- really rebuild with new xfdrake
+ schedbot <schedbot>
- Rebuild for new drakx-kbd-mouse-x11

* Tue Jul 12 2016 tv <tv> 17.51-1.mga6
+ Revision: 1041240
- fix starting spice-vdagentd
- partionning:
  o auto_inst: fix clearing an already filled GPT disk
  o don't offer to format RAID or BIOS boot partition
  o make clear a BIOS boot partition cannot have a mount point
  o make error about BIOS boot partition more explicit about
    its purpose and that it must be created (mga#18923)

* Mon Jul 11 2016 tmb <tmb> 17.50-4.mga6
+ Revision: 1041154
- rebuild for new urpmi
+ schedbot <schedbot>
- Rebuild for new urpmi

* Mon Jul 11 2016 schedbot <schedbot> 17.50-2.mga6
+ Revision: 1041076
- Rebuild for new drakx-kbd-mouse-x11

* Fri Jul 08 2016 tv <tv> 17.50-1.mga6
+ Revision: 1039687
- BR spice-vdagent
- include pvs/vgs/lvs symlinks
- partionning:
  o display a wait message when adding a PV to VG
- libvirt integration:
  o start spice-vdagent{d,} (Qemu guest agent)

* Thu Jul 07 2016 tmb <tmb> 17.49-3.mga6
+ Revision: 1039459
- rebuild for new x11-server
+ schedbot <schedbot>
- Rebuild for new perl

* Wed Jul 06 2016 tv <tv> 17.49-1.mga6
+ Revision: 1039051
- autoinst:
  e enable to set several swap partitions (mga#9874)
  o enable to select media (mga#12299)
- partionning:
  o GPT: prevent geometry issue on last partition (mga#18666, mga#17796)
  o restrict fdisk -l output to usefull disks
- recognize new kernel-4.7 drivers
- try to get patch from ext[2-4] removable media instead of just ext2

* Tue Jul 05 2016 tmb <tmb> 17.48-3.mga6
+ Revision: 1038974
- rebuild for new ldetect-lst
+ schedbot <schedbot>
- Rebuild for new ldetect-lst

* Mon Jul 04 2016 tv <tv> 17.48-1.mga6
+ Revision: 1038602
- bootloader configuration:
  o allow installing grub2 on XFS /
  o make clear grub2 is installed on ESP under UEFI
  o make sure we only offer lilo/grub choice on upgrades only
- partionning:
  o do not offer to check for bad blocks on btrfs (mga#12393)
  o do not warn about no bootloader can boot LVM as grub2 can (mga#9426)
  o do not warn about no bootloader can boot RAID[^1] as grub2 can (mga#11324)
  o enable bad blocks checking on JFS
- summary:
  o add help link for sound (mga#11824)

* Thu Jun 30 2016 tv <tv> 17.47-1.mga6
+ Revision: 1038222
- partionning:
  o fix being able to create vfat on UEFI (mga#15698)
- recognize some missing wireless drivers (mga#16768)
- users:
  o offer again to add user to admin group (mga#17720)
+ schedbot <schedbot>
- Rebuild for new meta-task
- Rebuild for new drakx-net
- Rebuild for new drakx-net
- Rebuild for new meta-task

* Fri Jun 24 2016 tv <tv> 17.46-1.mga6
+ Revision: 1037421
- library:
  o enable compssUsers.pl to pick the right lsb-core-lib(64) flavor

* Fri Jun 24 2016 tv <tv> 17.45-1.mga6
+ Revision: 1037407
- partionning:
  o keep UUID when formating btrfs (mga#18673)

* Fri Jun 24 2016 tv <tv> 17.44-1.mga6
+ Revision: 1037379
- bootloader configuration:
  o add a "Do not touch ESP or MBR" option (mga#18770)
  o do not offer to pick the disk where to install grub2 on UEFI
  o filter GPT disks w/o a BIOS boot part (mga#18770)
  o warn if grub2 is not installed on MBR/ESP
- logs:
  o fix found kernel names
  o log if were running under UEFI
- partionning:
  o fix preserving UUID when formating jfs/nilfs/xfs
- package selection:
  o display a wait dialog when choosing custom choice (mga#11041)
- summary:
  o sort service categories, putting "Other" at end (mga#6286)
+ schedbot <schedbot>
- Rebuild for new meta-task

* Wed Jun 22 2016 tv <tv> 17.43-1.mga6
+ Revision: 1037181
- summary:
  o fix not listing some services (mga#17288)
  o fix updating firewall status after configuration (mga#17288)

* Wed Jun 22 2016 tv <tv> 17.42-1.mga6
+ Revision: 1037160
- bootloader configuration:
  o add support for crypted grub2 passwords (mga#15930)
  o grub2: do not overwite ESP if not installing on it (mga#15583)
  o grub2: fix setting default entry when in a submenu (mga#18560)
+ schedbot <schedbot>
- Rebuild for new drakx-kbd-mouse-x11
- Rebuild for new meta-task

* Mon Jun 20 2016 tv <tv> 17.41-1.mga6
+ Revision: 1037004
- bootloader:
  o fix the grub2 post-install check (mga#18739)

* Mon Jun 20 2016 tv <tv> 17.40-1.mga6
+ Revision: 1036987
- bootloader:
  o ensure we've the right grub2 flavor (mga#18739)
- no more include vmmouse driver
- drop BR on x11-driver-input-vmmouse
+ schedbot <schedbot>
- Rebuild for new meta-task
- Rebuild for new meta-task
- Rebuild for new meta-task
- Rebuild for new drakx-kbd-mouse-x11
- Rebuild for new ldetect-lst
- Rebuild for new urpmi

* Sat Jun 18 2016 tv <tv> 17.39-1.mga6
+ Revision: 1022084
- partionning:
  o fix ESP tagging in some cases
- services:
  o update service category lists
+ schedbot <schedbot>
- Rebuild for new ldetect-lst

* Thu Jun 16 2016 tv <tv> 17.38-1.mga6
+ Revision: 1021774
- partionning:
  o fix offering to create a GRUB_BIOS partition in custom mode (mga#18656)
  o fix inverted test when checking need for a GRUB_BIOS partition (mga#18704)
+ schedbot <schedbot>
- Rebuild for new meta-task
- Rebuild for new drakx-kbd-mouse-x11
- Rebuild for new ldetect-lst

* Tue Jun 14 2016 marja <marja> 17.37-2.mga6
+ Revision: 1021478
- rebuild for new drakx-installer-help

* Sun Jun 12 2016 tv <tv> 17.37-1.mga6
+ Revision: 1021213
- partionning:
  o try harder to guess if we need a GRUB_BIOS partition (mga#18656)
- rename desktop image KDE -> Plasma (mga#18687)

* Sat Jun 11 2016 tv <tv> 17.36.1-1.mga6
+ Revision: 1021185
- fix selecting Plasma (mga#18687)

* Sat Jun 11 2016 tv <tv> 17.36-1.mga6
+ Revision: 1021142
- do not override bootloader on upgrade (mga#18638)
- fix running with nss 3.24
- debug build:
  o gdb needs python3 instead of python2 (and guile as well)
  o fix loadkeys in debug mode on tty1
  o include cfdisk too
- partionning:
  o add a GRUB_BIOS partitions if needed (mga#18656)
  o MBR limit really is 2TiB, not 4, so use GPT for disks > 2TiB
+ schedbot <schedbot>
- Rebuild for new drakx-net

* Tue Jun 07 2016 tv <tv> 17.35.1-1.mga6
+ Revision: 1020598
- fix selecting grub2 on !UEFI

* Tue Jun 07 2016 tv <tv> 17.35-1.mga6
+ Revision: 1020593
- fix selecting grub2-efi on UEFI (mga#18646)
+ schedbot <schedbot>
- Rebuild for new perl
- Rebuild for new perl

* Mon Jun 06 2016 tv <tv> 17.34.1-1.mga6
+ Revision: 1020352
- fix displaying release notes with WebKit2

* Mon Jun 06 2016 tv <tv> 17.34-1.mga6
+ Revision: 1020332
- bootloader:
  o enable to (un)install os-prober (mga#16010, mga#18538)
  o fix reading back last grub2 entry
  o only overwrite GRUB_CMDLINE_LINUX_DEFAULT on first install (mga#18112)
  o only overwrite install.sh when actually installing boot loader (mga#17455)
  o set GRUB_DEFAULT + GRUB_SAVEDEFAULT (mga#9627, mga#16059)
  o stop offering grub legacy & lilo on new installs (mga#18583)
+ schedbot <schedbot>
- Rebuild for new meta-task

* Fri Jun 03 2016 ennael <ennael> 17.33-5.mga6
+ Revision: 1020161
- test a way to stop offering grub legacy on new installs (mga#18583)
+ schedbot <schedbot>
- Rebuild for new ldetect-lst

* Fri May 27 2016 tmb <tmb> 17.33-3.mga6
+ Revision: 1018980
- undef debug
+ schedbot <schedbot>
- Rebuild for new meta-task

* Fri May 27 2016 tv <tv> 17.33-1.mga6
+ Revision: 1018898
- adjust to latest gdb
- list all drivers needing a proprietary driver
- only use vesa on x86
+ schedbot <schedbot>
- Rebuild for new meta-task

* Wed May 25 2016 tv <tv> 17.32-8.mga6
+ Revision: 1018323
- rebuild for new e2fsprogs

* Mon May 23 2016 tv <tv> 17.32-7.mga6
+ Revision: 1018094
- rebuild for new gtk+3.0

* Fri May 20 2016 tv <tv> 17.32-6.mga6
+ Revision: 1017103
- rebuild for fixed libxfont (mga#18413)

* Thu May 19 2016 ennael <ennael> 17.32-5.mga6
+ Revision: 1016838
- remove patch for KDE occurrences
- Fix last occurence of KDE in stage2
+ schedbot <schedbot>
- Rebuild for new rpm-mageia-setup
- Rebuild for new rpm-mageia-setup
- Rebuild for new rpm
- Rebuild for new rpm

* Thu May 12 2016 schedbot <schedbot> 17.31-3.mga6
+ Revision: 1013986
- Rebuild for new perl-URPM
- Rebuild for new rpm

* Tue May 10 2016 tv <tv> 17.31-1.mga6
+ Revision: 1011974
- rebuild for updated xorg drivers
+ ennael <ennael>
- replace last KDE occurence with Plasma
- left background for sta1
- list all drivers needing a proprietary driver
- install the right IM packages on Plasma when using fcitx

* Sat May 07 2016 tmb <tmb> 17.30-1.mga6
+ Revision: 1010292
- install nonfree firmware for amdgpu, i915, nouveau
- CSD:
  o make corners round like gtk+/Adwaita does
  o nicer decoration
+ schedbot <schedbot>
- Rebuild for new rpm-mageia-setup

* Wed May 04 2016 tv <tv> 17.29-1.mga6
+ Revision: 1009206
- install the right IM packages on Plasma
- make CSD support available to forked processes (mga#18332)
+ schedbot <schedbot>
- Rebuild for new perl

* Sat Apr 30 2016 tmb <tmb> 17.28-5.mga6
+ Revision: 1008360
- rebuild for new ldetect-lst
+ schedbot <schedbot>
- Rebuild for new ldetect-lst
- Rebuild for new rpm-mageia-setup
- Rebuild for new meta-task

* Tue Apr 26 2016 tv <tv> 17.28-1.mga6
+ Revision: 1006343
- adapt to new brltty
- drop support for MIPS
- fix detecting running under Qemu
- fix installing packages when having a numeric pad
- recognize new kernel-4.6 drivers
+ schedbot <schedbot>
- Rebuild for new rpm

* Sun Apr 24 2016 tv <tv> 17.27-3.mga6
+ Revision: 1005824
- fix installing packages when having a numeric pad
- fix detecting running under Qemu

* Sat Apr 23 2016 tv <tv> 17.27-2.mga6
+ Revision: 1005602
- add 'qemu' flag for rpmsrate
- exclude 2 Xorg libraries on ARM
+ schedbot <schedbot>
- Rebuild for new meta-task
- Rebuild for new rpm

* Thu Apr 14 2016 tv <tv> 17.26.1-8.mga6
+ Revision: 1001514
- bump release so that it applies the patch
- exclude 2 Xorg libraries on ARM
- rebuild for new rpm+URPM+urpmi

* Thu Apr 14 2016 schedbot <schedbot> 17.26.1-7.mga6
+ Revision: 1001441
- Rebuild for new urpmi
- Rebuild for new perl-URPM
- Rebuild for new rpm
- Rebuild for new rpm
- Rebuild for new rpm-mageia-setup
- Rebuild for new rpm-mageia-setup

* Fri Apr 08 2016 tv <tv> 17.26.1-1.mga6
+ Revision: 999411
- just ignore kernel options
- drakx-in-chroot:
  o enable to control strace behaviour
- rebuild with new xorg drivers + MDK::Common (less noise when diffing report.bug)

* Mon Apr 04 2016 tv <tv> 17.26-1.mga6
+ Revision: 998109
- add minimal CSD support (mga#17702)

* Sun Apr 03 2016 schedbot <schedbot> 17.25-2.mga6
+ Revision: 997819
- Rebuild for new rpm
+ tv <tv>
- try to help autobuild by requiring locales-{de,es,fr}

* Fri Apr 01 2016 tv <tv> 17.25-1.mga6
+ Revision: 997325
- partionning:
  o fix detecting nvme devices as block devices
  o fix displaying partitions when there's only one disk
    (and the resulting crash: mga#18076)

* Thu Mar 31 2016 tv <tv> 17.24-3.mga6
+ Revision: 997059
- rebuild for new gtk+3.0

* Wed Mar 30 2016 tv <tv> 17.24-2.mga6
+ Revision: 996894
- rebuild for new gtk+ and lvm2
- no need to BR ia_ora-gnome anymore now that we switched to mutter
+ schedbot <schedbot>
- Rebuild for new meta-task
- Rebuild for new drakx-net
- Rebuild for new drakx-net
- Rebuild for new rpm
- Rebuild for new meta-task

* Wed Mar 23 2016 tv <tv> 17.24-1.mga6
+ Revision: 994668
- fix build on ia32
- add 'virtualbox' & 'vmware' flags for rpmsrate
- use systemd-detect-virt for detecting virtualization technology
+ schedbot <schedbot>
- Rebuild for new meta-task

* Wed Mar 23 2016 tv <tv> 17.23-2.mga6
+ Revision: 994257
- fix build on ia32
- do not include twice webkit2gtk library
- prevent usrmove files to remain
- remove swrast (too big just to fix a gtk+ warning...)

* Mon Mar 21 2016 tv <tv> 17.21-4.mga6
+ Revision: 993640
- rebuild for new gtk+3 & new ntfs-3g

* Mon Mar 21 2016 tv <tv> 17.21-3.mga6
+ Revision: 993521
- submit to core/release

* Mon Mar 21 2016 tv <tv> 17.21-2.mga6
+ Revision: 993517
- load evdev (thus fixing a crash)
- load psmouse (it is now modular)
- use WebKit2 instead of WebKit1 for displaying help content

* Fri Mar 18 2016 tv <tv> 17.20-1.mga6
+ Revision: 992834
- prevent slow boot on first boot (mga#16684)
- partionning:
  o fix partitions not initially displayed (mga#17564)
+ schedbot <schedbot>
- Rebuild for new meta-task

* Mon Mar 07 2016 tv <tv> 17.19-3.mga6
+ Revision: 987188
- add safeguard to previous patch in case harddrake is not installed

* Mon Mar 07 2016 tv <tv> 17.19-2.mga6
+ Revision: 987044
- patch 2: try to prevent slow boot on first boot (mga#16684)

* Wed Feb 24 2016 tv <tv> 17.19-1.mga6
+ Revision: 978593
- detect nvme devices as block devices (mga#17743)
- detect partitions on nvme devices (mga#17743)

* Sat Feb 13 2016 tmb <tmb> 17.18.1-2.mga6
+ Revision: 959745
- rebuild for new systemd

* Wed Feb 10 2016 tv <tv> 17.18.1-1.mga6
+ Revision: 953530
- drakboot:
  o do not offer to edit entries for grub2-graphic (mga#9431)
- bootloader:
  o add support for grub2-text too (mga#9431)
- partionning:
  o check ESP has the right fs type (mga#16246)
  o check that ESP mount point actually is an ESP

* Tue Feb 09 2016 tmb <tmb> 17.17-4.mga6
+ Revision: 952970
- rebuild for new x11-server

* Sun Jan 31 2016 tv <tv> 17.17-3.mga6
+ Revision: 929378
- rebuild for latest gtk+3

* Sat Jan 30 2016 barjac <barjac> 17.17-2.mga6
+ Revision: 929216
+ rebuild (emptylog)

* Fri Jan 29 2016 tv <tv> 17.17-1.mga6
+ Revision: 928632
- fix hidden cursor (mga#17470)

* Fri Jan 29 2016 tv <tv> 17.16-3.mga6
+ Revision: 928628
- rebuild for latest rpm

* Fri Jan 22 2016 tv <tv> 17.16-2.mga6
+ Revision: 926473
- try harder to include cursors (mga#17470)

* Thu Jan 21 2016 tv <tv> 17.16-1.mga6
+ Revision: 926265
- Add ARM support in perl-install
- options:
  o silent a warning bout BOOT_IMAGE option
- partionning:
  o fix crash (mga#17484)

* Tue Jan 19 2016 tv <tv> 17.14-7.mga6
+ Revision: 925761
- try to include some Adwaita icons (mga#17470)

* Mon Jan 18 2016 tmb <tmb> 17.14-6.mga6
+ Revision: 925412
- rebuild for new systemd

* Mon Jan 18 2016 tmb <tmb> 17.14-5.mga6
+ Revision: 925199
- rebuild for new dbus

* Thu Jan 14 2016 tv <tv> 17.14-4.mga6
+ Revision: 923015
- rebuild for new rpm

* Wed Jan 13 2016 tv <tv> 17.14-3.mga6
+ Revision: 922398
- rebuild for new rpm

* Tue Jan 12 2016 tmb <tmb> 17.14-2.mga6
+ Revision: 922056
- rebuild with new x11-server

* Mon Jan 11 2016 tv <tv> 17.14-1.mga6
+ Revision: 921777
- do not warn about kernel options when parsing drakx options
- include libinput udev helpers

* Sun Jan 10 2016 tv <tv> 17.13-6.mga6
+ Revision: 920952
- rebuild with fixed rpm regarding file triggers indexes in chroot (mga#17217)

* Sat Jan 09 2016 tmb <tmb> 17.13-5.mga6
+ Revision: 920880
- preload psmouse in installer as it is now modular (mga#17470)
- bump rel for nonfree

* Sat Jan 09 2016 tmb <tmb> 17.13-3.mga6
+ Revision: 920780
- rebuild for new ldetect-lst

* Sat Jan 09 2016 tv <tv> 17.13-2.mga6
+ Revision: 920686
- rebuild with fixed rpm regarding file triggers in chroot (mga#17217)

* Sat Jan 09 2016 tv <tv> 17.13-1.mga6
+ Revision: 920676
- regressions from 17.11:
  o fix ignoring options from isolinux
  o fix parsing stage1's automatic option (mga#17441)
- silent a perl-5.22 warning

* Fri Jan 08 2016 tmb <tmb> 17.12-3.mga6
+ Revision: 920664
- rebuild for new llvm/mesa/libdrm

* Sun Jan 03 2016 pterjan <pterjan> 17.12-2.mga6
+ Revision: 919136
- Do not require vmmouse driver on non x86 arches

* Sat Jan 02 2016 tv <tv> 17.12-1.mga6
+ Revision: 918392
- bootloader:
  o log found kernels (mga#16128)
  o skip swap in the list of partitions (mga#15767)
- partitioning:
  o auto fill LV name from mntpnt (mga#5407)
  o suggest "lv_foo" instead of just "foo" for LVname
- summary:
  o drop support for ISApnp sound cards
- fix a message (mga#51414)
- misc cleanups
+ ennael <ennael>
- 17.11
- make report.bug.xz more reproducible
- misc cleanups
- fixes in drakx-in-chroot

* Thu Dec 24 2015 tv <tv> 17.10-1.mga6
+ Revision: 913936
- BR mutter
- use mutter instead of matchbox (fix black screen)

* Thu Dec 24 2015 tv <tv> 17.9-1.mga6
+ Revision: 913926
- include 60-evdev.rules instead of no more existing 60-keyboard.rules
- silent gtk+ warnings about swrast driver

* Tue Dec 22 2015 tv <tv> 17.8-1.mga6
+ Revision: 913383
- recognize new kernel-4.4 drivers

* Thu Dec 17 2015 tv <tv> 17.7.1-1.mga6
+ Revision: 911316
- include one more file for new X.org wrapper (mga#17348)
- adapt to new X.org wrapper (mga#17348)

* Wed Dec 16 2015 tv <tv> 17.6-2.mga6
+ Revision: 911151
- rebuid for new gtk+ & xserver

* Sat Dec 12 2015 ennael <ennael> 17.6-1.mga6
+ Revision: 909719
- fix running with xserver-1.18

* Tue Dec 08 2015 ennael <ennael> 17.5-1.mga6
+ Revision: 908926
- finalize switch to sddm and plasma5

* Sun Dec 06 2015 ennael <ennael> 17.4-1.mga6
+ Revision: 908606
- Use task-plasma5 for installer

* Fri Dec 04 2015 tv <tv> 17.3-1.mga6
+ Revision: 907981
- new release

* Tue Dec 01 2015 tv <tv> 17.2-2.mga6
+ Revision: 907531
- rebuild for new ldetect-lst

* Thu Nov 26 2015 ennael <ennael> 17.2-1.mga6
+ Revision: 906322
- left background for Mageia 6 dev 1

* Sun Nov 22 2015 tmb <tmb> 17.1-8.mga6
+ Revision: 904938
- rebuild for new ldetect-lst with enabled nvidia drivers

* Fri Nov 13 2015 tv <tv> 17.1-7.mga6
+ Revision: 903037
- rebuild for new ldetect-lst (proprietary drv vs xserver 1.18)

* Fri Nov 13 2015 tv <tv> 17.1-6.mga6
+ Revision: 903021
- rebuild for new ldetect-lst (proprietary drv vs xserver 1.18)

* Thu Nov 12 2015 tv <tv> 17.1-5.mga6
+ Revision: 902865
- rebuild for new xserver, rpm & gtk+
- switch to pkgconfig() BRs

* Sun Nov 01 2015 tv <tv> 17.1-4.mga6
+ Revision: 897232
- rebuild with new rpm

* Thu Sep 24 2015 tv <tv> 17.1-3.mga6
+ Revision: 883312
- rebuild with stable libraries

* Sun Sep 06 2015 tv <tv> 17.1-2.mga6
+ Revision: 873784
- fix build with rpm-4.13 (debuginfo package is empty...)
- rebuild with new rpm

* Thu Aug 27 2015 tv <tv> 17.1-1.mga6
+ Revision: 870304
- fixed tarball
- drop merged patches
- recognize new kernel-4.1 drivers

* Fri Aug 21 2015 tmb <tmb> 17.0-2.mga6
+ Revision: 867330
- 60-keyboard.rules does not exist anymore
- rebuild with new packages

* Wed Jun 24 2015 tv <tv> 17.0-1.mga6
+ Revision: 842437
- adapt to pango 1.37.x
- adapt to perl-5.22
- switch from evdev+synaptics to libinput driver

* Mon Jun 15 2015 tmb <tmb> 16.105-1.mga5
+ Revision: 823157
- really fix urpmi media when installing from USB (mga#5690)
- include latest drakx-installer-help

* Sat Jun 13 2015 tmb <tmb> 16.104-1.mga5
+ Revision: 823048
- diskdrake:
  o prevent errors when telling kernel to reread partition table
- update translations

* Mon Jun 08 2015 tmb <tmb> 16.103-2.mga5
+ Revision: 822953
- rebuild with fixed packages

* Thu Jun 04 2015 tv <tv> 16.103-1.mga5
+ Revision: 822894
- partitioning wizard:
  o only use current disk when auto partitioning, wiping disk,
    using free space (mga#16055)
- partitioning wizard:
  o only use current disk when auto partitioning, wiping disk,
    using free space (mga#16055)

* Sun May 31 2015 tmb <tmb> 16.102-2.mga5
+ Revision: 822835
- rebuild for official release

* Fri May 29 2015 tmb <tmb> 16.102-1.mga5
+ Revision: 822795
- diskdrake:
  o ignore some recovery partitions (mga#15999) (mga#15999)
  o run udevadm settle after actions that trigger device reload (mga#15999)
- typo/layout fixes for media tooltips in media screen
- translation updates

* Tue May 26 2015 daviddavid <daviddavid> 16.101-3.mga5
+ Revision: 822740
- rebuild for drakx-installer-help-5.7

* Mon May 25 2015 marja <marja> 16.101-2.mga5
+ Revision: 822714
- rebuild for drakx-installer-help

* Mon May 25 2015 tv <tv> 16.101-1.mga5
+ Revision: 822695
- do not die if network cannot be started for updates (mga#8819),
  just log the faillure and offer to either retry or abort
- do not offer to add a CD-ROM as supplement media (mga#13671)
- fix urpmi media when installing from USB (mga#5690)
- locale setting
  o fix reading back IM config (mga#15761)
- partitioning:
  o set pt_type according to fs_type before flag cases (mga#16029)

* Sun May 24 2015 marja <marja> 16.100-4.mga5
+ Revision: 822687
- rebuild for new drakx-installer-help

* Sat May 23 2015 marja <marja> 16.100-3.mga5
+ Revision: 822674
- rebuild for new drakx-installer-help

* Fri May 22 2015 tmb <tmb> 16.100-2.mga5
+ Revision: 822648
- rebuild for new ldetect-lst

* Wed May 20 2015 tv <tv> 16.100-1.mga5
+ Revision: 822464
- add online media at installation end (mga#8819)

* Wed May 20 2015 tv <tv> 16.99-1.mga5
+ Revision: 822447
- bootloader:
  o display cosmetics when reading back GPT partitions
  o do not detect grub2 on UEFI when there's no bootloader
  o fix default grub2 kernel parameters (mga#15984)
- partitioning:
  o fix mnt point for FAT partitions on GTP (mga#15987)
  o set the proper GUID for FAT partitions on GPT
- don't try to install non existant scim-googlepinyin (mga#6681)

* Mon May 18 2015 tv <tv> 16.97-1.mga5
+ Revision: 822239
- (just to be sure draklive-install fix for mga15257 doesn't break anything)

* Sun May 17 2015 tv <tv> 16.96-1.mga5
+ Revision: 822189
- partitioning:
  o fix regression refusing FAT for ESP (mga#15962)

* Thu May 14 2015 tv <tv> 16.95-1.mga5
+ Revision: 822045
- better dialog title (mga#9648)
- partitioning:
  o fix a crash after "insufficient space" error (mga#15919)

* Wed May 13 2015 marja <marja> 16.93-2.mga5
+ Revision: 821988
- rebuild against new drakx-installer-help

* Sat May 09 2015 tv <tv> 16.93-1.mga5
+ Revision: 821581
- bootloader:
  o do use vga value for grub2
  o fix setting default grub2 entry

* Sat May 09 2015 tv <tv> 16.92-1.mga5
+ Revision: 821567
- bootloader:
  o add a dedicate step for grub2 (mga#9627)
  o always log update-grub2 output (mga#15857)
  o backup grub2 files before configuring
- log grub2 install.sh in report.bug like for grub (mga#15857)
- networking:
  o recognize r8723bs (mga#15874)
- partitioning:
  o do not set noauto for /boot/EFI (mga#15627)

* Sat May 09 2015 tmb <tmb> 16.91-2.mga5
+ Revision: 821548
- rebuild for updated packges

* Sun May 03 2015 ennael <ennael> 16.91-1.mga5
+ Revision: 821208
- Left-background for final release

* Tue Apr 28 2015 tmb <tmb> 16.90-1.mga5
+ Revision: 820820
- localedrake:
  o write input methods to /etc/locale.conf (mga#15464)
- run vgchange before updating the list of LVMs, not after, and even if not
  in install (should help with mga#7578).

* Sat Apr 25 2015 pterjan <pterjan> 16.89-1.mga5
+ Revision: 820764
- 16.89: Ignore special partitions on mmc (mga#15759)

* Sat Apr 25 2015 akien <akien> 16.88-1.mga5
+ Revision: 820754
- 16.88: ensure country/timezone locale is kept when removing unused locale packages (mga#3723)

* Wed Apr 22 2015 pterjan <pterjan> 16.87-1.mga5
+ Revision: 820525
- improve the partitioning display (mga#15728)

* Mon Apr 20 2015 tmb <tmb> 16.86-1.mga5
+ Revision: 820508
- bootloader:
  o dont override 'splash' and/or 'quiet' when adding 'noiswmd' (mga#15666)
- partitioning:
  o use the windows partition with the most available space on current
    disk, not the last one across all disks (mga#15589)
  o suggest up to 20GB/20%% of the windows partition (whichever is larger),
    previously 6GB/10%% (mga#15589)
  o hide empty space < 2MB, we have such holes due to alignment (mga#15733)
- speed up reading of flags from GPT partition table (mga#15621).

* Tue Apr 14 2015 tv <tv> 16.84-1.mga5
+ Revision: 820233
- bootloader config:
  o do not pass useless parameters to grub2 under UEFI (mga#15692)
  o fix kernel booting in blind mode (mga#15291)

* Mon Apr 13 2015 tmb <tmb> 16.83-1.mga5
+ Revision: 820157
- enable firmware raids with dmraid/kpartx like we do on
  live medias and on fully installed systems

* Mon Apr 13 2015 tv <tv> 16.82-1.mga5
+ Revision: 820117
- partionning:
  o detect Lenovo recovery & 'SYSTEM_DRV' as such (mga#1371)
  o do add a ESP if it was removed by "Clear All"
  o ignore ESP for "use free space on MS"
- bootloader config:
  o default to GRUB_DISABLE_RECOVERY=falss for 'failsafe' entry (mga#15675)

* Mon Apr 13 2015 tv <tv> 16.81-1.mga5
+ Revision: 820097
- add kpartx for dmraid activation
- fix upgrade when package's in several media (mga#15350)
  (need URPM-5.06 too)
- partionning:
  o don't guess a drive letter for ESP partitions
+ tmb <tmb>
- BR: kpartx for dmraid activation

* Thu Apr 09 2015 tv <tv> 16.80-2.mga5
+ Revision: 820028
- rebuild with fixed libx86

* Thu Apr 09 2015 tv <tv> 16.80-1.mga5
+ Revision: 819993
- bootloader config:
  o check there's still some place on /boot with grub2 too
  o generate core.img for UEFI
  o fix detecting grub2 on UEFI
  o write /boot/grub2/install.sh like for grub instead of drakboot.conf
- log grub2 config in report.bug like for grub/lilo
- partitionning:
  o don't guess a drive letter for recovery partitions (mga15636)

* Tue Apr 07 2015 tv <tv> 16.79-1.mga5
+ Revision: 819835
- bootloader config:
  o keep vga= parameter when switching to grub2 (mga#9888)

* Tue Apr 07 2015 ennael <ennael> 16.78-1.mga5
+ Revision: 819808
- fix installing grub2 on MBR (mga#15640)

* Tue Apr 07 2015 tv <tv> 16.77-1.mga5
+ Revision: 819779
- bootloader:
  o add 'noiswmd' to kernel command line to manage isw_ bios
    fakeraids with dmraid for now (instead of mdadm) (mga#11289, mga#14330)
  o allow btrfs for / without separate /boot with grub2 (mga#15374)
- partitioning wizard:
  o do not offer to select RAID as it result in a crash (mga#5800)

* Mon Apr 06 2015 tmb <tmb> 16.76-3.mga5
+ Revision: 819751
- rebuild with new dmraid

* Sat Apr 04 2015 tv <tv> 16.76-2.mga5
+ Revision: 819694
- rebuild with latest ldetect-lst

* Fri Apr 03 2015 tv <tv> 16.76-1.mga5
+ Revision: 819656
- bootloader config:
  o log grub2-install failures (mga#15439)
- partitionning:
  o log fdisk -l output before/after partitionning
  o really try to detect recovery partitions on GPT

* Mon Mar 30 2015 tmb <tmb> 16.75-1.mga5
+ Revision: 819401
- partitioning:
  o better fix for fail to read too corrupted partition table
  o fix getting ESP with "use free space":
    make sure to not override /boot/EFI mount point with /media/win_X
  o make sure to check for existing ESP on all disks
  o relax checks for ESP
  o try to detect recovery partitions on GPT

* Fri Mar 27 2015 tv <tv> 16.74-1.mga5
+ Revision: 819346
- GPT partitionning:
  o fix retrieving ntfs partitions as ntfs-3g instead of ntfs
  o really fix retrieving swap partition type

* Fri Mar 27 2015 tmb <tmb> 16.73-1.mga5
+ Revision: 819334
- GPT partitionning:
  o fix creating RAID devices (mga#15400)
    (regression from 16.33)
  o fix "I cannot read the partition table of device XXX, it is too corrupted"
  o fix retrieving LVM/RAID/swap partition type
  o fix tagging lvm/raid as "linux filesystem"
  o fix tagging ntfs-3g as "linux filesystem"
  o fix tagging swap as "linux filesystem"
- tell users to ignore Gtk3 warnings

* Thu Mar 26 2015 ennael <ennael> 16.72-1.mga5
+ Revision: 819307
-  fix a crash in auto install (mga#15573)

* Wed Mar 25 2015 ennael <ennael> 16.71-2.mga5
+ Revision: 819302
- rebuild for new ldetect-lst

* Wed Mar 25 2015 tv <tv> 16.71-1.mga5
+ Revision: 819257
- bump max_nb() to 131 to cover mdadm managed imsm and ddf1 bios
  fakeraids (containers defaults to >= 127 and partitions <=126)
- partitionning:
  o fix retrieving ESP partition type on GPT (mga#15366)
  o log which GPT partition we fail to add/del
  o set proper GUID to ESP partitions with GPT layout
- pre-install grub2-efi on UEFI

* Sat Mar 21 2015 akien <akien> 16.70-1.mga5
+ Revision: 819066
- 16.70: better fix for the scrollbar in the package installation details window (mga#13894)

* Fri Mar 20 2015 tmb <tmb> 16.69-1.mga5
+ Revision: 819039
- efi partitioning fixes

* Fri Mar 20 2015 akien <akien> 16.68-3.mga5
+ Revision: 818984
- Add patch by Martin Whitaker to fix initial display in diskdrake (mga#13679)

* Fri Mar 20 2015 ennael <ennael> 16.68-2.mga5
+ Revision: 818976
- workaround #13894 - Martin Whitaker patch
  always jumps back to the bottom when a new line is printed

* Tue Mar 17 2015 tv <tv> 16.68-1.mga5
+ Revision: 818728
- fix mis-detecting some mobile broadband modems (mga#12492)
- add 'deploops' option for debugging (mga#15350)
- log mkinitrd faillures (mga#9201)

* Sun Mar 15 2015 tmb <tmb> 16.67-5.mga5
+ Revision: 818607
- rebuild for new libx86

* Sat Mar 14 2015 tmb <tmb> 16.67-4.mga5
+ Revision: 818537
- rebuild for new btrfs-progs and ldetect-lst

* Tue Mar 10 2015 tv <tv> 16.67-3.mga5
+ Revision: 818290
- try to fix "need to reboot" after partition changes (mga#14758, mga#15449)

* Mon Mar 09 2015 tmb <tmb> 16.67-2.mga5
+ Revision: 818253
- rebuild with new x11-driver-video-fbdev

* Thu Mar 05 2015 tv <tv> 16.67-1.mga5
+ Revision: 817888
- auto_install:
  o ignore firmwares within draklive
  o log step errors
- drakx-in-chroot:
  o unbreak draklive

* Thu Mar 05 2015 akien <akien> 16.66-1.mga5
+ Revision: 817769
- New 16.66 tarball with fixed typo
+ ennael <ennael>
- add "nofail" option to "foreign" mountpoints to avoid unwanted recovery mode

* Fri Feb 27 2015 akien <akien> 16.65-1.mga5
+ Revision: 817197
- Mageia 5 RC left-background
- Include udev rule for Synaptics

* Fri Feb 27 2015 tv <tv> 16.64-1.mga5
+ Revision: 817191
- partitioning:
  o add missing button icons (mga#15264)

* Fri Feb 27 2015 tv <tv> 16.63-1.mga5
+ Revision: 817163
- partitioning:
  o fix too wide buttons (mga#12422, mga#13471, mga#14839, mga#15379)

* Fri Feb 27 2015 tmb <tmb> 16.62-10.mga5
+ Revision: 817147
- rebuild with new ldetect-lst

* Thu Feb 26 2015 tv <tv> 16.62-9.mga5
+ Revision: 817079
- rebuild with new URPM

* Thu Feb 26 2015 tv <tv> 16.62-8.mga5
+ Revision: 817048
- rebuild with new urpmi (mga#15032)

* Wed Feb 25 2015 tmb <tmb> 16.62-7.mga5
+ Revision: 817000
- rebuild with new libx86

* Wed Feb 25 2015 tmb <tmb> 16.62-6.mga5
+ Revision: 816979
- rebuild for new libx86

* Tue Feb 24 2015 tv <tv> 16.62-4.mga5
+ Revision: 816845
- rebuild with new ldetect

* Tue Feb 24 2015 tv <tv> 16.62-3.mga5
+ Revision: 816833
- rebuild with fixed vbetool (mga#3910)

* Sun Feb 22 2015 tmb <tmb> 16.62-2.mga5
+ Revision: 816322
- rebuild with new ldetect-lst

* Thu Feb 19 2015 tv <tv> 16.62-1.mga5
+ Revision: 815824
- partitioning (mga#12422, mga#11988, mga#14839, mga#15272, mga#15264):
  o use an horizontal scrolling bar when needed
  o use a vertical scrolling bar when needed (mga#15272)
  o workaround too wide togglebuttons with empty label with gtk+3 and/or Adwaita

* Wed Feb 18 2015 tv <tv> 16.61-1.mga5
+ Revision: 815538
- ensure we install radeon-firmware too if needed (mga#15203)

* Wed Feb 18 2015 tv <tv> 16.60-1.mga5
+ Revision: 815533
- ensure we install kernel-firmware-nonfree if needed (mga#15203)

* Wed Feb 18 2015 tv <tv> 16.59-1.mga5
+ Revision: 815471
- bug:
  o display a nicer message when no removable medium is found (mga#14435)

* Fri Feb 13 2015 tv <tv> 16.57-3.mga5
+ Revision: 814820
- rebuild for fixed gtk+ (mga#11893)

* Thu Feb 12 2015 tmb <tmb> 16.57-2.mga5
+ Revision: 814774
- rebuild for new x11-server

* Wed Feb 11 2015 tv <tv> 16.57-1.mga5
+ Revision: 814736
- fix taking screenshots on UEFI 24bit bpp framebuffer (mga#13684)

* Wed Feb 11 2015 tmb <tmb> 16.55-2.mga5
+ Revision: 814719
- rebuild for new drakx-kbd-mouse-x11

* Mon Feb 09 2015 ennael <ennael> 16.55-1.mga5
+ Revision: 814410
- drakclock: Ensure that /etc/localtime is a symlink (mga#14888)
- users: Make sure to restart accounts-daemon after adding users (mga#15113)
- finish-install: Ensure i18n settings are loaded
- Create a symlink instead a hard copy to localtime see issue #14888
- i18n: Write the desired console font to /etc/vconsole.conf
- i18n: Use the x-distro /etc/locale.conf file instead of /etc/sysconfig/i18n
- drakedm: Don't run ancient dm init script (which no longer exists)
- Update traslations

* Fri Feb 06 2015 ennael <ennael> 16.54-1.mga5
+ Revision: 813716
- fix left background image size

* Fri Feb 06 2015 lmenut <lmenut> 16.53-1.mga5
+ Revision: 813635
- switch from oxygen-gtk to Adwaita theme
  remove oxygen-gtk
  add missing icons (mga#13673, mga#14355, mga#14840, mga#14844)
  add BR librsvg2 for libpixbufloader-svg.so
  add gtk.css

* Thu Feb 05 2015 tmb <tmb> 16.52-1.mga5
+ Revision: 813504
- default to GPT on disks larger than 4TB, not LVM
- fix GPT initialization on empty disk
- fix failure to delete partitions after switching to GPT
- fix stage2 loading graphical installer in efi mode

* Tue Feb 03 2015 marja <marja> 16.51-2.mga5
+ Revision: 813304
- rebuild against new drakx-installer-help

* Tue Feb 03 2015 ennael <ennael> 16.51-1.mga5
+ Revision: 813290
- Mageia 5 beta 3
- recognize new kernel-3.19 drivers

* Thu Jan 29 2015 tmb <tmb> 16.50-2.mga5
+ Revision: 812677
- rebuild for new x11-driver-video-fbdev and btrfs-progs

* Fri Jan 09 2015 tmb <tmb> 16.50-1.mga5
+ Revision: 809522
- initial uefi support

* Tue Jan 06 2015 pterjan <pterjan> 16.49-2.mga5
+ Revision: 808886
- Rebuild with fixed perl

* Wed Dec 31 2014 marja <marja> 16.49-1.mga5
+ Revision: 807594
- translation updates (l10n)
- refer to MageiaWelcome instead of to something we do not have (mga#10901)
- drakx-in-chroot:
  o pre-create /dev/null & co before mounting devtmpfs (tv)
- recognize new kernel-3.18 drivers (mga#14799) (tv)

* Tue Dec 30 2014 tmb <tmb> 16.48-4.mga5
+ Revision: 807498
- rebuild for new btrfs-progs

* Thu Dec 25 2014 marja <marja> 16.48-3.mga5
+ Revision: 806013
- rebuild for new drakx-kbd-mouse-x11

* Wed Dec 17 2014 akien <akien> 16.48-2.mga5
+ Revision: 803844
- Mageia 5 artwork integration (new tarball for 16.48)

* Tue Dec 16 2014 ennael <ennael> 16.48-1.mga5
+ Revision: 803634
- make_boot_img: Avoid gfxboot install string for chain.c32
- make_boot_img: Using chain.c32 instead of localboot
- left background for Mageia 5 beta 2
- do not load hyper-v modules (already done by udev in stage1)

* Sun Dec 14 2014 tmb <tmb> 16.47-2.mga5
+ Revision: 803104
- rebuild for new packages

* Fri Dec 05 2014 tv <tv> 16.47-1.mga5
+ Revision: 801664
- do not crash loading stage2 in Virtual PC (mga#14117)
- bootloader config:
  o do not crash if fstab contains a bind mount on a file (mga#14657)

* Tue Nov 04 2014 tmb <tmb> 16.45-3.mga5
+ Revision: 795656
- rebuild for fixed systemd

* Fri Oct 31 2014 tmb <tmb> 16.45-2.mga5
+ Revision: 794853
- rebuild for new systemd

* Sun Oct 26 2014 tv <tv> 16.45-1.mga5
+ Revision: 793396
- drakx-in-chroot:
  o pre-create /dev/null & co again (for draklive)
- fix selecting of uneeded locales (mga#3723)

* Sat Oct 25 2014 tmb <tmb> 16.44-2.mga5
+ Revision: 793225
- rebuild for new util-linux and btrfs-progs

* Thu Oct 23 2014 tv <tv> 16.44-1.mga5
+ Revision: 792568
- drakx-in-chroot:
  o document --stage2-update in --help
  o mount /dev -o ro
  o try harder to umount everything when sg went havroc

* Thu Oct 23 2014 tv <tv> 16.43-2.mga5
+ Revision: 792560
- rebuild for fixed rpm+URPM

* Tue Oct 21 2014 ennael <ennael> 16.43-1.mga5
+ Revision: 792293
- Fix BuilRequires on rpm
- 16.43

* Sun Oct 19 2014 tv <tv> 16.41-16.mga5
+ Revision: 791610
- rebuild with rpm not using pthread lock for logging (mga#14172)

* Wed Oct 15 2014 umeabot <umeabot> 16.41-15.mga5
+ Revision: 744398
- Second Mageia 5 Mass Rebuild

* Sun Oct 12 2014 tmb <tmb> 16.41-14.mga5
+ Revision: 738156
- rebuild with new rpm

* Fri Oct 10 2014 tmb <tmb> 16.41-13.mga5
+ Revision: 737984
- rebuild for lock elision enabled glibc

* Fri Oct 10 2014 tmb <tmb> 16.41-12.mga5
+ Revision: 737932
- rebuild with new glibc

* Fri Oct 10 2014 tv <tv> 16.41-11.mga5
+ Revision: 737901
- rebuild with fixed glibc

* Thu Oct 09 2014 tv <tv> 16.41-10.mga5
+ Revision: 737711
- rebuild for new urpmi
- disable debug: it won't help the issue we're seeing and prevent using
  drakx-in-chroot

* Wed Oct 08 2014 tv <tv> 16.41-9.mga5
+ Revision: 737569
- rebuild for new gtk+3.0

* Tue Oct 07 2014 ennael <ennael> 16.41-8.mga5
+ Revision: 737306
- rebuild for new drakx-installer-help
- add temporary debug option

* Sat Oct 04 2014 tmb <tmb> 16.41-7.mga5
+ Revision: 736803
- rebuild for new meta-task

* Fri Oct 03 2014 tmb <tmb> 16.41-6.mga5
+ Revision: 736679
- rebuild for lvm2, meta-task and btrfs-progs

* Wed Sep 24 2014 tv <tv> 16.41-5.mga5
+ Revision: 723814
- rebuild for new perl/gtk+

* Tue Sep 16 2014 umeabot <umeabot> 16.41-4.mga5
+ Revision: 678851
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 tv <tv> 16.41-3.mga5
+ Revision: 677111
- rebuild for new gtk+

* Wed Sep 03 2014 tv <tv> 16.41-2.mga5
+ Revision: 671591
- rebuild for new gtk+

* Sun Aug 31 2014 tv <tv> 16.41-1.mga5
+ Revision: 670169
- adapt to latest systemd
- allow /boot on btrfs
- recognize new kernel-3.17 drivers

* Sat Aug 30 2014 tv <tv> 16.40-5.mga5
+ Revision: 669425
- rebuild for new e2fsprogs

* Mon Aug 25 2014 daviddavid <daviddavid> 16.40-4.mga5
+ Revision: 667352
- rebuild again for new fixes on oxygen-gtk3 (mga#13954)

* Mon Aug 25 2014 daviddavid <daviddavid> 16.40-3.mga5
+ Revision: 667334
- rebuild for new fixes on oxygen-gtk3 (mga#13954)

* Fri Aug 22 2014 tv <tv> 16.40-2.mga5
+ Revision: 666378
- adwaita-gtk3-theme no longer provides a settings.ini file
- log X.org server logs when it fails to start up (mga#13471, ...)
- recognize hyper-v paravirtual network driver

* Sun Aug 17 2014 tv <tv> 16.39-2.mga5
+ Revision: 664956
- recognize new kernel-3.16 drivers

* Tue Aug 12 2014 tv <tv> 16.38-2.mga5
+ Revision: 662039
- rebuild for new gtk+3.0 & new e2fsprogs

* Tue Jul 22 2014 ennael <ennael> 16.38-1.mga5
+ Revision: 655467
- Mageia 5 alpha 2 left background

* Thu Jul 03 2014 tv <tv> 16.37-1.mga5
+ Revision: 642831
- typo fix
+ colin <colin>
- 16.37: Fix fstab writing

* Tue Jul 01 2014 tmb <tmb> 16.36-1.mga5
+ Revision: 641851
- hide /boot/efi check for now (mga#13638)

* Sun Jun 29 2014 ennael <ennael> 16.35-1.mga5.tainted
+ Revision: 641440
- Mageia 5 alpha 1
- let udev handle floppies

* Sun Jun 29 2014 tmb <tmb> 16.33-4.mga5
+ Revision: 641413
- work around missing /etc/gtk-3.0/settings.ini
- rebuild for new btrfs-progs

* Tue Jun 24 2014 tv <tv> 16.33-3.mga5
+ Revision: 639450
- rebuild for new pango too

* Tue Jun 24 2014 tv <tv> 16.33-2.mga5
+ Revision: 639357
- rebuild for new glib/gtk+

* Wed Jun 18 2014 tv <tv> 16.33-1.mga5
+ Revision: 638041
- stop creating some /dev entries that are managed by udev

* Sun Jun 15 2014 tv <tv> 16.32-1.mga5
+ Revision: 636843
- include platform driver autoload udev rules
- recognize new kernel-3.15 drivers

* Mon Jun 09 2014 tv <tv> 16.31.1-3.mga5
+ Revision: 635186
- rebuild with x.org server 1.16 RC
- fix URL

* Sun Jun 08 2014 tv <tv> 16.31.1-2.mga5
+ Revision: 634756
- rebuild with glib/gtk+ 3.13.2

* Fri Jun 06 2014 tv <tv> 16.31.1-1.mga5
+ Revision: 633922
- include udev rule for VMmouse

* Fri Jun 06 2014 tv <tv> 16.31-1.mga5
+ Revision: 633917
- adjust input BRs accordingly
- xorg config:
  o rely on evdev/udev for input devices
  o Wacom tablets should work better
    (we now load the wacom driver again)
  o Synaptics touchpads should now work during install (mga#11524)

* Wed Jun 04 2014 tv <tv> 16.30-1.mga5
+ Revision: 632817
- adapt to perl-5.20
- add some POD documentation
- do not unavailable kernel-xbox
- drop (broken) support for Alpha, PPC, Sparc & IA64
- locale setting
  o stop configuring HAL
  o update locales list
+ tmb <tmb>
- rebuild for new ldetect-lst

* Thu May 29 2014 tmb <tmb> 16.29-2.mga5
+ Revision: 627782
- rebuild for new ldetect-lst

* Sat May 03 2014 tmb <tmb> 16.29-1.mga5
+ Revision: 619845
- gnome-icon-theme-symbolic is replaced by adwaita-icon-theme
- rebuild for new perl-URPM with 64k size limit fix (mga#13316)

* Mon Apr 28 2014 tv <tv> 16.28-1.mga5
+ Revision: 618532
- recognize new kernel-3.14 drivers

* Fri Mar 21 2014 tv <tv> 16.27-4.mga5
+ Revision: 606365
- rebuild for new gtk+

* Sat Mar 08 2014 tv <tv> 16.27-3.mga5
+ Revision: 601238
- rebuild for new gtk+/xfsprogs/nilfs-utils/ntfs-3g

* Wed Feb 19 2014 tv <tv> 16.27-2.mga5
+ Revision: 594925
- rebuild for new rpm/gtk+

* Tue Feb 18 2014 tv <tv> 16.27-1.mga5
+ Revision: 594544
- fix crash when choosing a RTL language (mga#12793)
- Ensure uid/gid extraction works when adding users via summary page
  (fixes chown'ing user to root when adding existing user on upgrade mga#12375)

* Tue Feb 18 2014 tv <tv> 16.26.6-9.mga5
+ Revision: 594454
- rebuild with new gtk+

* Tue Feb 18 2014 tv <tv> 16.26.6-8.mga5
+ Revision: 594150
- rebuild with new glib+gtk+

* Fri Feb 07 2014 tv <tv> 16.26.6-7.mga5
+ Revision: 585422
- rebuild for new perl & new xserver
  (which nicely shows gtk+3.11.x glitches)

* Mon Jan 27 2014 tmb <tmb> 16.26.6-6.mga4
+ Revision: 568478
- rebuild for Official

* Mon Jan 27 2014 colin <colin> 16.26.6-5.mga4
+ Revision: 568421
- Rebuild for latest drakx-net

* Sun Jan 26 2014 colin <colin> 16.26.6-4.mga4
+ Revision: 568243
- Rebuild for latest drakx-net

* Sat Jan 25 2014 tmb <tmb> 16.26.6-3.mga4
+ Revision: 568205
- drop debug patch

* Fri Jan 24 2014 tv <tv> 16.26.6-2.mga4
+ Revision: 567678
- rebuild for new drakx-installer-help

* Thu Jan 23 2014 tv <tv> 16.26.6-1.mga4
+ Revision: 567536
- fix hidden icon in individual package selection (mga#12397)

* Wed Jan 22 2014 tv <tv> 16.26.5-1.mga4
+ Revision: 567392
- release notes dialog:
  o fix untranslated button

* Wed Jan 22 2014 tv <tv> 16.26.4-2.mga4
+ Revision: 567385
- remove debug patch that was wrongly commited

* Wed Jan 22 2014 tv <tv> 16.26.4-1.mga4
+ Revision: 567379
- debug image:
  o add a warning about QWERTY keyboard
- help dialogs:
  o do warn on first screenshot (mga#11176)
  o fix lost help screenshots (mga#11176)

* Tue Jan 21 2014 tv <tv> 16.26.3-1.mga4
+ Revision: 567273
- help dialogs:
  o do not warn if a screenshot already has been taked (mga#11176)

* Mon Jan 20 2014 ennael <ennael> 16.26.2-1.mga4
+ Revision: 567202
- left background for final Mageia 4

* Mon Jan 20 2014 tv <tv> 16.26.1-1.mga4
+ Revision: 567182
- partitioning:
  o increase back minimum partition width for Oxygen (mga#11977)

* Mon Jan 20 2014 tv <tv> 16.26-1.mga4
+ Revision: 567079
- fix detecting if basesystem is installed (mga#10722)
  thus fixing "basesystem package not selected"
- partitioning:
  o fix sizing partition widgets
  o fix not moving window (mga#11790, mga#11988, mga#11977)
  o revert minimum partition width to its pre-gtk3 value
  o show labels on partition buttons

* Sun Jan 19 2014 ennael <ennael> 16.25-1.mga4
+ Revision: 567056
- Update desktop images for Mageia 4

* Sat Jan 18 2014 tv <tv> 16.24-1.mga4
+ Revision: 566796
- help dialogs:
  o make screenshots work (mga#11176)
  o fix untranslated button & title (mga#9828)

* Fri Jan 17 2014 tv <tv> 16.23-2.mga4
+ Revision: 566737
- rebuild for latest ldetect-lst

* Thu Jan 16 2014 tv <tv> 16.23-1.mga4
+ Revision: 566708
- partitioning:
  o do not show labels on partition buttons (mga#11988)

* Wed Jan 15 2014 tv <tv> 16.22-1.mga4
+ Revision: 566629
- fix "No GSettings schemas are installed on the system" error when inspecting
  partitions (mga#12279)
- services:
  o use --no-block with chkconfig and systemctl enable to prevent systemd reload
    and potential crash (especially during first/live boot)

* Mon Jan 13 2014 tv <tv> 16.21-1.mga4
+ Revision: 566466
- partitioning:
  o do not propose check bad blocks for btrfs (Manuel Hiebel, mga#10116)
  o increase minimum partition width for Oxygen (mga#11977)
    (if not enough, we will disable labels on partitions buttons again)
- revert back to matchbox instead of mutter as it doesn't fix
  diskdrake issues (mga#11977)
  (thus fixing missing window decorations (mga#12218))

* Mon Jan 06 2014 ennael <ennael> 16.20-1.mga4
+ Revision: 564976
- Mageia 4 design for left background

* Sun Jan 05 2014 tv <tv> 16.19-2.mga4
+ Revision: 564922
- rebuild with fixed drakx-net (mga#11592)

* Sat Jan 04 2014 ennael <ennael> 16.19-1.mga4
+ Revision: 564640
- Mageia 4 RC left background

* Wed Jan 01 2014 tv <tv> 16.17-5.mga4
+ Revision: 563774
- rebuild with fixed e2fsprogs

* Sun Dec 29 2013 tmb <tmb> 16.17-4.mga4
+ Revision: 563022
- rebuild for new aria2

* Sat Dec 21 2013 tv <tv> 16.17-3.mga4
+ Revision: 559481
- rebuild for new d-i-help

* Fri Dec 20 2013 tv <tv> 16.17-2.mga4
+ Revision: 559203
- rebuild with latest Gtk3

* Fri Dec 20 2013 tv <tv> 16.17-1.mga4
+ Revision: 559167
- media step:
  o hint that nonfree is needed if a CPU needs a microcode
- install:
  o fix pausing installing while displaying release notes
- drakx-in-chroot:
  o advise to install xephyr if missing
- use mutter instead of matchbox in order to try to workaround
  diskdrake issues (mga#11790, mga#11989, ...)
  as a side effect, stage2 shrinks by 3Mb...

* Mon Dec 16 2013 tv <tv> 16.14-3.mga4
+ Revision: 557316
- rebuild with latest perl-Gtk3

* Fri Dec 13 2013 tv <tv> 16.14-2.mga4
+ Revision: 556566
- rebuild with latest drakx-installer-help

* Tue Dec 10 2013 ennael <ennael> 16.14-1.mga4
+ Revision: 556170
- Mageia4 beta 2 left background

* Tue Dec 10 2013 tv <tv> 16.13-1.mga4
+ Revision: 556125
- fix crash when selecting an input method (mga#11939)

* Fri Dec 06 2013 tv <tv> 16.10-1.mga4
+ Revision: 555686
- package group selection: make bottom buttons always available
  (by puting the scrolling window only around the package group check boxes)

* Fri Dec 06 2013 tv <tv> 16.9-1.mga4
+ Revision: 555566
- fix retrieving network info from stage2 after dracut migration (mga#11504)

* Fri Dec 06 2013 tv <tv> 16.7-2.mga4
+ Revision: 555528
- rebuild with fixed gtk+ (misplaced tooltip, mga#11893, bgo#698730)

* Thu Dec 05 2013 tv <tv> 16.7-1.mga4
+ Revision: 555303
- partitioning:
  o fix a crash when creating partitions (mga#11876)

* Wed Dec 04 2013 tmb <tmb> 16.6-2.mga4
+ Revision: 555237
- rebuild for new btrfs-progs

* Wed Dec 04 2013 tv <tv> 16.6-1.mga4
+ Revision: 555108
- fix blue background behind left panel text (mga#11866)

* Tue Dec 03 2013 tv <tv> 16.5-3.mga4
+ Revision: 554795
- rebuild with fixed Glib for exception management (mga#11860)

* Tue Dec 03 2013 tv <tv> 16.5-2.mga4
+ Revision: 554770
- rebuild with fixed urpmi (mga#11319)

* Tue Dec 03 2013 tv <tv> 16.5-1.mga4
+ Revision: 554757
- partitioning:
  o detect eMMc block devices (Luc Menut, mga#11812)
  o fix a crash in partitioning wizard (mga#11820)
  o show labels on partition buttons again but ellipsized (mga#11858)

* Mon Dec 02 2013 tv <tv> 16.4-2.mga4
+ Revision: 554673
- rebuild with fixed Gtk3

* Mon Dec 02 2013 tv <tv> 16.4-1.mga4
+ Revision: 554655
- fix partionning wizard moving the main window to left (mga#11790)
- fix titles not being blue anymore

* Sat Nov 30 2013 ennael <ennael> 16.2-2.mga4
+ Revision: 554166
- rebuild for new meta-task

* Fri Nov 29 2013 tv <tv> 16.2-1.mga4
+ Revision: 554109
- no more run urpmi.update when adding media
  (uneeded with urpmi-7.27+)

* Thu Nov 28 2013 tv <tv> 16.1-1.mga4
+ Revision: 553837
- fix a warning: include dialog-warning-symbolic
- fix left panel text being black instead of white (mga#11792)
- fix calling "child1_shrink" via package "Gtk3::HPaned" (mga#11797)
- fix using old toolbar API that is no more available (mga#11791)
- wrap too big labels in summary dialog (mga#11793)

* Thu Nov 28 2013 tv <tv> 16.0-3.mga4
+ Revision: 553800
- rebuild with new gtk+
- BR gnome-icon-theme-symbolic

* Mon Nov 25 2013 ennael <ennael> 16.0-2.mga4
+ Revision: 553490
- rebuild for new meta-task

* Mon Nov 25 2013 tv <tv> 16.0-1.mga4
+ Revision: 553067
- switch from Gtk+-2 to Gtk+-3:
  o Banners: most themes work OK but Oxygen-gtk3...
  o diskdrake: most themes work OK but Oxygen-gtk3...
- detect_devices:
  fix ids to be numeric

* Tue Nov 19 2013 tv <tv> 15.73.1-1.mga4
+ Revision: 551837
- debug image:
  o include enough python in order to generate a stack trace from within stage2
  o fix passing arguments from drakx-in-chroot
- do not compile/include xhost+ anymore (unused for years)
- log why updates were not applied
- drop again libx11-devel BR

* Mon Nov 18 2013 tmb <tmb> 15.73-2.mga4
+ Revision: 551763
- BR: libx11-devel
- rebuild for new d-i-help

* Tue Nov 12 2013 colin <colin> 15.73-1.mga4
+ Revision: 550709
- 15.73: Properly escape the polkit wrapper script arguments

* Mon Nov 11 2013 tmb <tmb> 15.72.2-1.mga4
+ Revision: 550445
- use 5096UID instead of 5096(id -u)

* Sat Nov 09 2013 tmb <tmb> 15.72.1-1.mga4
+ Revision: 550388
- fix typo in last polkit Makefile change

* Sat Nov 09 2013 tmb <tmb> 15.72-1.mga4
+ Revision: 550126
- 15.72:
  - use /usr/libexec/drakrpm-addmedia directly in stage2 (colin, #11319)
  - debug image:
    o add missing python modules for latest gdb
   o fix building with latest gdb

* Sat Nov 09 2013 tmb <tmb> 15.71-2.mga4
+ Revision: 550043
- rebuild for new x11-server

* Fri Nov 08 2013 ennael <ennael> 15.71-1.mga4
+ Revision: 549927
- do not force gdm for xfce
  remove packdrake
+ tv <tv>
- sort/explain BRs
- drop useless requires on:
  o libx11-devel (not needed since XFdrake split)
  o pixman-devel (due to an old gtk/pixman bug in 2009, mdv#52320)

* Wed Nov 06 2013 tmb <tmb> 15.70-4.mga4
+ Revision: 549796
- rebuild for new dmraid

* Tue Nov 05 2013 tmb <tmb> 15.70-3.mga4
+ Revision: 549692
- rebuild for new perl-URPM & urpmi

* Sun Nov 03 2013 colin <colin> 15.70-2.mga4
+ Revision: 549285
- Regenerate tarball after git surgery after accidental merge

* Sun Nov 03 2013 ennael <ennael> 15.70-1.mga4
+ Revision: 549280
- Mageia 4 beta 1 left background

* Tue Oct 29 2013 ennael <ennael> 15.69-1.mga4
+ Revision: 547901
- adapt to a dracut based stage1

* Tue Oct 22 2013 umeabot <umeabot> 15.68.1-2.mga4
+ Revision: 542158
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 tv <tv> 15.68.1-1.mga4
+ Revision: 497023
- adapt to latest mdadm
- drop /etc/termcap as it's no longer part of our build
- make urpmi install check more reliable (polkit related path change mga#11125)
- recognize new kernel-3.12 drivers

* Thu Oct 10 2013 tv <tv> 15.67-1.mga4
+ Revision: 494868
- log when user reject applying updates (mga#11319)
- recognize new kernel-3.11 drivers

* Thu Oct 03 2013 tv <tv> 15.66-1.mga4
+ Revision: 490815
- include another network interface name udev rule (mga#10947)
- diskdrake:
  o enable to format already formated btrfs partitions (mga#11256)

* Sat Sep 28 2013 ennael <ennael> 15.65-1.mga4
+ Revision: 488565
- Mageia 4 alpha 3
+ tv <tv>
- drop merged patch

* Sat Sep 28 2013 tv <tv> 15.64-3.mga4
+ Revision: 488536
- rebuild with fixed rpm

* Fri Sep 13 2013 tv <tv> 15.64-2.mga4
+ Revision: 478409
- simplify RAID fix (please test)

* Wed Sep 04 2013 ennael <ennael> 15.64-1.mga4
+ Revision: 475186
- Revert multiple desktop selection for alpha 2

* Wed Sep 04 2013 neoclust <neoclust> 15.62-3.mga4
+ Revision: 475103
- Add testing patch for RAID ( #9910 #11105 #8761 #10821 #6180)

* Wed Sep 04 2013 neoclust <neoclust> 15.62-2.mga4
+ Revision: 475087
- Rebuild against new drakxtools

* Tue Sep 03 2013 neoclust <neoclust> 15.62-1.mga4
+ Revision: 474720
- Mageia 4 alpha 2 left background

* Thu Aug 08 2013 tmb <tmb> 15.61-1.mga4
+ Revision: 464628
- include network interface name udev rule (mga#10947)

* Sun Aug 04 2013 ennael <ennael> 15.60-1.mga4
+ Revision: 463523
- Mageia 4 alpha 1

* Sun Aug 04 2013 ennael <ennael> 15.59-1.mga4
+ Revision: 463375
- update sources
- add missing re.so for utf8_heavy.pl
- detect wifi cards managed by ssb driver (mga#9378)

* Sat Aug 03 2013 tmb <tmb> 15.58-2.mga4
+ Revision: 462933
- rebuild for updated packages

* Fri Jul 19 2013 tv <tv> 15.58-1.mga4
+ Revision: 456211
- fix a lang pixmap (mga#10795)

* Tue Jul 16 2013 tv <tv> 15.57-1.mga4
+ Revision: 454942
- adapt to latest btrfs utils for resizing
- bootloader:
  o fix displaying need to install acpi* packages when they're already installed
  o read/save choosen default entry
- detect wifi cards managed by bcma driver (mga#9378)
- detect new kernel-3.10 drivers

* Fri May 31 2013 tv <tv> 15.54-6.mga4
+ Revision: 433677
- force submit to core/release as it looks good with perl-5.18

* Fri May 31 2013 tv <tv> 15.54-5.mga4
+ Revision: 433673
- submit to core/release as it looks good with perl-5.18

* Thu May 30 2013 tv <tv> 15.54-4.mga4
+ Revision: 433206
- build with new perl

* Sat May 18 2013 tmb <tmb> 15.54-3.mga4
+ Revision: 413547
- rebuild for d-i-b and mageia-release

* Fri May 17 2013 tv <tv> 15.54-2.mga3
+ Revision: 413479
- rebuild with new urpmi

* Fri May 17 2013 tv <tv> 15.54-1.mga3
+ Revision: 413454
- do not enable legacy sysvinit scripts that no longer exist (mga#10084)
- do not enable to pick xguest (mga#9750)
- fix offering to install shorewall & shorewall-ipv6 when already installed
- media step:
  o hint that nonfree is needed if a driver needs a nonfree firmware
  o preselect nonfree if needed

* Wed May 15 2013 tv <tv> 15.52-1.mga3
+ Revision: 413279
- fix displaying release notes while installing (mga#10087)

* Mon May 13 2013 tmb <tmb> 15.51-1.mga3
+ Revision: 413100
- any.pm: dont add arch() to release-notes file name (#10087)
- enable Nonfree/Tainted repositories if a package having a matching
  name is installed (similar to #8379)
- detect_devices: check for phy80211 sysfs directory as well to detect
  wireless devices

* Wed May 08 2013 tmb <tmb> 15.49-6.mga3
+ Revision: 412685
- rebuild for new drakx-net and drakx-kbd-mouse-x11

* Sat May 04 2013 tmb <tmb> 15.49-5.mga3
+ Revision: 412271
- rebuild for new drakx-kbd-mouse-x11
+ tv <tv>
- explain why dracut is needed

* Fri May 03 2013 tmb <tmb> 15.49-4.mga3
+ Revision: 412215
- rebuild for new dracut and drakx-net
- rebuild for latest ldetect-lst

* Thu May 02 2013 tmb <tmb> 15.49-2.mga3
+ Revision: 411996
- rebuild for new ldetect-lst

* Thu May 02 2013 tv <tv> 15.49-1.mga3
+ Revision: 411938
- fix displaying ads (mga#9939)

* Wed May 01 2013 tv <tv> 15.48-1.mga3
+ Revision: 411873
- include mount options in auto_inst.pl
- install 'basesystem-minimal' instead of 'basesystem' prior to add extra media
  thus fixing "basesystem package not selected" (mga#9611)
- make xdm installation automatic in auto_inst mode (mga#9875)

* Tue Apr 30 2013 tv <tv> 15.47-1.mga3
+ Revision: 411715
- include more partition fields in auto_inst.pl (mga#9784)
- skip comments in /etc/crypttab (Colin, mga#9905)
- services:
  o list 'shorewall-ipv6' along 'shorewall'

* Sun Apr 28 2013 tmb <tmb> 15.45-2.mga3
+ Revision: 411544
- rebuild for new ldetect-lst

* Sat Apr 27 2013 tv <tv> 15.45-1.mga3
+ Revision: 411468
- fix doble logging of 'filesystem' installation (mga#7758)
- install shorewall-ipv6 along shorewall (mga#9401)
- bootloader:
  o try harder to get a label for other OSes (mga#9849,9681)
- partionning:
  o only allow 'acl' option for extX & reiserfs (mga#9884)
- explain what for drakx-installer-binaries is needed
- explain what for meta-task is needed

* Sat Apr 27 2013 tmb <tmb> 15.44-4.mga3
+ Revision: 411417
- rebuild for new meta-task

* Sat Apr 27 2013 tmb <tmb> 15.44-3.mga3
+ Revision: 411355
- rebuild for d-i-b, ldetect-lst, meta-task

* Wed Apr 24 2013 tmb <tmb> 15.44-2.mga3
+ Revision: 411085
- rebuild for new ldetect-lst and d-i-b

* Tue Apr 23 2013 tv <tv> 15.44-1.1.mga3
+ Revision: 411053
- remove bogus debug patch
- partionning:
  o fix a crash when reloading partition table (mga#9838)
  o fix a crash when trying to create a encrypted LVM partition (mga#9837)
- libxxf86misc-devel BR is no more needed since drakx-kbd-mouse-x11 split

* Mon Apr 22 2013 ennael <ennael> 15.43-1.mga3
+ Revision: 410931
- update left background for final release

* Mon Apr 22 2013 tmb <tmb> 15.42-2.mga3
+ Revision: 410872
- rebuild for drakx-kbd-mouse-x11

* Sun Apr 21 2013 tv <tv> 15.42-1.mga3
+ Revision: 410674
- partionning (mga#5661):
  o ensure LVMs on top of dmcrypt are activated after unlocking
  o fix UI redraw issue after unlocking dmcrypt partition
- add support for new help
- updated translations

* Fri Apr 19 2013 tv <tv> 15.40-1.mga3
+ Revision: 410562
- authentication:
  o 'nss-pam-ldapd' obsoletes 'pam_ldap' (mga#9769)
- partionning (mga#5661):
  o fix loosing crypt key when detecting LVMs on top of dmcrypt
  o fix loosing crypt key when re-reading partition tables

* Thu Apr 18 2013 tv <tv> 15.39-3.mga3
+ Revision: 410458
- rebuild for new urpmi & drakx-kbd-mouse-x11

* Wed Apr 17 2013 tmb <tmb> 15.39-2.mga3
+ Revision: 410305
- rebuild for new btrfs-progs

* Mon Apr 15 2013 tv <tv> 15.39-1.mga3
+ Revision: 410114
- bump min size for spliting /home fs (Eugeni, mga#3189):
  o from 8 to 12Gb if simple partionning
  o from 7 to 10Gb if /usr is split or for servers

* Sun Apr 14 2013 ennael <ennael> 15.38-1.mga3
+ Revision: 410091
- Mageia 3 RC banner

* Sat Apr 13 2013 tmb <tmb> 15.37-4.mga3
+ Revision: 410040
- unset debug (enabled by mistake)

* Sat Apr 13 2013 tmb <tmb> 15.37-3.mga3
+ Revision: 410025
- rebuild for d-i-b and ldetect-lst

* Wed Apr 10 2013 tmb <tmb> 15.37-2.mga3
+ Revision: 409387
- rebuild for new ldetect-lst

* Tue Apr 09 2013 tv <tv> 15.37-1.mga3
+ Revision: 409157
- library:
  o fix detecting some USB devices due to not reporting their class (mga#9674)
- partitionning:
  o allow to choose btrfs in normal mode (mga#65)

* Sat Apr 06 2013 tv <tv> 15.36-1.mga3
+ Revision: 408482
- bind mount /run in chroot, thus fixing dracut runs (Dave Hodgins, mga#9213)
- bootloader:
  o fix other Mga OS names in menu (mga#8710)

* Fri Apr 05 2013 tv <tv> 15.35-1.mga3
+ Revision: 408297
- diskdrake:
  o fix removing LVM entries when saving /etc/fstab (mga#5811)
- drakboot:
  o assume grub2.cfg is UTF-8 encoded
  o read back xen conf from grub2
  o set entries type when reading back grub2 conf, thus fixing
    switching back to grub-legacy (mga#9563)
- draksound
  o update draksound troubleshooting text (mga#4162)

* Fri Apr 05 2013 tmb <tmb> 15.34-2.mga3
+ Revision: 408217
- rebuild for new ldetect and d-i-b

* Thu Apr 04 2013 tv <tv> 15.34-1.mga3
+ Revision: 407778
- force loading NSS modules (mga#9326)
- log ignored dmraid devices (might help mga#9467)
- drakx-in-chroot:
  o always copy /etc/resolv.conf again

* Thu Apr 04 2013 tv <tv> 15.33-1.mga3
+ Revision: 407674
- drakx-in-chroot:
  o do not copy /etc/resolv.conf in chroot if not using either remote
    display or remote repository (thus fixing goup lookups, mga#9326)

* Sun Mar 31 2013 tv <tv> 15.32-1.mga3
+ Revision: 406809
- fix detecting Xen hard disks (mga#9546)

* Thu Mar 28 2013 ennael <ennael> 15.30-2.mga3
+ Revision: 405957
- rebuild for ldetect-lst

* Mon Mar 25 2013 ennael <ennael> 15.30-1.mga3
+ Revision: 405233
- New design for Mageia 3

* Sat Mar 23 2013 tmb <tmb> 15.29-3.mga3
+ Revision: 404639
- reuild with new perl-URPM

* Sat Mar 23 2013 tv <tv> 15.29-2.mga3
+ Revision: 404608
- rebuild with new ldetect-lst

* Fri Mar 22 2013 ennael <ennael> 15.29-1.mga3
+ Revision: 404469
- Mageia 3 beta 4 background

* Fri Mar 22 2013 tv <tv> 15.28-1.mga3
+ Revision: 404417
- do not disable module autoloading (mga#9428)
- authentication:
  o install nss-pam-ldapd instead of nss_ldap (mga#9375)
- partitionning:
  o actually preserve UUID when formatting (mga#9428)

* Thu Mar 14 2013 tmb <tmb> 15.27-2.mga3
+ Revision: 403129
- rebuild for new d-i-b

* Tue Mar 12 2013 tv <tv> 15.27-1.mga3
+ Revision: 402125
- bootloader:
  o install grub2-efi instead of grub2 if using UEFI (mga#8886)
- fix permissions of help displayer (mga#9340)
- fix dialogs popup with drakx-in-chroot

* Mon Mar 11 2013 tv <tv> 15.26-2.mga3
+ Revision: 402079
- rebuild for new e2fsprogs

* Tue Mar 05 2013 tv <tv> 15.26-1.mga3
+ Revision: 401495
- include display_installer_help
- show all errors at once at end of installation
- fork displaying help, thus workarounding a webkit segfault (mga#9124)
- prevent displaying twice release notes

* Sun Mar 03 2013 tv <tv> 15.24.1-2.mga3
+ Revision: 401297
- rebuild for new perl-Glib

* Sat Mar 02 2013 tmb <tmb> 15.24.1-1.mga3
+ Revision: 401160
- rebuild with updated kernel/list_modules

* Sat Mar 02 2013 tmb <tmb> 15.24-2.mga3
+ Revision: 401087
- rebuild for new x11-server

* Thu Feb 28 2013 tv <tv> 15.24-1.mga3
+ Revision: 400643
- bootloader:
  o allow installing grub2 on a partition (mga#8462)
  o try harder not to have duplicate stuff on grub2 cmd line
- do not put entry for CD/DVD in /etc/fstab (mga#7657)

* Wed Feb 27 2013 tv <tv> 15.23-1.mga3
+ Revision: 400473
- bootloader:
  o fix detecting grub2 if there's a remaining grub-legacy signature
  o read more of grub2 config
  o read & save timeout value (mga#8850)
  o set default parameters in grub2 config (mga#9177)
- do not attempt to use gurpmi.addmedia or gurpmi if in text mode

* Tue Feb 26 2013 ennael <ennael> 15.22-1.mga3
+ Revision: 400361
- Mageia 3 beta 3 background

* Tue Feb 26 2013 tv <tv> 15.21-1.mga3
+ Revision: 400342
- summary:
  o prevent installing grub2 somewhere else than MBR
  o read & write /boot/grub2/drakboot.conf
  o suggests MBR by default for grub2 too (Manuel Hiebel, #8851)
- always bypass blkid cache (the cache only includes a subset of the data we need)

* Sat Feb 23 2013 tmb <tmb> 15.20-6.mga3
+ Revision: 400171
- rebuild for meta-task and drakx-net

* Wed Feb 20 2013 tv <tv> 15.20-5.mga3
+ Revision: 399558
- rebuild for new drakx-net

* Sat Feb 09 2013 tmb <tmb> 15.20-4.mga3
+ Revision: 397340
- rebuild for new btrfs-progs

* Thu Jan 24 2013 tmb <tmb> 15.20-3.mga3
+ Revision: 392183
- rebuild for new drakx-net and meta-task

* Mon Jan 21 2013 ennael <ennael> 15.20-2.mga3
+ Revision: 390544
- remove uneeded patch for USB modules
+ tv <tv>
- use modprobe instead of insmod (mga#8676)

* Mon Jan 21 2013 tmb <tmb> 15.19-3.mga3
+ Revision: 390490
- rebuild with new d-i-b
- sync kernel list_modules with installer-images (P1)

* Wed Jan 16 2013 tmb <tmb> 15.19-2.mga3
+ Revision: 388882
- rebuild for new d-i-b, ldetect

* Mon Jan 14 2013 ennael <ennael> 15.19-1.mga3
+ Revision: 388070
- remove unneeded patch
- Mageia 3 beta 2

* Thu Jan 10 2013 tmb <tmb> 15.18-3.mga3
+ Revision: 344888
- rebuild for new meta-task and ldetect-lst

* Sun Jan 06 2013 tv <tv> 15.18-2.mga3
+ Revision: 339947
- rebuild for latest device-mapper

* Sat Jan 05 2013 tv <tv> 15.18-1.mga3
+ Revision: 339157
- include more utils for raid (mga#8484)
- include more utils for raid (mga#8484)

* Fri Dec 28 2012 tv <tv> 15.16-1.mga3
+ Revision: 335762
- adapt to new help layout (mga#5634)

* Wed Dec 26 2012 tv <tv> 15.15-2.mga3
+ Revision: 335507
- disable temp libffi fix

* Mon Dec 24 2012 tv <tv> 15.15-1.mga3
+ Revision: 334698
- BR dracut for convertfs.sh
- temporary build fix: BR libffi6 (needed by gdk-pixbuf-query-loaders)
- drakx-in-chroot:
  o add --strace option, enabling to pinpoint missing modules
- include missing module for upcasing UTF-8 characters (mga#8475)
- media step:
  o prevent selecting an update medium without its parent medium
- build with rpm-4.11

* Mon Dec 17 2012 tv <tv> 15.14-1.mga3
+ Revision: 332193
- ugtk2: use new exceptions management
- fix installing grub2 from live session (blino)

* Sat Dec 15 2012 tv <tv> 15.13-1.mga3
+ Revision: 331044
- fix checking grub2 installation (mga#8390)

* Fri Dec 14 2012 tv <tv> 15.12-1.mga3
+ Revision: 330978
- "enhance" fake grub2 conf reading (mga#8366)
- time steps in logs
- media step:
  o fix dialogs title
  o show which media are disabled when offering to pick supplementary ones

* Thu Dec 13 2012 tv <tv> 15.11-2.mga3
+ Revision: 330523
- rebuild for new urpmi

* Thu Dec 13 2012 tv <tv> 15.11-1.mga3
+ Revision: 330454
- install grub2 if needed
- media choice step:
  o display tooltips describing media

* Tue Dec 11 2012 tv <tv> 15.10-1.mga3
+ Revision: 329765
- revert rosa crap that breaks generating initrd (mga#8357)

* Tue Dec 11 2012 tv <tv> 15.9-2.mga3
+ Revision: 329672
- rebuild for new ldetect

* Tue Dec 11 2012 tv <tv> 15.9-1.mga3
+ Revision: 329631
- fix network set up for adding network media if not up by stage1
  (aka DVD/CD case, mga#8282)
- partitionning:
  o if a partition has been manually formated, don't offer to format
    it again (mga#7822)

* Tue Dec 11 2012 tv <tv> 15.8-1.mga3
+ Revision: 329560
- fix installing basesystem prior to adding a supplementary network
  medium

* Mon Dec 10 2012 tv <tv> 15.7-1.mga3
+ Revision: 329390
- media choice step:
  o blacklist unwanted media instead  of whitelisting wanted ones
    (fix dual cd where media names are not the regular ones)
  o no media is a critical error
- updates step:
  o add all media instead of only update ones (mga#7959)

* Mon Dec 10 2012 tv <tv> 15.6-1.mga3
+ Revision: 329286
- language choise:
  o change title of of "Multiple languages" dialog box from "Please Choose A
    Language To Use" to "Select Additional Languages" (mga#7648)
- set font familly & size system wide, thus fixing font size in gurpmi
  & release notes (mga#67)

* Mon Dec 10 2012 tv <tv> 15.5-1.mga3
+ Revision: 329272
- recognize new drivers:
  o input: hid-sensor-hub
  o PHY: at803x

* Sun Dec 09 2012 tmb <tmb> 15.4-5.mga3
+ Revision: 329257
- rebuild for new meta-task

* Sun Dec 09 2012 tmb <tmb> 15.4-4.mga3
+ Revision: 329233
- disable debug so auto_install works again

* Sun Dec 09 2012 tmb <tmb> 15.4-3.mga3
+ Revision: 329197
- add additional debug patch (tv, P1)
- rebuild for new meta-task

* Sun Dec 09 2012 ennael <ennael> 15.4-2.mga3
+ Revision: 329167
- use debug for tests

* Sun Dec 09 2012 tv <tv> 15.4-1.mga3
+ Revision: 329142
- put grub-legacy before grub2

* Fri Dec 07 2012 tv <tv> 15.2-1.mga3
+ Revision: 327959
- add fake gru2 conf reading
- skip media screen in auto install

* Fri Dec 07 2012 tmb <tmb> 15.0-3.mga3
+ Revision: 327882
- fix auto_install (P1)

* Fri Dec 07 2012 tv <tv> 15.1-1.mga3
+ Revision: 327795
- add basic support for grub2 (mga#416)
  (based on rosa work but fixed and completed)

* Fri Dec 07 2012 tv <tv> 15.0-2.mga3.nonfree
+ Revision: 327765
- rebuild with new kmod

* Thu Dec 06 2012 tv <tv> 15.0-1.mga3
+ Revision: 327441
- enable to skip keyboard step with keyboard option
- enable to enable other media
  (such as 'nonfree', 'tainted' which are disabled by default)

* Tue Dec 04 2012 tv <tv> 14.52-2.mga3
+ Revision: 326499
- rebuild for new urpmi/URPM

* Tue Dec 04 2012 tv <tv> 14.52-1.mga3
+ Revision: 326469
- Mageia 3 beta 1 left background
- fix missing command links (mga#8289)
- fix initializing urpm object (mga#8160)
- fix offering "selecting individual packages" when pressing "previous" after
  selecting package groups

* Mon Dec 03 2012 tv <tv> 14.51-5.mga3
+ Revision: 325884
- rebuild for new urpmi/URPM

* Sat Dec 01 2012 tmb <tmb> 14.51-4.mga3
+ Revision: 324270
- rebuild for updated drakx-installer-help

* Sat Dec 01 2012 kamil <kamil> 14.51-3.mga3
+ Revision: 324266
- rebuild against new drakx-installer-help

* Fri Nov 30 2012 tv <tv> 14.51-2.mga3
+ Revision: 323285
- rebuild with new e2fsprogs

* Fri Nov 16 2012 tv <tv> 14.51-1.mga3
+ Revision: 318935
- retrieve package descriptions from XML meta-data instead of from huge hdlists
  (fix not displaying packages description in network installs) (mga#549)
- fix a crash when pressing "previous" after selecting package groups

* Thu Nov 15 2012 tv <tv> 14.50.1-1.mga3
+ Revision: 318198
- include Parse::EDID for monitor-parse-edid (mga#8076)

* Sun Nov 11 2012 tv <tv> 14.50-3.mga3
+ Revision: 316957
- rebuild for new meta-task

* Thu Nov 08 2012 tv <tv> 14.50-2.mga3
+ Revision: 316454
- rebuild for new ldetect-lst

* Tue Nov 06 2012 tv <tv> 14.50-1.mga3
+ Revision: 314821
- prevent a horizontal scrollbar to appear in some dialogs (mga#7374)

* Sat Nov 03 2012 ennael <ennael> 14.49-1.mga3
+ Revision: 313276
- remove uneeded patch
- Mageia 3 alpha 3 banner
- prefer real binaries over the lightweight perl wrappers
- convert filesystem for usrmove during upgrades
- show a 'please wait' dialog while processing usrmove
+ matteo <matteo>
- bumped release
- building against drakx-installer-help-3.1-1

* Fri Nov 02 2012 tmb <tmb> 14.48-3.mga3
+ Revision: 312718
- remove unwanted install/stage2/usr files
- Only emulate shell commands via perl if real versions do not exist already (P1, colin, trunk)

* Wed Oct 31 2012 tmb <tmb> 14.48-2.mga3
+ Revision: 311781
- rebuild for new ldetect-lst

* Mon Oct 22 2012 tv <tv> 14.48-1.mga3
+ Revision: 309130
- fix detecting if udev is already running
- include FIRMWARE packages from Cards+ in detected graphical drivers,
  to install radeon-firmware during install (#6438, #7641)
- properly generate stage2 with a usrmove-esque fs layout

* Thu Oct 18 2012 tv <tv> 14.47-2.mga3
+ Revision: 307982
- rebuild for new rpm

* Fri Oct 12 2012 tv <tv> 14.47-1.mga3
+ Revision: 304826
- offer resizing NTFS again (broken by ntfsprogs -> ntfs-3g switch)

* Sat Oct 06 2012 tv <tv> 14.46.3-2.mga3
+ Revision: 303048
- rebuild for new cairo

* Fri Oct 05 2012 tv <tv> 14.46.3-1.mga3
+ Revision: 302935
- load 'microcode' asynchronously, preventing big wait when not supported
  (mga#7671)

* Wed Oct 03 2012 tv <tv> 14.46.2-1.mga3
+ Revision: 302335
- adapt to latest dash-static
- fix comment in license text

* Tue Oct 02 2012 tv <tv> 14.46.1-1.mga3
+ Revision: 302129
- fix build with latest pango
- rebuild with ldetect & kmod (#5833)

* Thu Sep 27 2012 ennael <ennael> 14.46-1.mga3
+ Revision: 298812
- Mageia 3 alpha 2

* Thu Sep 20 2012 tv <tv> 14.45-1.mga3
+ Revision: 296438
- load fuse module automatically when trying to mount NTFS-3G (mga#5685)

* Sun Sep 16 2012 tv <tv> 14.44.1-1.mga3
+ Revision: 294283
- add spacing between license paragraphs

* Fri Sep 14 2012 tv <tv> 14.44-1.mga3
+ Revision: 293974
- drop merged path
- adapt to xserver 1.13
- advertize new doc license & licenser (mga#7347)
- install cpupower instead of cpupower
- package group selection:
  o remove "select all" button (not as usefull as "unselect all" & it
    takes too much place when translated)

* Thu Sep 13 2012 tv <tv> 14.43-3.mga3
+ Revision: 293484
- rebuild for new x11-server

* Wed Sep 12 2012 tv <tv> 14.43-2.mga3
+ Revision: 293122
- rebuild for new ldetect

* Tue Sep 04 2012 tv <tv> 14.43-1.mga3
+ Revision: 288169
- compress report with xz instead of gzip
- fix crash when clicking previous in minimal install step (mga#7345)
- include swaplabel (mga#7334)

* Tue Sep 04 2012 tv <tv> 14.42-1.mga3
+ Revision: 287900
- load 'aesni_intel' crypto module for newer Intel CPUs (mga#7333)
- recognize new drivers:
  o input: hid-aureal synaptics_usb
  o wifi: qmi_wwan, mwifiex_usb

* Mon Sep 03 2012 tv <tv> 14.41-1.mga3
+ Revision: 287739
- BR ia_ora-gnome again
- include back Ia Ora files for matchbox (mga#6451)

* Mon Sep 03 2012 tv <tv> 14.40-1.mga3
+ Revision: 287679
- prevent going further if some transactions failed (mga#7016)
- summary: fix displayed network type (mga#4959)
- losetep BR is a dup

* Mon Sep 03 2012 tv <tv> 14.39-1.mga3
+ Revision: 287592
- rely on stage1 for mounting /dev

* Sun Sep 02 2012 ennael <ennael> 14.38-1.mga3
+ Revision: 287241
- Mageia 3 alpha 1 banner

* Sat Sep 01 2012 ennael <ennael> 14.37-1.mga3
+ Revision: 286999
- Fix initrd generation
+ tv <tv>
- adapt to urpmi-7.5

* Thu Aug 30 2012 tv <tv> 14.35-1.mga3
+ Revision: 285857
- adapt to usbfs death

* Thu Aug 30 2012 tv <tv> 14.34-1.mga3
+ Revision: 285769
- adapt to perl-5.16.1
- services:
  o fix checking systemd presence after systemd merge of subpackages

* Tue Aug 21 2012 tv <tv> 14.32-3.mga3
+ Revision: 282933
- rebuild for mouse driver issue

* Thu Aug 02 2012 kamil <kamil> 14.32-2.mga3
+ Revision: 277994
- rebuild against new drakx-installer-help v. 3.0

* Sat Jul 28 2012 tv <tv> 14.32-1.mga3.nonfree
+ Revision: 275173
- package group selection:
  o add a scrollbarb/arch/auto/c/c.so
    (due to Oxygen theme eating more space than Ia Ora one)
  o add "select all" & "unselect all" buttons
- stop fixing the raid udev rule now that it has been fixed

* Tue Jul 24 2012 tv <tv> 14.31-1.mga3
+ Revision: 274005
- adapt to latest GDB
- adapt to latest systemd/udevd
- adapt to /usr move
- nfs install: install nfs-utils instead of nfs-utils-clients
  (#6570, merged back in nfs-utils)
- rebuild for new rpm & URPM

* Thu Jun 28 2012 tv <tv> 14.30-2.mga3
+ Revision: 264619
- rebuild for latest rpm & URPM

* Sat Jun 23 2012 tv <tv> 14.30-1.mga3
+ Revision: 262744
- show all errors at once when setting media
- fix settings 'suggests' properly according to 'no_suggests'
  (aka default to suggests enabled)
  regression intoduced in 14.23

* Tue Jun 19 2012 tv <tv> 14.29-3.mga3
+ Revision: 261971
- rebuild for new URPM

* Mon Jun 18 2012 tv <tv> 14.29-2.mga3
+ Revision: 261779
- rebuild for new URPM

* Sun Jun 17 2012 tv <tv> 14.29-1.mga3
+ Revision: 261276
- adapt to perl-URPM >= 4.2
- rebuild for new urpmi & URPM

* Tue Jun 12 2012 tv <tv> 14.28-2.mga3
+ Revision: 259944
- BR nfs-utils instead of nfs-utils-clients
- rebuild for new rpm-4.10.0

* Mon Jun 11 2012 tv <tv> 14.28-1.mga3
+ Revision: 259846
- fix upgrade with rpm-4.10.0
- really fix build with brltty-4.3

* Thu Jun 07 2012 tv <tv> 14.27-1.mga3
+ Revision: 256689
- debug mode:
  o do not start udev twice
  o just start the installer if one quits the shell
  o spawn a shell like in regular mode
- fix build with brltty-4.3
- rebuild with x11-server-1.12

* Tue Jun 05 2012 tv <tv> 14.26-1.mga3
+ Revision: 255771
- fix detecting if Xorg started successfully

* Mon Jun 04 2012 tv <tv> 14.25-1.mga3
+ Revision: 254448
- fix fallbacking on curses install aka abort gtk install startup if Xnstall/install/NEWS
  failed to start
- switch from Ia Ora to Oxygen Gtk theme
- use proper design from original author
+ fwang <fwang>
- turn to oxygen-gtk theme

* Thu May 31 2012 tv <tv> 14.24-1.mga3
+ Revision: 252116
- adapt to latest xkb
- fix build with perl-5.16.0

* Tue May 29 2012 tv <tv> 14.23.1-1.mga3
+ Revision: 249119
- include newly needed module

* Tue May 29 2012 tv <tv> 14.23-1.mga3
+ Revision: 248799
- do not create /dev/ entries created by udev
- kill last remanents of kernel-2.4.x support
- package group selection:
  o remember minimal install values when clicking "previous"
- packages installation:
  o add support for 'justdb' option
  o enable to go fast with 'tune-rpm'...
- partitionning:
  o first attempt at supporting XenBlk discs
  o reduce blkid timeout to 30 seconds (mga#5979)
- refactoring

* Sat May 19 2012 tmb <tmb> 14.22-3.mga2
+ Revision: 235928
- rebuild for mageia-release

* Thu May 17 2012 ennael <ennael> 14.22-2.mga2
+ Revision: 235898
- rebuild for final doc

* Tue May 15 2012 ennael <ennael> 14.22-1.mga2
+ Revision: 235737
- final banner
- fix detecting if adding update media succeeded
- authentication: don't update UsePAM option in sshd configuration

* Sun May 13 2012 barjac <barjac> 14.21-3.mga2
+ Revision: 235540
- Rebuild against updated drakx-installer-help

* Sat May 12 2012 ennael <ennael> 14.21-2.mga2
+ Revision: 235462
- rebuild against latest help package

* Fri May 11 2012 tv <tv> 14.21-1.mga2
+ Revision: 235339
- export res_init function to perl lib

* Thu May 10 2012 tmb <tmb> 14.20.1-2.mga2
+ Revision: 235247
- fix typo in list_modules

* Thu May 10 2012 tmb <tmb> 14.20.1-1.mga2
+ Revision: 235174
- drakx-in-chroot: unmount /dev in chroot

* Thu May 10 2012 tv <tv> 14.20-2.mga2
+ Revision: 235156
- rebuild with latest drakx-net (fix testing network connectivity, mga#5772)

* Sun May 06 2012 tv <tv> 14.20-1.mga2
+ Revision: 234807
- bind mount /dev inside chroot rather than copy nodes (mga#5730)
+ ennael <ennael>
- display translated urpmi messages

* Thu May 03 2012 tv <tv> 14.19-1.mga2
+ Revision: 234665
- fix displaying urpmi fatal errors (mga#5725)
- add missing libfuse.so.2 for mount.ntfs-3g (#5685)

* Wed May 02 2012 tv <tv> 14.17-3.mga2
+ Revision: 234478
- rebuild for new ldetect-lst (mga#5681)

* Mon Apr 30 2012 ennael <ennael> 14.17-2.mga2
+ Revision: 234401
- rebuilt against new drakx-installer-help package

* Mon Apr 30 2012 ennael <ennael> 14.17-1.mga2
+ Revision: 234378
- fix noarch handling/search on 64bits
- various fixes in autoinstall
- drop support of reiser4

* Mon Apr 30 2012 tmb <tmb> 14.16-3.mga2
+ Revision: 234348
- rebuild for new meta-task and drakx-net
+ pterjan <pterjan>
- Rebuild for new drakx-kbd-mouse-x11

* Sun Apr 29 2012 tv <tv> 14.16-1.mga2
+ Revision: 234176
- add btrfsck
- partitioning:
  o forbid having /boot as btrfs (mga#5627)

* Sat Apr 28 2012 tv <tv> 14.15-1.mga2
+ Revision: 233995
- partitioning:
  o fix partitions not being shown after clicking on "Reload partition table"
    (mga#3260)
  o run udevadm in installer too
    (might fix unnecessary reboot (mga#4439))

* Thu Apr 26 2012 ennael <ennael> 14.14-1.mga2
+ Revision: 233434
- Mageia 2 RC Banner

* Wed Apr 25 2012 tv <tv> 14.13-1.mga2
+ Revision: 233267
- include needed symlinks for ndiswrapper (mga#44416)

* Wed Apr 25 2012 ennael <ennael> 14.12-1.mga2
+ Revision: 233231
- update desktop images

* Wed Apr 25 2012 tv <tv> 14.11-1.mga2
+ Revision: 233185
- fix offering desktop choice (DVD has task-kde4-minimal instead of task-kde4)
  (mga#5574)
- partitionning:
  o do not set fs_type to ext4 for raw LVM/RAID/LUKS
  o detect LVM on top on Encrypted partitions (mga#5330)
- services:
  o systemd support (mga#3253, mga#3740, mga#4910, mga#5122)
- partitioning wizard:
  o fix removing several notebook pages
  o reuse code from hd_gtk, fixes display of "Use free space" solution

* Mon Apr 23 2012 tv <tv> 14.10-1.mga2
+ Revision: 233023
- do not offer to upgrade mdv 201[1-9] (mga#5004)
- individual package selection:
  o fix a crash
  o honor "no suggests" option (mga#3467)

* Mon Apr 23 2012 ennael <ennael> 14.9-2.mga2
+ Revision: 232850
- remove buggy patch
+ tv <tv>
- include missing perl modules (mga#5528)

* Fri Apr 20 2012 tv <tv> 14.8-1.mga2
+ Revision: 232125
- partitioning wizard:
  o do not crash on selecting a RAID device
  o fix displaying empty info about RAID devices
  o fix listing RAID devices

* Thu Apr 19 2012 tv <tv> 14.7-1.mga2
+ Revision: 231859
- fix a crash when package state is empty (mga#5487)
- fix not offering to upgrade RAID installs
  (udev was enabling RAIDs early but leaved them in inactive mode
  due to not yet loaded personality modules)
- when selecting where ro install bootloader, display mountpoint if
  available, and size+fs_type if we have nothing (mga#5460)

* Wed Apr 18 2012 tv <tv> 14.6-1.mga2
+ Revision: 231452
- individual package selection:
  o fix "invisible" lock icon (mga#5424)
  o show again package descriptions (mga#549)
- package installation:
  o fix assuming "no" to continue on bad signatures once "do not ask
    again" has been checked in
  o offer to not ask again about missing packages
  o unselect already suggested packages when performing a minimal
    install if "no suggests" option was choosen (mga#5209)

* Wed Apr 18 2012 kamil <kamil> 14.5-2.mga2
+ Revision: 231336
- rebuild against new drakx-installer-help

* Thu Apr 12 2012 ennael <ennael> 14.5-1.mga2
+ Revision: 230533
- fix color for menu categories
- add missing udev programs needed for persistant storage rules.

* Thu Apr 12 2012 ennael <ennael> 14.4-1.mga2
+ Revision: 230446
- fix quiet option for bootloader
- install btrfs-progs if needed (mga#5274)
- make sure ranges are always within limits in text mode (mga#646)

* Sun Apr 08 2012 tmb <tmb> 14.3-4.mga2
+ Revision: 229626
- rebuild for new util-linux

* Sat Apr 07 2012 tv <tv> 14.3-3.mga2
+ Revision: 229514
- rebuild with kmod
+ pterjan <pterjan>
- Mageia 2 beta 3 banner
- diskdrake:
  o fix partition numbering on GPT (mga#3091)

* Thu Apr 05 2012 tv <tv> 14.2-1.mga2
+ Revision: 228739
- add boot splash to initrd only once
- log install settings (mga#3467 & mga#5209)
- do not set security level to its own value on upgrade (mga#5147)
- do not crash if msec isn't installed
- do not offer to select the security level in summary if msec is not installed
- text installer:
  o include "screen" terminfo (mga#4894)

* Thu Apr 05 2012 ennael <ennael> 14.1-6.mga2
+ Revision: 228685
- rebuild with updated help

* Thu Apr 05 2012 tv <tv> 14.1-5.mga2
+ Revision: 228638
- rebuild with new rpm/ldetect-lst/drakx-kbd-mouse-x11

* Tue Apr 03 2012 tmb <tmb> 14.1-4.mga2
+ Revision: 228147
- rebuild for new e2fsprogs

* Sun Mar 25 2012 boklm <boklm> 14.1-3.mga2
+ Revision: 226358
- rebuild for new drakx-installer-help

* Sun Mar 25 2012 tmb <tmb> 14.1-2.mga2
+ Revision: 226231
- rebuild for new xfsprogs and btrfs-progs

* Fri Mar 23 2012 tv <tv> 14.1-1.mga2
+ Revision: 225988
- better "bootloader" message (mga#484)
- fix displaying "Mageia" in some messages

* Fri Mar 23 2012 tv <tv> 14.0-2.mga2
+ Revision: 225841
- rebuild with latest drakx-net

* Wed Mar 21 2012 tv <tv> 14.0-1.mga2
+ Revision: 225139
- disk install: handle bogus ISOs when looking for install image (mga#4919)
- step column: hide so called "bootlader" step since we do _not_ actually
  install bootloader at this stage but later in summary (mga#484)
- make "Preparing bootloader" less intimidating (mga#484)

* Mon Mar 19 2012 tmb <tmb> 13.95-4.mga2
+ Revision: 224479
- rebuild for new drakx-installer-binaries

* Mon Mar 19 2012 tmb <tmb> 13.95-3.mga2
+ Revision: 224381
- rebuild for new drakx-installer-binaries

* Fri Mar 16 2012 tv <tv> 13.95-2.mga2
+ Revision: 223703
- rebuild with new help

* Tue Mar 13 2012 tv <tv> 13.95-1.mga2
+ Revision: 223283
- recognize more HID drivers (mga#4905)

* Tue Mar 13 2012 tv <tv> 13.94-1.mga2
+ Revision: 223266
- actually use new installer help

* Tue Mar 13 2012 tv <tv> 13.93-2.mga2
+ Revision: 223211
- rebuild with fixed rpm (mga#4918)

* Mon Mar 12 2012 tv <tv> 13.93-1.mga2
+ Revision: 223096
- recognize c67x00, imx21-hcd, fhci, isp1362-hcd, oxu210hp-hcd & renesas-usbhs
  USB host drivers (mga#4905)
- use lxdm for LXDE

* Sun Mar 11 2012 kamil <kamil> 13.92-2.mga2
+ Revision: 222816
- add drakx-installer-help as a build requirement (the .html documentation should be now included)
- clean .spec a bit

* Sun Mar 11 2012 tv <tv> 13.92-1.mga2
+ Revision: 222579
- explain why acpi, acpid & mageia-gfxboot-theme packages are selected
- install more packages earlier (shorewall & mandi), preventing useless
  installing steps later at summary stage
- partitionning:
  o fix error on removing LVs
  o fix resizing LVs (mga#4666)

* Fri Mar 09 2012 tv <tv> 13.91.1-2.mga2
+ Revision: 221984
- rebuild with new lua which is linked with libncursesw instead of libncurses
  causing rpm to be linked with both libncursesw & libncurses and text
  installer to crash (mga#4724)

* Thu Mar 08 2012 tv <tv> 13.91.1-1.mga2
+ Revision: 221602
- add a wrapper for running GDB in installer a simpler waydd

* Thu Mar 08 2012 tv <tv> 13.91-1.mga2
+ Revision: 221431
- fix build when not in debug mode
- add debug build option to spec file
- Mageia 2 beta 2 banner
- summary:
  o list mandi with iptables* & shorewall in services
  o list dm, mdadm, messagebus, microcode_ctl, netconsole & partmon services in system
  o list network, network-auth, network-up & resolvconf into new 'networking' category
- debug build:
  o don't run directly stage2
  o include busybox
  o include needed python files for GDB
  o start udev since we fork a shell prior to running stage2

* Tue Mar 06 2012 tv <tv> 13.90-1.mga2
+ Revision: 220549
- fix crashing if we failed to initialize Curses
- fix double segfault when text installer fails to init
- fix stopping udev
- set geometry for text installer

* Mon Mar 05 2012 tv <tv> 13.89-4.mga2
+ Revision: 219264
- rebuild for new urpmi

* Mon Mar 05 2012 tmb <tmb> 13.89-3.mga2
+ Revision: 218605
- rebuild with fixed urpmi

* Sat Mar 03 2012 tmb <tmb> 13.89-2.mga2
+ Revision: 217304
- rebuild for new drakx-installer-binaries

* Fri Mar 02 2012 tv <tv> 13.89-1.mga2
+ Revision: 216796
- fix RAID udev rule

* Fri Mar 02 2012 tv <tv> 13.88-1.mga2
+ Revision: 216707
- install mdadm for fake RAID too (mga#4750)

* Thu Mar 01 2012 tv <tv> 13.87-1.mga2
+ Revision: 216587
- include more udev rules for RAID (mga#4750)

* Thu Mar 01 2012 tv <tv> 13.86-1.mga2
+ Revision: 216559
- include libdmraid-events-isw.so for dmraid (mga#4750)
- tty stty are needed for text mode installer (mga#2038)

* Wed Feb 29 2012 tv <tv> 13.85-2.mga2
+ Revision: 216199
- rebuild for new rpm/URPM/urpmi

* Sun Feb 26 2012 tv <tv> 13.85-1.mga2
+ Revision: 215060
- load 'xts' module for crypted fses (Dave Hodgins, mga#3749)

* Fri Feb 24 2012 tv <tv> 13.84-1.mga2
+ Revision: 213916
- recognize more HID drivers (mga#4129)

* Wed Feb 22 2012 tv <tv> 13.83-2.mga2
+ Revision: 212248
- rebuild new with new e2fsprogs

* Sun Feb 19 2012 tv <tv> 13.83-1.mga2
+ Revision: 210743
- log more stuff regarding packages installation (mga#4565)

* Wed Feb 15 2012 tv <tv> 13.82-1.mga2
+ Revision: 209235
- temporary building fix (pending investigation)
- diskdrake:
  o use better cipher for encrypted fses (mga#3092)
+ ennael <ennael>
- 13.82
- 13.82

* Thu Jan 26 2012 tv <tv> 13.80-1.mga2
+ Revision: 202045
- kill old gtk+ warnings that confuse people
- include back urpmi translations
- do not display errors when loading a driver that is already loaded (mga#1146)

* Tue Jan 24 2012 tv <tv> 13.78-1.mga2
+ Revision: 200635
- log packages selected b/c of HW, fs, install method, ...
- summary:
  o list shorewall with iptables* in services
- diskdrake:
  o better default name for new VG (vg-mga, vg-mga1, ...
    instead of vg-0, vg-1, ...)

* Mon Jan 23 2012 tv <tv> 13.77-1.mga2
+ Revision: 200402
- BuildRequires: nilfs-utils
- diskdrake:
  o allow using nilfs2 during install
  o enable to set label on btrfs & nilfs fses as well as on swap
  o preserve UUID when reformating a nilfs fs
- do not install shorewall & mandi if firefwall is not configured

* Fri Jan 20 2012 tv <tv> 13.76-1.mga2
+ Revision: 198828
- add support for XZ modules
- faster & safer waiting for end of USB modules
- include gtk20 translations (caps lock & the like)
- diskdrake:
  o enable to set LV names when not in expert mode
  o report back error from lvm2
  o suggest better LV names based on the mount point rather than numbers

* Thu Jan 19 2012 tv <tv> 13.75.1-1.mga2
+ Revision: 198459
- fix mounting /dev/pts & /dev/shm
- include DM/MD udev rules so that install on LVM works again
- drakx-in-chroot:
  o add support for --gdb

* Sun Jan 08 2012 tv <tv> 13.75-3.mga2
+ Revision: 193029
- rebuild with fixed ldetect

* Sat Jan 07 2012 tmb <tmb> 13.75-2.mga2
+ Revision: 192990
- build with libldetect-devel 0.11.3-1

* Sat Jan 07 2012 tv <tv> 13.75-1.mga2
+ Revision: 192950
- stop udev at end of install
- Mageia 2 Alpha 3 banner

* Fri Jan 06 2012 tv <tv> 13.74.1-4.mga2
+ Revision: 192692
- rebuild with new urpmi

* Thu Jan 05 2012 tmb <tmb> 13.74.1-3.mga2
+ Revision: 191557
- rebuild for new lvm2 and dmraid

* Fri Dec 30 2011 tmb <tmb> 13.74.1-2.mga2
+ Revision: 189123
- rebuild for new e2fsprogs

* Thu Dec 29 2011 tmb <tmb> 13.74.1-1.mga2
+ Revision: 188515
- rebuild with updated list_modules.pm for kernel-3.2.0-0.rc7.2.mga2
- BR fixed drakx-installer-binaries >= 1.55-1

* Sat Dec 24 2011 tmb <tmb> 13.74-1.mga2
+ Revision: 187088
- call udevadm in installer too
- do not hardcode systemd default through kernel command line, it
  should be easily overridable by just picking the proper init package
- include xfs_freeze (needed for setup grub on XFS, mga#1536)
- interactive::curses: default to 80x25 (fixes serial)
+ dmorgan <dmorgan>
- Rebuild against new drakx-kbd-mouse-x11 ( support for new udev )

* Wed Dec 14 2011 tv <tv> 13.73-3.mga2
+ Revision: 181663
- rebuild with fixed drakx-net

* Wed Dec 14 2011 tv <tv> 13.73-2.mga2
+ Revision: 181621
- rebuild with new d-i-binaries

* Mon Dec 12 2011 pterjan <pterjan> 13.73-1.mga2
+ Revision: 180822
- Drop P1, included in new version
+ ennael <ennael>
- New version for Mageia 2 Alpha2 banner

* Sat Dec 10 2011 tv <tv> 13.69-5.mga2
+ Revision: 180062
- rebuild with new ldetect-lst

* Wed Dec 07 2011 tmb <tmb> 13.69-4.mga2
+ Revision: 178104
- rebuild for updated dmraid

* Tue Dec 06 2011 tmb <tmb> 13.69-3.mga2
+ Revision: 177918
- rebuild for drakx-installer-binaries-1.52, x11-server-1.11.2, ...

* Mon Dec 05 2011 tv <tv> 13.69-2.mga2
+ Revision: 176724
- rebuild with fixed urpmi

* Mon Nov 14 2011 tv <tv> 13.69-1.mga2
+ Revision: 167532
- fix testing network (missing Net/Ping.pm)

* Thu Nov 10 2011 ennael <ennael> 13.68-1.mga2
+ Revision: 166272
- Mageia 2 Alpha 1 banner

* Mon Nov 07 2011 dmorgan <dmorgan> 13.67-2.mga2
+ Revision: 165153
- Rebuild against new drakx-kbd-mouse-x11

* Mon Nov 07 2011 dmorgan <dmorgan> 13.67-1.mga2
+ Revision: 164593
- Add initial systemd support

* Fri Oct 28 2011 tmb <tmb> 13.66-2.mga2
+ Revision: 159185
- rebuild for new dmraid, device-mapper, lvm2, mdadm

* Thu Oct 20 2011 tv <tv> 13.66-1.mga2
+ Revision: 156996
- fix missing "Mageia" instances
- include png loader from gdk_pixbuf2.0_0-loaders-png15

* Thu Oct 20 2011 tv <tv> 13.65-3.mga2
+ Revision: 156939
- rebuild for new ldetect

* Tue Oct 18 2011 tmb <tmb> 13.65-2.mga2
+ Revision: 156257
- check rebuild since almost all BR rpms have been updated

* Mon Sep 19 2011 tv <tv> 13.65-1.mga2
+ Revision: 145653
- BR rpm-mageia-setup instead of rpm-mdv-setup
- only favor packages with mga extension, we don't have packages with mdv or
  mnb in release tag
- always favor packages with 'mga' extension when upgrading anything else
  than Mageia
- install perl-Hal-Cdroms for urpmi when needed
- default to systemd (through "init=/bin/systemd")
- offer not to ask again about bad signatures

* Thu Sep 08 2011 tv <tv> 13.64-1.mga2
+ Revision: 141133
- install more packages earlier (acpi{,d}, dhcp client, firewall & bootloader
  stuff), preventing useless installing steps later at summary stage & also
  fixing "program not found: grub-gfxmenu" error message while installing
- only retrieve release notes once during installation
- util-linux-ng was renamed util-linux (fix installation error)

* Wed Sep 07 2011 tv <tv> 13.63-1.mga2
+ Revision: 140920
- BuildRequires: fonts-ttf-dejavu
- better microcode_ctl management
- fix cpufreq detection corrupting other types
- install cpufreq on more cases
- always align partitions to start at megabyte boundaries to avoid
  performance issues with drives with 4k physical sectors (mga#1215)
- add support to detect if CPU microcode is upgradable in order to
  install microcode_ctl
- do not crash if there's no mirror cache to erase
- "Multi languages" => "Multiple languages" (mga#1011)
- rebuild with latest ldetect-lst
- clear the mirror cache before upgrading (#1557)
- fix bootloader entries names
- fix build with perl-5.14.x
- detect (at least some (eg: Compaq USB numpad) (#1099)
- detect machines needing cpufreq
- spaces are not allowed between options in /etc/fstab (#2271)
- patch 1: fix build with perl-5.14
- BuildRequires: cryptsetup
+ tmb <tmb>
- rebuild with perl-5.14.1

* Mon May 30 2011 tmb <tmb> 13.58-2.mga1
+ Revision: 100809
- rebuild with final drakx-installer-binaries

* Fri May 27 2011 ennael <ennael> 13.58-1.mga1
+ Revision: 100560
- fix default level being 'standard' (Thierry Vignaud)

* Thu May 26 2011 ennael <ennael> 13.57-2.mga1
+ Revision: 100427
- rebuild for release notes

* Wed May 25 2011 ennael <ennael> 13.57-1.mga1
+ Revision: 100381
- update translations
- update design for final release
+ tv <tv>
- bump BR on ldetect-lst

* Tue May 24 2011 tmb <tmb> 13.56-1.mga1
+ Revision: 100346
- forbid selecting kernel-server if not having PAE since PAE support is
  mandatory for kernel-server (tv, #1414)
- support configuring Intel Sandy Bridge (tv)

* Tue May 24 2011 boklm <boklm> 13.55-2.mga1
+ Revision: 100298
- rebuild for updated ldetect-lst

* Fri May 20 2011 tmb <tmb> 13.55-1.mga1
+ Revision: 99879
- sync with drakx-installer-binaries 1.50 and drakxtools 13.55

* Thu May 19 2011 tmb <tmb> 13.54-2.mga1
+ Revision: 99823
- build with api-fixed drakx-installer-binaries

* Thu May 19 2011 tv <tv> 13.54-1.mga1
+ Revision: 99709
- advertize LibreOffice instead of OpenOffice.org (mga#1323)
- fix reading security level with new msec (mga#332)

* Mon May 16 2011 ennael <ennael> 13.53-1.mga1
+ Revision: 99317
- update left background for RC

* Sat May 14 2011 pterjan <pterjan> 13.52-1.mga1
+ Revision: 98788
- diskdrake: disable encryption option for /boot
- match partitions when one of them as device_alias to the device of the other
  one (Fixes Mageia bug #1041)

* Sat May 07 2011 tv <tv> 13.50-1.mga1
+ Revision: 95839
- patch1: fix build with brltty-4.2-1.mga1
- use proper locales-XX packages for Albanian (#1036)

* Tue May 03 2011 tmb <tmb> 13.49-3.mga1
+ Revision: 94525
- rebuild for updated ldetect-lst

* Sun May 01 2011 tmb <tmb> 13.49-2.mga1
+ Revision: 94100
- rebuild for fixed api url in urpmi
+ dmorgan <dmorgan>
- imported package drakx-installer-stage2


* Mon Apr 25 2011 tmb <tmb> 13.49-1.mga1
+ Revision: 90265
- new release
- add nokmsboot boot option also if the bootloader is installed after setting
  up a conflicting display driver (e.g. draklive-install)
- embed more of unicore, fixes \d on strings collected from Gtk2 (#39)
- add sdhci-pci to card-reader list
- add xhci-hcd (usb3 support)

  + dmorgan <dmorgan>
    - Fix %%description

* Sat Apr 23 2011 ennael <ennael> 13.47-4.mga1
+ Revision: 89990
- add missing BR on aria2
- rebuild for last drakx-kbd-mouse-x11

* Tue Apr 12 2011 blino <blino> 13.47-3.mga1
+ Revision: 83726
- rebuild with latest perl-MDK-Common (#460)

* Sun Apr 10 2011 tv <tv> 13.47-2.mga1
+ Revision: 82748
- rebuild with latest ldetect-lst

* Sat Apr 02 2011 tmb <tmb> 13.47-1.mga1
+ Revision: 79853
- require updated ldetect-lst
- update to 13.47
  * modify a string in partitioning_wizard.pm to be more grammatically correct
    (spotted by Sigrid Carrera, on mageia-i18n ML)
  * update modules list needed for md raid456 and dm-raid 4/5/6 target

* Fri Apr 01 2011 ennael <ennael> 13.46-1.mga1
+ Revision: 79709
- update stage2 design for beta 1

* Thu Mar 31 2011 pterjan <pterjan> 13.45-3.mga1
+ Revision: 79128
- Force loading evdev to prevent a crash

* Wed Mar 30 2011 ennael <ennael> 13.45-2.mga1
+ Revision: 79043
- rebuild for new drakx-kbd-mouse-x11

* Tue Mar 29 2011 ennael <ennael> 13.45-1.mga1
+ Revision: 78694
- add missing build require
- fix rpmsrate in stage2 (svn external)
- switch from scim to ibus

* Fri Mar 18 2011 tv <tv> 13.44-4.mga1
+ Revision: 74032
- rebuild with xserver-1.10

* Wed Mar 16 2011 tv <tv> 13.44-3.mga1
+ Revision: 72526
- rebuild with latest /etc/urpmi/prefer.vendor.list

* Sun Mar 13 2011 tmb <tmb> 13.44-2.mga1
+ Revision: 70349
- rebuild with fixed drakx-installer-binaries

* Sat Mar 12 2011 ennael <ennael> 13.44-1.mga1
+ Revision: 68382
- update stage2 design

* Sun Feb 20 2011 tmb <tmb> 13.43-2.mga1
+ Revision: 54599
- fix api url

* Fri Feb 18 2011 tv <tv> 13.43-1.mga1
+ Revision: 53902
- handle new drivers:
  o ethernet: cx82310_eth
  o 10g ethernet: bna, pch_gbe, stmmac
  o modem: ft1000
  o usb storage: keucr, uas
  o wifi: ath6kl, bcm_wimax, brcm80211, carl9170, r8712u

* Sun Feb 13 2011 ennael <ennael> 13.42-1.mga1
+ Revision: 51180
+ rebuild (emptylog)

* Fri Feb 11 2011 ennael <ennael> 13.41-1.mga1
+ Revision: 50006
- correct license management

* Thu Feb 10 2011 ennael <ennael> 13.40-1.mga1
+ Revision: 49595
- add some build requires
- remove applied patches
- remove patches
- clean linuxwacom build require
- remove linuxwacom for now
- try to build without doc
- imported package drakx-installer-stage2


* Tue Dec 28 2010 Thierry Vignaud <tv@mandriva.org> 13.39-7mdv2011.0
+ Revision: 625567
- rebuild for new e2fsprogs

  + Thomas Backlund <tmb@mandriva.org>
    - rebuild for new btrfs-progs

* Tue Oct 19 2010 Thierry Vignaud <tv@mandriva.org> 13.39-5mdv2011.0
+ Revision: 586818
- rebuild with xserver-1.9
- patch 2: fix build with xserver-1.9

* Wed Oct 13 2010 Thierry Vignaud <tv@mandriva.org> 13.39-4mdv2011.0
+ Revision: 585304
- patch 1: include more perl modules (#60720)

* Tue Oct 12 2010 Thierry Vignaud <tv@mandriva.org> 13.39-3mdv2011.0
+ Revision: 585129
- patch 0: fix build with new libx11
- rebuild (so that net iso got rebuild)

* Fri Aug 06 2010 Thierry Vignaud <tv@mandriva.org> 13.39-2mdv2011.0
+ Revision: 566546
- BuildRequires fonts-ttf-wqy-microhei
- BuildRequires libgdk_pixbuf2.0 instead of gdk-pixbuf-loaders
- adapt to gtk and gdk change in 2.22
- adapt to perl-5.12
- BuildRequires gdk-pixbuf-loaders
- attempt to use new perl

* Fri Jul 02 2010 Pascal Terjan <pterjan@mandriva.org> 13.38-1mdv2010.1
+ Revision: 549754
- create symlink for /etc/pki to have it usable in stage2

* Fri Jul 02 2010 Pascal Terjan <pterjan@mandriva.org> 13.37-1mdv2010.1
+ Revision: 549746
- accept https URL in install::http
- include ca-bundle.crt

* Wed Jun 30 2010 Pascal Terjan <pterjan@mandriva.org> 13.36-1mdv2010.1
+ Revision: 549700
- Final banner

* Tue Jun 22 2010 Olivier Blin <oblin@mandriva.com> 13.35-1mdv2010.1
+ Revision: 548605
- 13.35
- user management: focus on first entry in dialog, root password if
  superuser is asked, user real name otherwise (#54910)
- auto_install: when distrib media contains selected_names list, apply
  it only to the concerned media, and not to previously added media
- remove lang-ast image in source rpm, now in upstream tarball

* Wed Jun 16 2010 Thierry Vignaud <tv@mandriva.org> 13.33-2mdv2010.1
+ Revision: 548161
- rebuild with fixed e2fsprogs

* Fri Jun 04 2010 Pascal Terjan <pterjan@mandriva.org> 13.33-1mdv2010.1
+ Revision: 547111
- lookup major:minor of devices outside $::prefix
- display lock icon for not enabled dmcrypt too
- disable dmcrypt before deleting partition, even if inside lvm/raid
- don't crash when starting stage2 with an RTL locale

* Wed Jun 02 2010 Pascal Terjan <pterjan@mandriva.org> 13.32-1mdv2010.1
+ Revision: 546939
- copy all devices to target

* Fri May 28 2010 Frederic Crozat <fcrozat@mandriva.com> 13.31-1mdv2010.1
+ Revision: 546509
- Release 13.31 :
 - RC2 banner
 - don't lose mountpoint if suggested partition was swap (#59510)

* Wed May 26 2010 Pascal Terjan <pterjan@mandriva.org> 13.30-1mdv2010.1
+ Revision: 546095
- final banner

* Mon May 24 2010 Pascal Terjan <pterjan@mandriva.org> 13.29-1mdv2010.1
+ Revision: 545804
- fix detection of /var partition
- force raid metadata to be 0.90 if /boot is on raid 1
- fix raid 0 to be handled as raid

* Tue May 18 2010 Pascal Terjan <pterjan@mandriva.org> 13.27-1mdv2010.1
+ Revision: 545237
- always set resume= when a swap is available, regardless of its size (#34681)
- update banner

* Mon May 17 2010 Pascal Terjan <pterjan@mandriva.org> 13.26-1mdv2010.1
+ Revision: 544909
- enable acl by default on ext2/3/4 fs
- enable user_xattr on home for ext2 too
- allow setting acl option in diskdrake
- default to defaultFS in LVM, not ext2
- don't ask to reboot after resize if not needed
- do not ask to reboot after resizing LUKS if not mounted
- workaround mapper/* being symlinks in dmraid support

* Mon May 10 2010 Pascal Terjan <pterjan@mandriva.org> 13.24-2mdv2010.1
+ Revision: 544303
- include btrfs and crc32c modules in install (#59068)
- include /etc/netconfig (needed by mount.nfs)
- diskdrake:
  o fix the crypto mountpoint checks for the create case
  o fix resize of active encrypted volumes

* Thu Apr 29 2010 Pascal Terjan <pterjan@mandriva.org> 13.22-2mdv2010.1
+ Revision: 540959
- diskdrake:
  o correctly set mountpoint on included partition, not encrypted one
  o refuse to have /boot encrypted
  o enable gtk-button-images to have the lock displayed during install

* Thu Apr 29 2010 Pascal Terjan <pterjan@mandriva.org> 13.21-2mdv2010.1
+ Revision: 540827
- rebuild with x11-server built with normal ld

* Tue Apr 27 2010 Pascal Terjan <pterjan@mandriva.org> 13.21-1mdv2010.1
+ Revision: 539801
- diskdrake:
  o allow resizing empty FAT (#58770)
  o offer encryption in a more visible way when creating a partition
  o remove cryptoloop from diskdrake interface and transparently use dm-crypt
  o support having dm-crypt partition with non default FS
  o do not display dm-crypt partitions in separate tab, display included
    partition directly in-place
  o do not warn about data loss when changing type of unformatted partition
  o display lock icon on encrypted partitions
  o fix loading of dmcrypt info now that /dev/mapper/* are symlinks
  o fix creating encrypted LVM
- install plymouth if / is encrypted, to ask for password
- beta2 banner

* Wed Apr 14 2010 Pascal Terjan <pterjan@mandriva.org> 13.19-1mdv2010.1
+ Revision: 534919
- detect "Rack Mount" Chassis as server
- diskdrake:
  o use device label even if it was not changed (#47456)
  o allow creating and resizing btrfs

* Fri Apr 02 2010 Pascal Terjan <pterjan@mandriva.org> 13.18-1mdv2010.1
+ Revision: 530781
- compute dependencies on full list of packages from rpmsrate levels instead of doing it individually. This avoids getting kdm in GNOME install.

* Wed Mar 31 2010 Pascal Terjan <pterjan@mandriva.org> 13.17-1mdv2010.1
+ Revision: 530434
- services management:
  o translate more service descriptions (#46640)
- detect "Rack Mount" Chassis as server
- use device label even if it was not changed (#47456)

* Fri Mar 19 2010 Pascal Terjan <pterjan@mandriva.org> 13.16-1mdv2010.1
+ Revision: 525265
- do not apply bootloader settings before giving user the option to change them (#57471)

* Wed Mar 17 2010 Thierry Vignaud <tv@mandriva.org> 13.15-1mdv2010.1
+ Revision: 523695
- summary:
  o enhanced services status message (#58194)

* Wed Mar 03 2010 Pascal Terjan <pterjan@mandriva.org> 13.14-1mdv2010.1
+ Revision: 513910
- devices:
  o handle creation of mmcblk devices (useful on Efika MX)
- alpha3

* Sun Feb 28 2010 Thierry Vignaud <tv@mandriva.org> 13.13-1mdv2010.1
+ Revision: 512578
- handle new SCSI driver: mpt2sas (#57833)
- detect_devices:
  o fix merging PCI devices info from sysfs which resulted in
    ill-informed devices matching (#57711)

* Wed Feb 10 2010 Pascal Terjan <pterjan@mandriva.org> 13.11-1mdv2010.1
+ Revision: 503959
- Add a temporary lang-ast.png to fix build
- add support for asturian (#56990)
- partitioning wizard:
  o display lvm/dmraid name in combo box
  o allow reusing existing partitions in lvm
  o fix a crash on empty disk
  o fix using empty dmraid

* Thu Feb 04 2010 Thierry Vignaud <tv@mandriva.org> 13.10-1mdv2010.1
+ Revision: 500858
- handle new drivers:
  o ATA: pata_atp867x, pata_piccolo, pata_rdc
  o DVB: dvb-usb-ec168, dvb-usb-friio, earth-pt1
  o ISDN: avmfritz, mISDNinfineon, netjet, speedfax, w6692
  o network: vmxnet3
  o radio: radio-miropcm20, radio-usb-si470x
  o RAID: 3w-sas, hpsa, pmcraid
  o SCSI: be2iscsi, bfa, pm8001, vmw_pvscsi
  o TV: cx25821, saa7164
  o wifi: r8187se, r8192_pci, r8192u_usb, rt2800pci, vt6655_stage, vt6656_stage
- bootloader configuration:
  o add support for crypted grub passwords
  o always display security settings
  o allow timeout to be '0'
  o default to always crypt grub passwords
  o ensure /boot/grub/menu.lst permissions are 0600 since it can
    contains a password
- partitioning wizard:
  o offer to install on dmraid (instead of crashing if no other disk)
  o offer to install on existing lvm

* Wed Feb 03 2010 Pascal Terjan <pterjan@mandriva.org> 13.8-2mdv2010.1
+ Revision: 500473
- rebuild for fixed x11-data-xkbdata

* Wed Feb 03 2010 Thierry Vignaud <tv@mandriva.org> 13.8-1mdv2010.1
+ Revision: 500104
- fixed logo

* Tue Feb 02 2010 Pascal Terjan <pterjan@mandriva.org> 13.7-1mdv2010.1
+ Revision: 499720
- alpha2 logo

* Mon Feb 01 2010 Thierry Vignaud <tv@mandriva.org> 13.6-1mdv2010.1
+ Revision: 499131
- do not ask for bootloader location (still available in summary)
- try to get better initial estimation of install time
- fix bootloader entry name for rc kernels
- remove mnb from bootloader entry name like we do for mdv
- support ddf1 dmraid

* Wed Jan 20 2010 Thierry Vignaud <tv@mandriva.org> 13.4-3mdv2010.1
+ Revision: 494090
- rebuild with fixed libpci (#56772)

* Wed Jan 13 2010 Pascal Terjan <pterjan@mandriva.org> 13.4-2mdv2010.1
+ Revision: 490868
- Rebuild for new perl-MDK-Common

* Thu Jan 07 2010 Thierry Vignaud <tv@mandriva.org> 13.4-1mdv2010.1
+ Revision: 487166
- alpha1 logo
- detect_devices:
  o fix detecting pcmcia serial devices
- rebuild with new libparted

* Mon Dec 21 2009 Pascal Terjan <pterjan@mandriva.org> 13.3-1mdv2010.1
+ Revision: 480605
- mount points: reset unknown partitions types to default
  fs (ext4) instead of hardcoded ext3
- diskdrake: show Ext4 instead of Ext3 in the gtk filesystems button box
- include /usr/share/X11/xkb/rules/base.lst (do we need xorg.* ?)

* Mon Dec 14 2009 Pascal Terjan <pterjan@mandriva.org> 13.2-3mdv2010.1
+ Revision: 478595
- Require perl-MDK-Common with fixed df

* Mon Dec 14 2009 Pascal Terjan <pterjan@mandriva.org> 13.2-2mdv2010.1
+ Revision: 478526
- Bump release...

  + Thierry Vignaud <tv@mandriva.org>
    - fix creating devices
      (really "fix handling hdX/sdX devices (#53107)")

* Thu Dec 10 2009 Thierry Vignaud <tv@mandriva.org> 13.1-1mdv2010.1
+ Revision: 476040
- BuildRequires mtools
- fix crash introduced by 'do not stay chdired in /mnt/var/cache/urpmi'
- locale setting
  o drop support for configuring KDE3
  o fix configuring ibus (#56130, #56311)
  o install 'ibus-qt4' if configuring ibus under KDE4 (#56311)
- partitioning wizard:
  o fix setting volume label instead of MBR's one for FAT fses (#52853)

* Tue Dec 01 2009 Thierry Vignaud <tv@mandriva.org> 13.0-1mdv2010.1
+ Revision: 472379
- do not offer to upgrade/install in restore mode
- fix detecting hidden partitions as recovery
- allow to convert ext2/3 to ext4 but do not enable flags
- fix using stdin and stdout in builtin dd command
- devices detection:
  o fix reading USB details (#55690)
  o fix SCSI driver module name
- partitioning wizard:
  o unmount swap too when unmounting all partitions
  o do not suggest Windows mountpoint for mounted partitions
    (breaks install if the Win partition is the installer media)
  o suggest non-removable disks first
- do not stay chdired in /mnt/var/cache/urpmi when download fails
  (workaround urpmi bug)
- bootloader:
  o do not add removable drives as "Windows" entry in bootloader
- fix adding additional media with type media_cfg (for auto_install)

* Fri Oct 30 2009 Olivier Blin <oblin@mandriva.com> 12.76-1mdv2010.0
+ Revision: 460287
- 12.76
- test existence of /usr/share/bootsplash/scripts/make-boot-splash
  file instead of install status of bootsplash package to enable vga
  in bootloader
  (package check is not working during upgrade on x86_64)

* Fri Oct 30 2009 Olivier Blin <oblin@mandriva.com> 12.75-1mdv2010.0
+ Revision: 460237
- 12.75
- bootloader suggestion fixes (to fix removal of vga= option when
  updating with the installer):
  o make sure we use long name when adding second kernel with same
    extension than preferred one
  o do not add again kernels that are already in bootloader config file
  o add vga= option for kernels that are not the preferred one as well
  o remove previous linux-nonfb entries (like done for failsafe),
    not to add them twice or more

* Thu Oct 29 2009 Thierry Vignaud <tv@mandriva.org> 12.74.1-1mdv2010.0
+ Revision: 459938
- disable X11 support for dpms

* Wed Oct 28 2009 Thierry Vignaud <tv@mandriva.org> 12.74-1mdv2010.0
+ Revision: 459747
- partitioning wizard (Windows resize):
  o fix partition size computing (fixing pixel/sectors ratio)
  o improve default resizing suggestion:
    * try to keep at least 1GB free for Windows
    * try to use from 6GB to 10%% free space for Linux
  o use same windows partition size suggestion for gtk and text installs
  o really ensure keeping free space for Linux partition
  o really ensure keeping free space for Windows partition

* Wed Oct 28 2009 Christophe Fergeau <cfergeau@mandriva.com> 12.73-1mdv2010.0
+ Revision: 459674
- 12.73:
- final banner for 2010.0

* Tue Oct 27 2009 Thierry Vignaud <tv@mandriva.org> 12.72-1mdv2010.0
+ Revision: 459503
- fix ftp URL parsing when using user + pass (#49898)

* Fri Oct 23 2009 Olivier Blin <oblin@mandriva.com> 12.71-1mdv2010.0
+ Revision: 459068
- 12.71
- minimal install: install packages with higher rpmsrate level only
  (level 5, and not level 4 + 5) when suggests are disabled
  (it was only done for truly minimal install before)
- cpufreq: load e_powersaver for VIA C7 (#41377)

* Thu Oct 22 2009 Olivier Blin <oblin@mandriva.com> 12.70-1mdv2010.0
+ Revision: 458945
- 12.70
- curses backend: do not crash when resuming interface
- minimal install: install packages with higher rpmsrate level only
  (level 5, and not level 4 + 5)

* Wed Oct 21 2009 Christophe Fergeau <cfergeau@mandriva.com> 12.69-1mdv2010.0
+ Revision: 458553
- 12.69:
- user management:
  o enable to install/deinstall xguest

* Mon Oct 19 2009 Olivier Blin <oblin@mandriva.com> 12.68-1mdv2010.0
+ Revision: 458267
- 12.68
- fix raid initialisation during install (#54706)
- fix raid detection during install (#54706)
- allow to set preferred packages list in auto_install
  (comma-separated list in $o->{preferred_packages})
- partitioning wizard:
  o use mandriva logo on blue background for mandriva partition
  o fix option selection when using keyboard

* Sun Oct 18 2009 Pascal Terjan <pterjan@mandriva.org> 12.67-1mdv2010.0
+ Revision: 458138
- partitioning wizard:
  o use a different color for newly created partition
  o add legend for the colors
  o display mount point if known
  o display ext2 like ext3/4
  o allow setting new windows size with keyboard (#54691)
  o use available space

* Thu Oct 15 2009 Pascal Terjan <pterjan@mandriva.org> 12.66-1mdv2010.0
+ Revision: 457787
- mount windows partitions under /media instead of /mnt (#53392)
- partitioning wizard:
  o initialize correctly labels for windows resizing
  o fix labels for windows resizing when getting back to the screen
  o offer to resize last big enough windows partition instead
    of the first one, until user can chose

* Wed Oct 14 2009 Pascal Terjan <pterjan@mandriva.org> 12.65-1mdv2010.0
+ Revision: 457404
- Version 12.65 - 14 October 2009
- do not call obsolete Xconfig::default::config_keyboard function (#54541)
- improve button layout while installing
- partitioning wizard:
  o allow using existing partition on all disks (#54478)
  o reduce drawings height
  o fix windows resize width
- make sure suggests are disabled in truly minimal install
- do not attempt to configure autologin if CAT_X is not selected
- use UTF-8 for zh_TW (#53976)
- enable using newly created raid devices (#54295)

* Mon Oct 12 2009 Pascal Terjan <pterjan@mandriva.org> 12.64-1mdv2010.0
+ Revision: 456941
- Version 12.64 - 12 October 2009
- partitioning wizard:
  o put back "previous" button on actions (#54475)
  o fix typo in message
  o fix testing interactive::gtk in standalone mode
  o fix displaying help

* Fri Oct 09 2009 Olivier Blin <oblin@mandriva.com> 12.63-1mdv2010.0
+ Revision: 456397
- 12.63
- drakboot:
  o fix displaying arrows
- 12.62
- autologin/desktop configuration (shared code):
  o fix guessing dm name from lookupdm
  o abort configuration if dm install fails

* Thu Oct 08 2009 Pascal Terjan <pterjan@mandriva.org> 12.61-1mdv2010.0
+ Revision: 456179
- Version 12.61 - 8 October 2009
- partitionning_wizard:
  o do not fail when a windows partition is corrupted
  o add separator between solutions
  o give more space between header and solutions
  o prevent cursor to go under needed size because of rounding
  o chose windows resizing when clicking on the resize handle (not perfect)
  o improve resizing captions layout
- autologin/desktop configuration (shared code):
  o fix /etc/X11/lookupdm usage during install (for default dm selection)
  o use gdm for xfce4 and LXDE

  + Olivier Blin <oblin@mandriva.com>
    - require latest ldetect-lst/drakx-kbd-mouse-x11 sweets

* Thu Oct 08 2009 Pascal Terjan <pterjan@mandriva.org> 12.60.1-1mdv2010.0
+ Revision: 455997
- include File::Sync in install
- Include MDK::Common after XML::Parser as XML::Parser breaks if File::Sync was used before...

  + Thierry Vignaud <tv@mandriva.org>
    - RC2 banner

* Wed Oct 07 2009 Pascal Terjan <pterjan@mandriva.org> 12.59-1mdv2010.0
+ Revision: 455548
- Version 12.59 - 07 October 2009
- do not set mountpoints for rescue partitions (#53504)
- switch to ext4 by default

* Mon Oct 05 2009 Pascal Terjan <pterjan@mandriva.org> 12.58-1mdv2010.0
+ Revision: 454222
- Version 12.58 - 05 October 2009
- better describe what usernames we allow (#44783)
- rewrite partitionning wizard to look better in gtk (not perfect yet)

* Mon Sep 28 2009 Thierry Vignaud <tv@mandriva.org> 12.54-3mdv2010.0
+ Revision: 450519
- rebuild with fixed ldetect

* Wed Sep 23 2009 Thierry Vignaud <tv@mandriva.org> 12.54-2mdv2010.0
+ Revision: 447964
- rebuild for new ldetect that behaves better with 8139 network cards

  + Olivier Blin <oblin@mandriva.com>
    - 12.54
    - autologin/desktop configuration (shared code):
      o when detecting default desktop, use first session
        (instead of using hacks with dm config files)
      o guess display manager from /etc/sysconfig/desktop,
        or default session, or /etc/X11/lookupdm
      o read autologin settings from /etc/sysconfig/autologin as fallback
      o read kdm config file only if kdm is to be used
      o always ensure dm is installed before configuring autologin/desktop
      o test display manager instead of desktop when configuring autologin
      o always write /etc/sysconfig/desktop
      o write DISPLAYMANAGER in /etc/sysconfig/desktop too
      o only write dm conf files if they exist before
    - autologin/desktop configuration (installer specific):
      o allow to specify display manager in $o->{dm}
      o use shared code to read autologin settings (and thus get default dm)

* Wed Sep 23 2009 Thierry Vignaud <tv@mandriva.org> 12.53-2mdv2010.0
+ Revision: 447817
- rebuild for new ldetect

* Tue Sep 22 2009 Thierry Vignaud <tv@mandriva.org> 12.53-1mdv2010.0
+ Revision: 447543
- include usb.ids
- don't consider lvm named md* as raid (#53767)
- allow resizing ext4

* Fri Sep 18 2009 Thierry Vignaud <tv@mandriva.org> 12.52-2mdv2010.0
+ Revision: 444260
- rebuild with a ldetect-lst with fixed horizsync lines

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 12.52-1mdv2010.0
+ Revision: 443272
- RC1 logo
- allow to set preferred kernel extension in $o->{kernel_extension}

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 12.48-2mdv2010.0
+ Revision: 439868
- rebuild with latest ldetect-lst

* Mon Sep 07 2009 Thierry Vignaud <tv@mandriva.org> 12.48-1mdv2010.0
+ Revision: 432796
- mygtk2:
  o HScale widget: added digits and ref_value options
  o HScale widget: fix for value option
- adduserdrake:
  o use icons to display password weakness
- added security-{low,medium,strong}.png pixmaps used for
  password weakness display
- authentication:
  o reduced password weakness check level
- allow minimal install without suggests (#45665)
- install the right kernel-XXX-devel-latest flavor instead of
  hardcoding 'kernel-desktop-devel-latest'
- fix existing raid detection during install (#53159)
- enable to see release notes while installing packages (#34576)

* Wed Sep 02 2009 Thierry Vignaud <tv@mandriva.org> 12.47-5mdv2010.0
+ Revision: 425248
- rebuild with a fixed drakx-net

* Tue Sep 01 2009 Pascal Terjan <pterjan@mandriva.org> 12.47-3mdv2010.0
+ Revision: 423620
- Include Encode/Alias.pm in stage2

* Tue Sep 01 2009 Pascal Terjan <pterjan@mandriva.org> 12.47-2mdv2010.0
+ Revision: 423355
- include Encode.pm in stage2, used by network.pm

* Tue Sep 01 2009 Pascal Terjan <pterjan@mandriva.org> 12.47-1mdv2010.0
+ Revision: 423212
- use https to grab mirrorlist from api.mandriva.com
- fix stage2 image files for perl 5.10.1

* Fri Aug 28 2009 Pascal Terjan <pterjan@mandriva.org> 12.46-1mdv2010.0
+ Revision: 422016
- handle new drivers:
  o DVB: dvb-usb-ce6230
  o sound: snd-indigodjx, snd-indigoiox, snd-lx6464es
  o wireless: ar9170usb, mwl8k, r8192s_usb, rt2800usb, rt3070sta
- adduserdrake
  o added weakness check for root password
- drakboot
  o fix crash bug #52997
- detect_devices:
  o fix VirtIO devices support

* Wed Aug 19 2009 Thierry Vignaud <tv@mandriva.org> 12.45-2mdv2010.0
+ Revision: 417952
- rebuild with latest urpmi
- 2010.1 logo
- added the ability to add up/down buttons in add_modify_remove list
  of interactive
- drakboot :
  o user is now able to re-order bootloader entries
- adduserdrake
  o now use password weakness display
- added password weakness display feature in interactive
- handle new drivers:
  o sound: snd_ctxfi
- set virtio/xen block modules in a section actually offered

* Thu Aug 13 2009 Thierry Vignaud <tv@mandriva.org> 12.44-1mdv2010.0
+ Revision: 416077
- fix parsing dmidecode output (broken since we use dmidecode-2.10,
  aka since November 24 2008)
- prevent urpmi messages from garbaging text installer (#50776)
- locales
  o add "English (South Africa)" (#51057)
  o fix sorting South Africa languages (#51055)
  o fix displayed names of some South Africa languages (#51055)

* Mon Aug 10 2009 Pascal Terjan <pterjan@mandriva.org> 12.43-1mdv2010.0
+ Revision: 414226
- Version 12.43 - 10 August 2009
- do not write /etc/fstab in local_install mode
- fix two crashes on handling devices

* Fri Aug 07 2009 Pascal Terjan <pterjan@mandriva.org> 12.42-1mdv2010.0
+ Revision: 411307
- Version 12.42 -  7 Aug 2009
- use gtk instead of X to focus window and revert workaround

* Fri Aug 07 2009 Pascal Terjan <pterjan@mandriva.org> 12.41-1mdv2010.0
+ Revision: 411262
- Version 12.41 -  7 Aug 2009
- do not crash when trying to create a partition on a device with
  no cylinder_size
- workaround gtk crashes by running in sync mode

* Fri Jul 24 2009 Thierry Vignaud <tv@mandriva.org> 12.39-6mdv2010.0
+ Revision: 399204
- rebuild with fixed gtk+
- rebuild with fixed gtk+

* Wed Jul 22 2009 Thierry Vignaud <tv@mandriva.org> 12.39-4mdv2010.0
+ Revision: 398466
- rebuild with a fixed pixman (fix #52320)

* Tue Jul 21 2009 Thierry Vignaud <tv@mandriva.org> 12.39-3mdv2010.0
+ Revision: 398353
- rebuild with latest gtk+ (may fix #52320)

* Thu Jul 16 2009 Thierry Vignaud <tv@mandriva.org> 12.39-2mdv2010.0
+ Revision: 396613
- rebuild with latest e2fsprogs

* Fri Jun 12 2009 Pascal Terjan <pterjan@mandriva.org> 12.39-1mdv2010.0
+ Revision: 385483
- use Hal list of recovery partitions (#51532)
- use blkid instead of vol_id which we no longer ship
- properly handle hidden variables

* Tue Jun 02 2009 Thierry Vignaud <tv@mandriva.org> 12.36-2mdv2010.0
+ Revision: 382222
- patch 0: fix build with latest brltty
- rebuild with fixed-for-ext4 tools
- ide-disk module is now named ide-gd_mod
- add new 'touchpad' TYPE to rpmsrate
- add support for ElanTech touchpads (found on EEEPCs)
- don't ignore FB-DIMM memory
- rebuild with fixed-for-ext4 tools

* Fri Apr 24 2009 Olivier Blin <oblin@mandriva.com> 12.35-1mdv2009.1
+ Revision: 369005
- 12.35
- remove unused parameter in installPackages
  (fix passing interactive setting)

* Fri Apr 24 2009 Thierry Vignaud <tv@mandriva.org> 12.34-1mdv2009.1
+ Revision: 369000
- do not set urpmi in automatic mode for gtk installs
  (was set correctly for plain interactive installs only)

* Thu Apr 23 2009 Thierry Vignaud <tv@mandriva.org> 12.33-1mdv2009.1
+ Revision: 368915
- fix not offering to upgrade 32 bit installations
- handle virtio block devices

* Thu Apr 23 2009 Thierry Vignaud <tv@mandriva.org> 12.32-2mdv2009.1
+ Revision: 368868
- rebuild with latest ldetect-lst, thus fixing wrongly using vesa driver (thus
  fixing firefox blockong on x11 socket in first time wizard)

* Thu Apr 23 2009 Thierry Vignaud <tv@mandriva.org> 12.32-1mdv2009.1
+ Revision: 368810
- fix cdrom path in urpmi.cfg for dual arch ISOs
- advanced partitionning step:
  o fix displaying help at install time

* Wed Apr 22 2009 Thierry Vignaud <tv@mandriva.org> 12.31-1mdv2009.1
+ Revision: 368704
- fix final banner
- handle partition starting after 1To
- package installation:
  o use --force like older installer
- set mouse driver as 'vmmouse' for vmware (#49654)
- update XFCE preview

* Tue Apr 21 2009 Thierry Vignaud <tv@mandriva.org> 12.30-2mdv2009.1
+ Revision: 368579
- rebuild with latest ldetect-lst & xfdrake
- finall banner
- add a basic testsuite (ensuring it compiles) in order to prevent
  future crashes like #50009
- do not offer to stop the install when kde3 is installed since kde3
  to kde4 upgrade is now done
- fix checking for kde3 (which is now in /opt)
- diskdrake:
  o display a progress bar while formating an ext4 partition
  o do not run udevadm in install mode
  o render ext4 partition as red like ext3 ones

* Tue Apr 21 2009 Pascal Terjan <pterjan@mandriva.org> 12.29-1mdv2009.1
+ Revision: 368491
- Drop patch0

  + Thierry Vignaud <tv@mandriva.org>
    - do not log perl warnings about missing/not-yet-installed locales
      while installing and while probing EDID
    - rebuild with new ldetect-lst for pata_marvell fix (#43975)
    - updated translations

* Mon Apr 20 2009 Thierry Vignaud <tv@mandriva.org> 12.28.1-2mdv2009.1
+ Revision: 368096
- rebuild with new perl

* Thu Apr 16 2009 Thierry Vignaud <tv@mandriva.org> 12.28.1-1mdv2009.1
+ Revision: 367757
- diskdrake:
  o fix crash
- windows boot partition is the active one (#49483)
- include mount.ntfs-3g in install
- display an error when mount fails during View action
- do not crash when encountering bad signatures in automatic install

  + Pascal Terjan <pterjan@mandriva.org>
    - Buildrequires ntfs-3g

* Tue Apr 14 2009 Pascal Terjan <pterjan@mandriva.org> 12.27-1mdv2009.1
+ Revision: 367181
- Version 12.27 - 14 April 2009
- be more compatible with older http code for error management
- handle firmware loading in stage2 too

* Tue Apr 14 2009 Thierry Vignaud <tv@mandriva.org> 12.26.2-5mdv2009.1
+ Revision: 366909
- rebuild with new ldetect-lst
- rebuild with new ldetect-lst
- rebuild with new ldetect-lst

* Thu Apr 09 2009 Thierry Vignaud <tv@mandriva.org> 12.26.2-4mdv2009.1
+ Revision: 365372
+ rebuild (emptylog)

* Thu Apr 09 2009 Thierry Vignaud <tv@mandriva.org> 12.26.2-2mdv2009.1
+ Revision: 365370
- be more compatible with older http code for error management

* Thu Apr 09 2009 Thierry Vignaud <tv@mandriva.org> 12.26.2-1mdv2009.1
+ Revision: 365356
- media management:
  o fix crashing when using urpmi early to download stuff for network installs
- media management:
  o handle supplementary NFS & CDROM media with arched directory (aka 'i586/')

* Wed Apr 08 2009 Thierry Vignaud <tv@mandriva.org> 12.26-1mdv2009.1
+ Revision: 365167
- include vmmouse driver (#49654)
- media management:
  o just use curl instead of using our own http stack to retrieve
    files from network (thus fixing #48887)
  o fix mount point for NFS & disk media for both main & suppl media
  o tell urpmi to read synthesis before adding supplementary network
    media in order to be able to install the 'basesystem' package
- log where we segfaulted

* Tue Apr 07 2009 Thierry Vignaud <tv@mandriva.org> 12.25.1-1mdv2009.1
+ Revision: 364851
- fix mount point for CD-ROM media (#49613)

* Mon Apr 06 2009 Thierry Vignaud <tv@mandriva.org> 12.25-1mdv2009.1
+ Revision: 364540
- buildrequires perl-Clone
- media management:
  o fix path of NFS media after installation
  o use urpmi in order to add supplementary media
- put distro version after release because release contains "Mandriva Linux"

* Sun Apr 05 2009 Thierry Vignaud <tv@mandriva.org> 12.24.1-1mdv2009.1
+ Revision: 364257
- ensure login is lowercase when transliterating from real name
  (#49573)

* Fri Apr 03 2009 Thierry Vignaud <tv@mandriva.org> 12.24-1mdv2009.1
+ Revision: 363836
- handle new drivers:
  o gigabit: be2net, slicoss
  o wireless: agnx, arusb_lnx
  o dvb: dvb-usb-dtv5100
- include draksnapshot translations (for restore option)
- theming:
  o include all Ia Ora themes
  o drop metacity images

* Thu Apr 02 2009 Anne Nicolas <ennael@mandriva.org> 12.23-3mdv2009.1
+ Revision: 363628
- 12.23 version

* Thu Apr 02 2009 Thierry Vignaud <tv@mandriva.org> 12.22-3mdv2009.1
+ Revision: 363573
- rebuild with latest drakx-kbd-mouse-x11

* Thu Apr 02 2009 Thierry Vignaud <tv@mandriva.org> 12.22-2mdv2009.1
+ Revision: 363500
- rebuild with new ldetect-lst

* Tue Mar 31 2009 Thierry Vignaud <tv@mandriva.org> 12.22-1mdv2009.1
+ Revision: 362999
- don't list installed distros with other archs as upgrading between
  archs is not supported
- display the version of the distro in the install/upgrade screen (#44602)
- log (g|)urpmi.addmedia and (g|)urpmi output into
  /root/drakx/updates.log (#47107)
- make button name match text when inserting a CD ("cancel" rather
  than "previous")
- rotate /root/drakx/install1.log too
- tell urpmi to stop transactions when clicking on "cancel" (needs
  urpmi >= 6.25)

* Mon Mar 30 2009 Thierry Vignaud <tv@mandriva.org> 12.21-1mdv2009.1
+ Revision: 362446
- fix writing urpmi.cfg as cdrom:// for NFS (#49316)
- in order to guess the login name, just transliterate the real name into
  ascii rather than truncate it on first non ascii character (#47322)

* Mon Mar 30 2009 Thierry Vignaud <tv@mandriva.org> 12.20-1mdv2009.1
+ Revision: 362288
- media management:
  o always trust stage1 (fix ISO on NFS installation as well as NFS
    installation from cooker/ instead of eg cooker/i586 (#48874)
  o fix not ejecting DVD at end of installation (#48779)
- diskdrake:
  o always display label in partition info
  o display label of partitions in the graphical view when no mountpoint
    is set
  o update list of filesystems not handling bad blocks checking

* Thu Mar 26 2009 Thierry Vignaud <tv@mandriva.org> 12.19-1mdv2009.1
+ Revision: 361391
- adjust partition size suggestion
  o increase / size to 12GB (instead of 8)
  o create separate /home starting at 13GB drives (instead of 7)
- fix support for disk installation
- include & use urpmi translations
- when setting update media, make gurpmi.addmedia auto close instead
  of waiting for user pressing "close" button on "media added with
  success" dialogs

* Wed Mar 25 2009 Thierry Vignaud <tv@mandriva.org> 12.18-1mdv2009.1
+ Revision: 361040
- log packages' scripts output (perl-URPM/urpmi aren't fixed regarding
  script fd leak but older installer was leaking one fd per
  transaction too)

* Mon Mar 23 2009 Thierry Vignaud <tv@mandriva.org> 12.17.3-1mdv2009.1
+ Revision: 360702
- fix empty tree at "Individual package selection" step (#48672)

* Mon Mar 23 2009 Thierry Vignaud <tv@mandriva.org> 12.17.2-1mdv2009.1
+ Revision: 360652
- fix buid due to to broken Estonian translation
- unbreak installer due to new X.org server using alternatives
- diskdrake:
  o allow LVM in non expert mode
  o allow Encrypted partition inside LVM

* Thu Mar 19 2009 Thierry Vignaud <tv@mandriva.org> 12.16-2mdv2009.1
+ Revision: 357903
- rebuild with new ldetect-lst

* Wed Mar 18 2009 Thierry Vignaud <tv@mandriva.org> 12.16-1mdv2009.1
+ Revision: 357427
- fix doble clicking on 'accept' on license screen

* Tue Mar 17 2009 Thierry Vignaud <tv@mandriva.org> 12.15-1mdv2009.1
+ Revision: 356846
- fix support for iso-on-disk installation
  (regression when installer switched to urpmi)
- drakx-in-chroot:
  o enable to emulate iso-on-disk installation

* Wed Mar 11 2009 Thierry Vignaud <tv@mandriva.org> 12.14-1mdv2009.1
+ Revision: 353884
- fix displaying help (same webkit regression that affected mcc (#47840))
- include virtio modules (#4

* Tue Mar 10 2009 Thierry Vignaud <tv@mandriva.org> 12.13-1mdv2009.1
+ Revision: 353389
- fix selecting packages on cdroms
- don't crash when creating a partition in LVM with the partition type
  buttons (#38078)

* Mon Mar 09 2009 Thierry Vignaud <tv@mandriva.org> 12.12-1mdv2009.1
+ Revision: 353286
- use new urpmi API in order to fix detecting whether installing
  packages succedded or not

* Mon Mar 09 2009 Thierry Vignaud <tv@mandriva.org> 12.11-1mdv2009.1
+ Revision: 353224
- fix accessing CD-ROM based media on x86_64

* Mon Mar 09 2009 Thierry Vignaud <tv@mandriva.org> 12.10-1mdv2009.1
+ Revision: 353134
- fix CD-ROM based media path for post-installation usage
- bump require
- adjust media path for 32 bit DVD/CD installations

* Mon Mar 09 2009 Thierry Vignaud <tv@mandriva.org> 12.9-1mdv2009.1
+ Revision: 353110
- package installation:
  o ask for retry
  o log bogus signatures
  o log failed transactions summary

* Fri Mar 06 2009 Thierry Vignaud <tv@mandriva.org> 12.8-1mdv2009.1
+ Revision: 349979
- RC1 banner

* Fri Mar 06 2009 Thierry Vignaud <tv@mandriva.org> 12.7-1mdv2009.1
+ Revision: 349936
- fix setting urpmi media for CDROM installation whose tree differ
  from other types of installation

* Fri Mar 06 2009 Thierry Vignaud <tv@mandriva.org> 12.6-1mdv2009.1
+ Revision: 349781
- make sure to popup errors

* Thu Mar 05 2009 Thierry Vignaud <tv@mandriva.org> 12.5-1mdv2009.1
+ Revision: 349065
- handle new drivers
  o dvb: dm1105, dvb-usb-af9015, dvb-usb-cinergyT2, firedtv
  o ethernet: smsc9420
  o gigabit: atl1c
  o pata: cs5536, it8172, it821x
  o ISDN: hfcpci, hfcmulti, hfcsusb, solos-pci
  o USB controllers: hwa-hc, whci-hcd
  o wireless: ath9k, i2400m-usb

* Thu Mar 05 2009 Thierry Vignaud <tv@mandriva.org> 12.4-1mdv2009.1
+ Revision: 348834
- check package signatures like urpmi does (new feature)
- log extra debugging messages if passing the 'debug_urpmi' option

* Wed Mar 04 2009 Thierry Vignaud <tv@mandriva.org> 12.3-1mdv2009.1
+ Revision: 348436
- honor 'selected_names' for auto_install
- make sure we don't try to reslect already selected packages

* Wed Mar 04 2009 Thierry Vignaud <tv@mandriva.org> 12.2-1mdv2009.1
+ Revision: 348337
- only warn if a transaction failed (no more a fata error for auto
  installs)
- prevent urpmi from leaking a log file descriptor per transaction
- really set urpmi in automatic mode for non-interactive installs
  (and not vice-versa)
- use package summary translations once 'mdv-rpm-summary' is installed

* Tue Mar 03 2009 Thierry Vignaud <tv@mandriva.org> 12.1-1mdv2009.1
+ Revision: 348001
- set urpmi in automatic mode for non-interactive installs
- media management & package installation:
  o do not try to install again already installed packages
  o fix progress bar

* Tue Mar 03 2009 Thierry Vignaud <tv@mandriva.org> 12.0-1mdv2009.1
+ Revision: 347704
- media management & package installation:
  o drop support for parsing the "media_info/hdlists" file
  o do not download and use hdlists anymore ; only use smaller synthesis files
  o make install uses urpmi code to set up media & install packages
    * FTP/HTTP/cdroms tested OK
    * temporary issues:
      + /etc/urpmi.cfg may look strange (eg: after CD-ROM installation)
      + isos-on-disk installations are broken
      + media deselection is not offered
      + package browsing doesn't work
      + progress bar has issues
      + signature checking are not performed

* Thu Feb 19 2009 Pascal Terjan <pterjan@mandriva.org> 11.89-3mdv2009.1
+ Revision: 342926
- rebuild with news Gtk2

* Wed Feb 18 2009 Thierry Vignaud <tv@mandriva.org> 11.89-2mdv2009.1
+ Revision: 342408
- rebuild with new v4 squashfs format

* Tue Feb 17 2009 Pascal Terjan <pterjan@mandriva.org> 11.89-1mdv2009.1
+ Revision: 341373
- enable having /boot as ext4
- don't set extents option for ext4

* Mon Feb 16 2009 Thierry Vignaud <tv@mandriva.org> 11.88.1-1mdv2009.1
+ Revision: 341037
- correctly handle new msec-based settings during installation (#47822)
- fix crash

* Mon Feb 16 2009 Thierry Vignaud <tv@mandriva.org> 11.88-1mdv2009.1
+ Revision: 340936
- don't crash on invalid partition table
- fix paths for installer (#47871)
- limit partition type list to 2 colmuns instead of 4
- don't offer to format LVM

* Thu Feb 12 2009 Pascal Terjan <pterjan@mandriva.org> 11.86-1mdv2009.1
+ Revision: 339807
- Upload a correct release

* Thu Feb 12 2009 Pascal Terjan <pterjan@mandriva.org> 11.85-1mdv2009.1
+ Revision: 339793
- fix a crash when boot device is not removable

* Thu Feb 12 2009 Christophe Fergeau <cfergeau@mandriva.com> 11.84-1mdv2009.1
+ Revision: 339784
- 11.84:
- handle newer module-init-tools which can put relative path in modules.dep
- when installing to a removable device, put boot sector there, else
  put it into first non removable drive (#47106)
- fix preserving UUID when formatting ext* and swap, and handle more FS (#39913)
- load cbc module for encrypted loop

* Fri Feb 06 2009 Pascal Terjan <pterjan@mandriva.org> 11.83-1mdv2009.1
+ Revision: 338178
- update banner for Beta 1

* Thu Feb 05 2009 Olivier Blin <oblin@mandriva.com> 11.82-1mdv2009.1
+ Revision: 337738
- 11.82
- include /usr/share/mime/mime.cache in stage2
  (gdk-pixbuf does not guess anymore image format from file extension,
   which makes it check MIME cache now)

* Tue Feb 03 2009 Pascal Terjan <pterjan@mandriva.org> 11.81-2mdv2009.1
+ Revision: 336973
- Bump release

* Tue Feb 03 2009 Pascal Terjan <pterjan@mandriva.org> 11.81-1mdv2009.1
+ Revision: 336904
- allow browsing partitions content to easily select the ones to destroy
- do not warn about "servers which open ports on outside by default"
  (the list of servers is not maintained, and the policy for those servers has changed)
- use a file selector in text mode too
- include mke2fs.conf from e2fsprogs-1.41.3-3mdb
- media management:
  o better layout for DVD/CD copy & media selection

  + Pixel <pixel@mandriva.com>
    - buildrequire drakx-kbd-mouse-x11 0.69 to fix testing X during install (#47237)

* Thu Jan 22 2009 Pixel <pixel@mandriva.com> 11.80.1-2mdv2009.1
+ Revision: 332526
- rebuild for fixed gtk

* Wed Jan 21 2009 Thierry Vignaud <tv@mandriva.org> 11.80.1-1mdv2009.1
+ Revision: 332186
- include perl-Pango

* Wed Jan 21 2009 Thierry Vignaud <tv@mandriva.org> 11.80-1mdv2009.1
+ Revision: 332157
- use "ComboBoxEntry" gtk2 widget instead of "Combo" (which is deprecated),
  this also workarounds gtk2 bug with "hidden" Entry + "Combo"

* Fri Jan 16 2009 Thierry Vignaud <tv@mandriva.org> 11.79-1mdv2009.1
+ Revision: 330262
- disable resizing ext4 since resize2fs is known to be broken regarding extents

* Fri Jan 16 2009 Thierry Vignaud <tv@mandriva.org> 11.78-1mdv2009.1
+ Revision: 330141
- alpha2 logo

* Thu Jan 15 2009 Thierry Vignaud <tv@mandriva.org> 11.77-1mdv2009.1
+ Revision: 329743
- do not install kernel-server on x86_64 when there's more than 4Gb of
  RAM (#44709) ; use better heuristics
- include tools to edit partition labels
- propose ext4 filesystem during install now that it is stable

* Thu Dec 18 2008 Thierry Vignaud <tv@mandriva.org> 11.76-3mdv2009.1
+ Revision: 315744
- rebuild with latest dash

  + Pixel <pixel@mandriva.com>
    - rebuild with new drakx-kbd-mouse-x11

* Thu Dec 18 2008 Thierry Vignaud <tv@mandriva.org> 11.76-1mdv2009.1
+ Revision: 315620
- adapt to cooker: librpm4.6 uses libnss3 which needs its modules
- partitionning:
  o use sysfs in order to discover major/minor for SCSI like devices
    since they're dynamic with kernel-2.6.28+

* Wed Dec 17 2008 Thierry Vignaud <tv@mandriva.org> 11.75-1mdv2009.1
+ Revision: 315290
- force to use static input devices again
  (since the default in xorg has changed)
- handle new driver:
  o network: sxg, w35und
- partitionning:
  o kernel-2.6.28+ supports more than 15 partitions on SATA & SCSI devices

* Tue Dec 16 2008 Thierry Vignaud <tv@mandriva.org> 11.74-1mdv2009.1
+ Revision: 314799
- fix build with latest X.org
- do allow to upgrade Mandrakelinux (regression introduced in 10.14)
- handle new driver:
  o network: et131x, smsc95xx
- fix detecting SMP (was broken we relied on install kernel being non-smp) (#44825)
- fix reading compssUsers.pl if rpmsrate is forced (for example with drakx-in-chroot)

* Sat Oct 11 2008 Thierry Vignaud <tv@mandriva.org> 11.69-1mdv2009.1
+ Revision: 291771
- really fix setting lilo when needed (#39878)
- handle new driver:
  o ide: tx4939ide
- drakx-in-chroot:
  o do not start an X server if using --text
- text mode installer:
  o display a separator before step name
  o properly handle big text in list such as security level
    descriptions (#43561)
- continue installing if an advertising image is corrupted (#37674)
- warn that "preparing bootloader" can take some time (eg: under vbox) (#43036)

* Fri Oct 03 2008 Thierry Vignaud <tv@mandriva.org> 11.68-1mdv2009.0
+ Revision: 291030
- final logo

* Thu Oct 02 2008 Olivier Blin <oblin@mandriva.com> 11.67-1mdv2009.0
+ Revision: 290877
- 11.67
- when upgrading a kde3 box, force installation of task-kde4
- adjust some help IDs
- log activation of light desktop mode
- gtk and interactive install:
  o find default desktop choice according to compssUsers.pl
    (useful for netbook/nettop systems)
  o preselect proper default desktop choice

* Thu Oct 02 2008 Olivier Blin <oblin@mandriva.com> 11.66.1-1mdv2009.0
+ Revision: 290786
- 11.66.1
- fix typo in rpmsrate level setting

* Thu Oct 02 2008 Olivier Blin <oblin@mandriva.com> 11.66-1mdv2009.0
+ Revision: 290779
- 11.66
- detect_devices: allow detection of low resources systems (extracted
  from compssUsers.pl) and netbooks/nettops
- use a minimum rpmsrate level of 5 when netbook/nettop/low_resources
  systems are detected
- set LIGHT rpmsrate flag for netbook/nettop/low_resources systems

* Thu Oct 02 2008 Thierry Vignaud <tv@mandriva.org> 11.65-1mdv2009.0
+ Revision: 290710
- add help button to desktop selection & minimal installation steps
- keep soft links in HTML help directory
- handle anchors in HTML help IDs

* Wed Oct 01 2008 Pixel <pixel@mandriva.com> 11.64-1mdv2009.0
+ Revision: 290487
- 11.64:
- when upgrading a kde3 box and task-kde3 is not on the CDs, propose to reboot
  and upgrade through Mandriva update applet
- add help button for media selection step
- ensure proper centering of popped windows
- fix/adjust some help pages (#42986)
- fix dithering regression (introduced on 2008-09-29)
- install apmd if /proc/apm exists
  (rpmsrate does not list apmd anymore, and apm is a kernel builtin)
- use HTML help for RPM group selection
- when mounting cdrom fails, retry a few times since mount will now fail
  instead of waiting for the drive to recognise the CD (cf #43230)

* Mon Sep 29 2008 Thierry Vignaud <tv@mandriva.org> 11.58-1mdv2009.0
+ Revision: 289342
- ask_deselect_media__copy_on_disk:
  o do not select all media by default (eg: debug media)
    (nb: this dialog occurs when user chooses "Go back to media and packages
    selection" on pkg install error)
  o replace scrolled window around everything
    with a scrolled window around the list of checkboxes
- adapt to fonts-ttf-gurmukhi => fonts-ttf-lohit switch
- add spacing between radio buttons for readability (#44332)
- better positionning of sidepanel's selection bar
- render background of sidepanel with dithering (looks better on 16bit
  displays)
- BuildRequires fonts-ttf-lohit instead of fonts-ttf-gurmukhi
- better positionning of sidepanel's selection bar

* Fri Sep 26 2008 Thierry Vignaud <tv@mandriva.org> 11.56-1mdv2009.0
+ Revision: 288633
- dmraid devices: use isw_xxxxp1 instead of isw_xxxx1 (see #42542, #44182)
- disable disable contextual menu on release notes

* Fri Sep 26 2008 Pixel <pixel@mandriva.com> 11.55-1mdv2009.0
+ Revision: 288536
- 11.55:
- never add usb-storage to scsi_hostadapter
  (never needed, and when wrongly added, it slows the boot)
- ensure DPMS screensaver is not triggered during install
  (it interacts badly with matchbox/compositing) (#44021)
- generate /root/drakx/package_list.pl at end of install
  (since we don't propose "Save packages selection" at end of install)
- generate /var/lib/rpm/installed-through-deps.list
  (to initialize urpmi orphans)
- drakx-in-chroot: do not require running kernel to be installed,
  generate empty modules.dep and modules.alias files instead
  (useful when running drakx-in-chroot from a chroot)

* Thu Sep 25 2008 Thierry Vignaud <tv@mandriva.org> 11.53.2-1mdv2009.0
+ Revision: 288004
- actually use better rendering for background gradient

* Thu Sep 25 2008 Thierry Vignaud <tv@mandriva.org> 11.53-1mdv2009.0
+ Revision: 287989
- better rendering for background gradient

* Wed Sep 24 2008 Pixel <pixel@mandriva.com> 11.52.2-1mdv2009.0
+ Revision: 287906
- 11.52.2: clean_rpmdb_shared_regions before and after calling
  gurpmi.addmedia/gurpmi2 in chroot

* Tue Sep 23 2008 Thierry Vignaud <tv@mandriva.org> 11.52-1mdv2009.0
+ Revision: 287635
- allow setting compssListLevel from command line
- auto-configure floppies (in /etc/modprobe.preload.d/floppy)
- install cpufreq (defaulting to ondemand governor) instead of
  powernowd (#43769)

* Mon Sep 22 2008 Thierry Vignaud <tv@mandriva.org> 11.50.3-2mdv2009.0
+ Revision: 287131
- rebuild with updated translations from drakx-net

* Mon Sep 22 2008 Olivier Blin <oblin@mandriva.com> 11.50.3-1mdv2009.0
+ Revision: 286797
- 11.50.3
- fix/workaround crash when setting banner background
  (Can't call method "get_width" on an undefined value)

* Mon Sep 22 2008 Thierry Vignaud <tv@mandriva.org> 11.50.2-1mdv2009.0
+ Revision: 286709
- RC2 logo

* Mon Sep 22 2008 Thierry Vignaud <tv@mandriva.org> 11.50.1-1mdv2009.0
+ Revision: 286682
- fix 1024x768 background

* Mon Sep 22 2008 Thierry Vignaud <tv@mandriva.org> 11.50-1mdv2009.0
+ Revision: 286649
- handle new driver:
  o ethernet: enic, qlge
- i18n:
  o add support for ibus
- new sidepanel style
- restore support for right alignement for simple widgets
  (regression introduced in 11.46 - 17 September 2008)
- add a special license for google programs (only for "Powerpack" product)
- install "cryptsetup" when needed

* Fri Sep 19 2008 Pixel <pixel@mandriva.com> 11.47.1-1mdv2009.0
+ Revision: 285861
- 11.47.1: bug fix release: add mandatory new modules for dm-crypt

* Fri Sep 19 2008 Pixel <pixel@mandriva.com> 11.47-1mdv2009.0
+ Revision: 285814
- 11.47:
- handle new driver:
  o ethernet: jme
- partitionning step
  o handle partitions encrypted with cryptsetup
  o fix file system type drop down list showing most types as "..." in
    "Change partition type" dialog in expert mode due to ellipsizing
- list btusb instead of hci_usb in bus/bluetooth (renamed in 2.6.27)

* Thu Sep 18 2008 Thierry Vignaud <tv@mandriva.org> 11.46-1mdv2009.0
+ Revision: 285570
- libdrakX:
  o better layout for right aligned widgets
- license: put focus back on Refuse button by default

* Wed Sep 17 2008 Thierry Vignaud <tv@mandriva.org> 11.45-2mdv2009.0
+ Revision: 285364
- BuildRequires perl-Gtk2-WekKit instead of perl-Gtk2-Html2
- allow to prefer kernel-server on x86_64 too
- enable relative links in HTML help
- enhanced 'desktop' & 'package selection' steps
- switch from perl-Gtk2-Html2 to perl-Gtk2-WebKit in order to display release
  notes & help
- use HTML help for package selection, services & summary step

* Tue Sep 16 2008 Thierry Vignaud <tv@mandriva.org> 11.43-1mdv2009.0
+ Revision: 285093
- enhanced 'desktop' & 'package selection' steps
- fix berber language image's transparency
- fix displaying current security level in GUI
  (regression introduced on 2008-08-29)
- increase default window height b/c of package selection step
- refresh partitionning step
- size most labels (workaround infamous 6 years old gnome bug #101968)
  (eg: in advanced language selection)
- update icons for packages/services selection

* Fri Sep 12 2008 Thierry Vignaud <tv@mandriva.org> 11.42-1mdv2009.0
+ Revision: 284201
- increase default window height
- stop claim selecting LSB group will install 2.4.x kernel (#39220)
- desktop step
  o move progress bar on its own line
  o add a separator between buttons & progress bar
  o pack together time label & value

* Thu Sep 11 2008 Thierry Vignaud <tv@mandriva.org> 11.41-1mdv2009.0
+ Revision: 283861
- bump titles' size by 1 (eg: from 12 to 13 for default font settings)
- do not render "Advanced" & "Help" buttons as blue
- fix default spacing between GUI elements
- fix parsing error messages ar markups
- "Help" dialogs:
  o add a separator before "Close" button
  o fix displaying "Help" Button for HTML help
  o put "Close" button of help at right end
- small improvements in many steps (desktop, ...)
- services (thanks to spuk):
  o list ip6tables in "Internet" category
  o list nfs-common and nfs-server in "File sharing" category
  o list rpcbind in "System" category

* Wed Sep 10 2008 Thierry Vignaud <tv@mandriva.org> 11.40-1mdv2009.0
+ Revision: 283578
- libdrakX:
  o fix position of cancel button in popups
  o make advanced popup display the same title as their parents
  o make all popup titles be upcase
- drakboot
  o fix nolapic/lapic logic due to altered kernel settings
- fix input devices detection in rpmsrate (broken for 3 years, #43721)
- do not use UUID for software raid, only for hdx and sdx
- keep current UUID when formatting ext2/ext3 (was already done for swap),
  so that fstab on other distros continue to work (#39913)
  (requires e2fsprogs-1.41.1-2mnb2)
- drop the ability to set mem=xxx in bootloader configuration

* Mon Sep 08 2008 Thierry Vignaud <tv@mandriva.org> 11.38-1mdv2009.0
+ Revision: 282692
- do not size radio button that have a label thus preventing uneeded horizontal
  scrollbars to appear
- partitionning step
  o fix file system type drop down list showing most types as "..." in expert
    mode due to ellipsizing (#43611)
  o fix too large partition bar (#43073)
  o improved GUI

* Wed Sep 03 2008 Thierry Vignaud <tv@mandriva.org> 11.34-1mdv2009.0
+ Revision: 279770
- fix buggy blocking wait_message occuring in diskdrake
  (using a more powerful strategy to ensure such blocking wait_message won't
    bother us anymore)
- fix sizing some label (workarounding infamous 6 years old gnome bug #101968)
- increase help popup size when browsing services or packages
- fix buggy blocking wait_message occuring in diskdrake
  (using a more powerful strategy to ensure such blocking wait_message won't
    bother us anymore)
- fix sizing some label (workarounding infamous 6 years old gnome bug #101968)
- increase help popup size when browsing services or packages

* Tue Sep 02 2008 Thierry Vignaud <tv@mandriva.org> 11.33.1-1mdv2009.0
+ Revision: 279220
- make "ask_warn" dialogs be centered
- further improve layout of media selection step
- "media selection" step: fix position of button (#29367)
- refresh "Summary" step

* Tue Sep 02 2008 Thierry Vignaud <tv@mandriva.org> 11.32-1mdv2009.0
+ Revision: 279146
- fix buggy blocking wait_message occuring in summary (#42062)
- fix layout of media selection step
- fix buggy blocking wait_message occuring in summary (#42062)
- fix layout of media selection step

* Tue Sep 02 2008 Thierry Vignaud <tv@mandriva.org> 11.31.2-1mdv2009.0
+ Revision: 279074
- adjust sizing in order to prevent horizontal scrollbar to appear
- do not size right aligned radio buttons

* Tue Sep 02 2008 Pixel <pixel@mandriva.com> 11.31-1mdv2009.0
+ Revision: 278870
- 11.31: fix "INTERNAL ERROR: ask_from_normalize" at end of installation

* Mon Sep 01 2008 Thierry Vignaud <tv@mandriva.org> 11.30-2mdv2009.0
+ Revision: 278696
- rebuild with latest drakx-net

* Mon Sep 01 2008 Thierry Vignaud <tv@mandriva.org> 11.30-1mdv2009.0
+ Revision: 278511
- keep in $o->{previous_release} the info about upgraded /etc/release,
  and pass "reason" and version to urpmi.addmedia
- 2009.0 RC 1 logo
- hack /tmp/.X11-unix to allow accessing X in chroot
- if network access, configure urpmi with --mirrorlist --distrib,
  and install updates. This replaces the previous "Install Updates" step.
- fix alignment of check buttons
- fix size of right aligned labels
- fix sizing radio buttons' labels (infamous 6 years old gnome bug #101968)
- further improvements to the "bootloader", "desktop" & "partitionning" steps
- prevent big combo boxes to cause an horizontall scrollbar to appear by
  using the "ellipsize" property
- remove "Generate auto install floppy" & "Save packages selection"
  options at end of installation
- update package managment icons
- use pcmcia-socket-startup from /lib/udev for latest pcmciautils

* Fri Aug 29 2008 Thierry Vignaud <tv@mandriva.org> 11.29-1mdv2009.0
+ Revision: 277424
- do not try starting graphical installer on early i810 (which is is
  not supported), thus prevent waiting several minutes needlessly
- refresh "Individual package selection" step
- refresh "Security" step
- refresh "Summary" step

* Fri Aug 29 2008 Thierry Vignaud <tv@mandriva.org> 11.28-1mdv2009.0
+ Revision: 277347
- fix buggy blocking wait_message occuring in summary (#42062)
- diskdrake: use udevadm settle instead of udevsettle
- refresh "Package Group Selection" step

* Fri Aug 29 2008 Thierry Vignaud <tv@mandriva.org> 11.27-1mdv2009.0
+ Revision: 277193
- configure vga=785 (640x480) when vga=788 (800x600) fails during install
  (useful on 800x480 netbooks)
- text mode:
  o fix displaying release notes in (#43263)

* Thu Aug 28 2008 Thierry Vignaud <tv@mandriva.org> 11.26.1-1mdv2009.0
+ Revision: 276816
- fix asterisk in titles

* Wed Aug 27 2008 Thierry Vignaud <tv@mandriva.org> 11.26-1mdv2009.0
+ Revision: 276683
- better layout in 640x480 (#43231)
- fix "probe floppies only once" (#43216)
- misc GUI improvements
  o misc changes
  o properly size some labels (infamous 6 years old gnome bug #101968)
  o refresh "user management" step
  o render some titles as blue
  o set some wait messages' titles

* Wed Aug 27 2008 Thierry Vignaud <tv@mandriva.org> 11.25-1mdv2009.0
+ Revision: 276514
- left sidepanel:
  o align category titles like step ones

* Tue Aug 26 2008 Thierry Vignaud <tv@mandriva.org> 11.24-2mdv2009.0
+ Revision: 276167
- allow to install bootloader on md0 (#42999)
  (regression introduced on 2004-08-05)
- handle blowfish password encryption and use it by default (#42426)
- minor GUI tweaks
- allow to install bootloader on md0 (#42999)
  (regression introduced on 2004-08-05)
- handle blowfish password encryption and use it by default (#42426)
- minor GUI tweaks

* Fri Aug 22 2008 Thierry Vignaud <tv@mandriva.org> 11.23-1mdv2009.0
+ Revision: 275162
- pop wait_messages and ensure same window is used for next wait_messages
  (to ensure the background is not greyed,ungreyed,greyed,...)
- improved license step
- install lilo when needed (#39878)
- render some message titles as blue

* Fri Aug 22 2008 Thierry Vignaud <tv@mandriva.org> 11.21-1mdv2009.0
+ Revision: 275063
- ensure we don't default on the first keyboard layout when upgrading french
  box in english lang (#41103)
- do not set $HOME while installing packages (#18088)
- install proper qtX package for gcin
- partitionning step
  o ensure we initialize only once but at least one, thus fixing crash
    when embedded or in installer (#43011)

* Thu Aug 21 2008 Thierry Vignaud <tv@mandriva.org> 11.20-1mdv2009.0
+ Revision: 274561
- do not uselessly install kernel-server on x86_64 if more than 3.8Gb
  are availlable
- diskdrake
  o fix sizing partitions bar (#24410)

* Wed Aug 20 2008 Thierry Vignaud <tv@mandriva.org> 11.19-1mdv2009.0
+ Revision: 274248
- usbkbd is dead, using usbhid instead
- allow passing suppl=0 to disable "additional installation media" question
- drakx-in-chroot:
  o fix using remote repositories
- set title for advanced dialogs
- small GUI improvements

* Tue Aug 19 2008 Thierry Vignaud <tv@mandriva.org> 11.18-1mdv2009.0
+ Revision: 273921
- center sub dialogs
- prevent flickering of big windows by:
  o ignoring bogus size-allocate events
  o properly computing window position
- stop reducing help & release notes dialogs'

* Tue Aug 19 2008 Thierry Vignaud <tv@mandriva.org> 11.17-1mdv2009.0
+ Revision: 273886
- drakx-in-chroot:
  o enable to choose resolution of Xvfb
  o enable to use a package repository different from installer one
- use new style popup button for 'help' & 'release notes' buttons

* Tue Aug 19 2008 Thierry Vignaud <tv@mandriva.org> 11.15-1mdv2009.0
+ Revision: 273672
- fix crash with advanced widgets
- fix crashing on some buttons
- fix bogus popup of 'desktop choice' dialog
- authentication: enable network-auth meta-service if auth is not local

* Mon Aug 18 2008 Olivier Blin <oblin@mandriva.com> 11.13-1mdv2009.0
+ Revision: 273387
- 11.13
- move hardware packages detection code from installer to drakxtools

* Mon Aug 18 2008 Thierry Vignaud <tv@mandriva.org> 11.12-1mdv2009.0
+ Revision: 273305
- align titles to the left
- display a separator below titles
- justify big texts
- popup advanced settings in dialogs
- refresh:
  o language step
  o license step

* Mon Aug 18 2008 Thierry Vignaud <tv@mandriva.org> 11.11-1mdv2009.0
+ Revision: 273219
- 2009.0 beta 2 logo
- l10n:
  o fix selecting locales-XX for locales that specify scripting (#42663)
  o update list of locales
  o update list of KDE languages for KDE4

  + Pixel <pixel@mandriva.com>
    - require new drakx-kbd-mouse-x11 to have 24bpp by default

* Wed Aug 13 2008 Thierry Vignaud <tv@mandriva.org> 11.9.1-1mdv2009.0
+ Revision: 271507
- fix left panel in 1024x768

* Wed Aug 13 2008 Thierry Vignaud <tv@mandriva.org> 11.9-1mdv2009.0
+ Revision: 271382
- new title style
- partition wizard:
  o refreshed GUI

* Wed Aug 13 2008 Thierry Vignaud <tv@mandriva.org> 11.8.1-1mdv2009.0
+ Revision: 271341
- really add deskop images

* Tue Aug 12 2008 Thierry Vignaud <tv@mandriva.org> 11.8-1mdv2009.0
+ Revision: 271143
- default to UTF-8 for chinese simplified (#42137)
- new desktop choice screen

* Mon Aug 11 2008 Thierry Vignaud <tv@mandriva.org> 11.7-1mdv2009.0
+ Revision: 270819
- handle new drivers:
  o ethernet: r6040
  o gigabit: atl1e, bnx2x, sfc
  o PATA: pata_ninja32, pata_ns87415
  o SCSI: mvsas
  o USB host controller: isp1760
  o WAN: lapbether
  o wireless: rndis_wlan, rtl8180
- add product type to URL when fetching mirror list

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 11.3-1mdv2009.0
+ Revision: 263367
- fix spacing around buttons

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 11.2-2mdv2009.0
+ Revision: 262916
- rebuild for new matchbox

* Thu Jul 31 2008 Olivier Blin <oblin@mandriva.com> 11.2-1mdv2009.0
+ Revision: 257774
- 11.2
- include extmod Xorg module (for SHAPE extension)

* Thu Jul 31 2008 Olivier Blin <oblin@mandriva.com> 11.1-1mdv2009.0
+ Revision: 257581
- 11.1
- do not require matchbox gconf schema
  (not provided by drakx-installer-matchbox)

  + Thierry Vignaud <tv@mandriva.org>
    - first steps toward new installer style
    - BuildRequires: drakx-installer-matchbox

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 10.48-1mdv2009.0
+ Revision: 251098
- 2009.0 beta 1 logo
- drakx-in-chroot: prefer Xephyr over Xnest since Xnest lacks many
  extensions needed by matchbox-window-manager

* Thu Jul 10 2008 Olivier Blin <oblin@mandriva.com> 10.47-1mdv2009.0
+ Revision: 233400
- 10.47
- load disk/scsi before disk/ide since libata is now the default
  (to prevent modules::load_category from loading ide-generic too early)
- fix reading and setting kdmrc (by resolving alternative in chroot)

* Thu Jul 10 2008 Olivier Blin <oblin@mandriva.com> 10.46-1mdv2009.0
+ Revision: 233219
- 10.46
- authentication:
  o add back fix to force the password to be utf8 (#23273)
  o fix reading md5/shadow options in /etc/pam.d/system-auth

* Wed Jul 09 2008 Olivier Blin <oblin@mandriva.com> 10.45-1mdv2009.0
+ Revision: 233050
- 10.45
- update autologin file path for kdm4
- default to KDE4 (instead of KDE) if kdm config exists when reading
  autologin configuration
- change default authentication to local (instead of ldap)

* Tue Jul 08 2008 Pixel <pixel@mandriva.com> 10.44-1mdv2009.0
+ Revision: 232726
- 10.44: 2009.0 alpha 2 logo

* Mon Jul 07 2008 Pixel <pixel@mandriva.com> 10.43-2mdv2009.0
+ Revision: 232612
- rebuild for fixed rpm

* Fri Jul 04 2008 Olivier Blin <oblin@mandriva.com> 10.43-1mdv2009.0
+ Revision: 231699
- 10.43
- detect KDE4 when configuring autologin

* Thu Jun 26 2008 Pixel <pixel@mandriva.com> 10.42-1mdv2009.0
+ Revision: 229332
- 10.42: fix reading rpm macros from /etc/macros.d/ (esp. %%_filetriggers_dir)

* Thu Jun 26 2008 Pixel <pixel@mandriva.com> 10.41-1mdv2009.0
+ Revision: 229302
- 10.41: 2009.0 alpha 1 logo

* Wed Jun 25 2008 Olivier Blin <oblin@mandriva.com> 10.40-1mdv2009.0
+ Revision: 228953
- 10.40
- add support for dm-raid4-5 (tmb)
- add back desktop choice window (by checking task-kde4 instead of task-kde)

* Fri Jun 20 2008 Pixel <pixel@mandriva.com> 10.38-1mdv2009.0
+ Revision: 227543
- 10.38:
- force back 75dpi to get back previous font sizes
- adapt to cooker file changes
- do not let authentication module (used for ask_user_and_root) mess window size

* Fri Jun 13 2008 Olivier Blin <oblin@mandriva.com> 10.36-1mdv2009.0
+ Revision: 218641
- 10.36
- fix authentication configuration

* Thu Jun 12 2008 Olivier Blin <oblin@mandriva.com> 10.35-1mdv2009.0
+ Revision: 218499
- 10.35
- adapt to xserver/SecurityPolicy being in /usr
- 10.34
- partitioning wizard:
  o do not propose to resize "hidden" fat partitions
  o do not say "the Windows partition" when there can be more than one
- use UUID for resume= kernel parameter
- handle new drivers:
  o pata: pata_sch
- handle renamed drivers:
  o ide-cd is now named ide-cd_mod
  o generic is now named ide-pci-generic
- kernel-laptop is no more

* Thu Apr 24 2008 Pixel <pixel@mandriva.com> 10.30-2mdv2009.0
+ Revision: 197206
- rebuild with fixed perl-MDK-Common (1.2.12)

* Thu Apr 24 2008 Olivier Blin <oblin@mandriva.com> 10.30-1mdv2009.0
+ Revision: 197074
- rebuilt with new ldetect-lst (to use libata pata by default)
- 10.30
- /sbin/usb_id is needed by mouse.pm to generate /dev/input/by-id/xxx (#39868)
  (and not /LIB/udev/usb_id since drakx-kbd-mouse-x11 0.42)
- list generic module in disk/ide

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 10.29-1mdv2008.1
+ Revision: 192257
- 10.29
- time: write UTC setting in /etc/adjtime (#36522)

* Thu Apr 03 2008 Olivier Blin <oblin@mandriva.com> 10.28-2mdv2008.1
+ Revision: 192210
- rebuild for ldetect, perl-MDK-Common and drakx-net

* Thu Apr 03 2008 Pixel <pixel@mandriva.com> 10.28-1mdv2008.1
+ Revision: 192172
- 10.28:
- fix computed install size in group selection (#39303)
  (it didn't take suggests into account)

* Thu Apr 03 2008 Thierry Vignaud <tv@mandriva.org> 10.27-1mdv2008.1
+ Revision: 192081
- 2008.1 logo (the good one)
- enable to restore the system through rsnapshot if giving "restore"
  on cmdline
- fix broken help because of s/pt_BR/pt_br/ change in file names (#36774)

* Wed Apr 02 2008 Pixel <pixel@mandriva.com> 10.26-1mdv2008.1
+ Revision: 191549
- 10.26:
- 2008.1 logo
- fix crash when detecting network connection with supplementary media

* Mon Mar 31 2008 Pixel <pixel@mandriva.com> 10.23-1mdv2008.1
+ Revision: 191195
- 10.23:
- ensure umount on loopback-mounted-file doesn't leak /dev/loop
  (otherwise it breaks install from isos on disk) (#36992)
- warn the user and propose to install/quit-install before upgrading from a
  partition where "/" is ext3 with block-size 1KB to avoid kernel bug (#37583)
- detect as laptop systems with ACPI lid button
  (i.e. if /sys/bus/acpi/devices/PNP0C0D:* exists)
- fix computing time according to timezone in local/UTC dialog
  (by using zoneinfo files from the installed prefix)

* Thu Mar 27 2008 Olivier Blin <oblin@mandriva.com> 10.21-2mdv2008.1
+ Revision: 190767
- rebuild with latest drakx-net (for shorewall fixes)

* Tue Mar 25 2008 Thierry Vignaud <tv@mandriva.org> 10.21-1mdv2008.1
+ Revision: 190156
- partitioning wizard: allow "Use free space" if there is an extended
  partition even if all primary partitions are used (#38804)
  (*old* bug!)
- fix errors while setting PA preferences (#39270)
- use umask=0 by default on vfat (#39315)
- root/user password:
  o force the password to be utf8 (#23273)

* Fri Mar 21 2008 Thierry Vignaud <tv@mandriva.org> 10.19-1mdv2008.1
+ Revision: 189434
- diskdrake:
  o fix setting mount point of a /dev/mdX (#39142)
    (regression introduced in 10.8)
- when skipping bootloader installation, correctly say "None" in summary
  (#39101)
- correctly set country when given lang=xxx on /proc/cmdline
  (regression introduced in 10.16) (#39104)

* Fri Mar 21 2008 Olivier Blin <oblin@mandriva.com> 10.18-1mdv2008.1
+ Revision: 189299
- 10.18
- when reformatting swap, keep existing UUID (#38877)
- ask which drive to install bootloader if we don't really know which
  is first bios drive (cf #38829)
- fix reading alternatives in install
- add Xorg.0.log to report.bug.gz (to help diagnose why X failed)

* Thu Mar 20 2008 Olivier Blin <oblin@mandriva.com> 10.17-1mdv2008.1
+ Revision: 189073
- 10.17
- do not unconfigure timezone if timezone screen is canceled (#33565)
- update OpenOffice/BrOffice alternative according to selected lang (#37820)

* Tue Mar 18 2008 Thierry Vignaud <tv@mandriva.org> 10.16-2mdv2008.1
+ Revision: 188599
- adduserdrake:
  o display kdm/gdm icon again (was disabled on year ago)
- do not write aliases for asus_acpi and thinkpad_acpi in
  modprobe.preload, the modules are now handled by coldplug
- fix setting default lang (which is given by gfxboot)

* Tue Mar 18 2008 Thierry Vignaud <tv@mandriva.org> 10.15-2mdv2008.1
+ Revision: 188442
- rebuild with a more robust resize2fs
- BuildRequires: draksnapshot

* Fri Mar 14 2008 Olivier Blin <oblin@mandriva.com> 10.15-1mdv2008.1
+ Revision: 188021
- require new drakx-net
- 10.15
- 2008.1 RC2 logo

* Fri Mar 14 2008 Pixel <pixel@mandriva.com> 10.14-1mdv2008.1
+ Revision: 187922
- 10.14:
- adapt to cooker:
  o brltty libraries are now correctly in /lib64 on x86_64
- 10.13:
- mount ntfs-3g as ntfs during install
  (fixes adding "windows" entry in bootloader)
- really fix partition device name for some dmraid (missing "p", cf #38363)
- cpufreq: fix gsx-suspmod probe
- do not propose to upgrade non-mandriva and non-conectiva distros (#38408)

* Thu Mar 06 2008 Thierry Vignaud <tv@mandriva.org> 10.10-1mdv2008.1
+ Revision: 181000
- fix resizing/formatting ntfs, and create "Windows" entry in bootloader
  (broken because of ntfs-3g switch in previous release)
- install kernel586 on Transmeta Crusoe TM5800 (#37866)
- do not load i810fb, rely on vesa xorg drive instead (it may help #37772)
- restore correct configuration of nfs/hd media in urpmi.cfg
  (regression introduced in 10.8)
- fix partition device name for some dmraid (missing "p", cf #38363)
- do not timeout after 10 minutes when resizing NTFS partition

* Tue Mar 04 2008 Pixel <pixel@mandriva.com> 10.8-1mdv2008.1
+ Revision: 178327
- 10.8:
- adapt code to upgrade from redhat for mdv extensions (& for Manbo
  Core by the way)
- auto allocate: do not create /home if drive is smaller than 7GB
- do not propose to deselect media if none can be deselected
- no more /media/cdrom in fstab by default (#35055)
  (not needed anymore by urpmi)
- use cdrom:// instead of removable:// in urpmi.cfg (urpmi 5.7)
- use and install ntfs-3g by default for ntfs partitions (#37823)

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 10.6.25-3mdv2008.1
+ Revision: 176806
- rebuild with non-x86_64-broken ldetect

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 10.6.25-2mdv2008.1
+ Revision: 176681
- rebuild with new drakx-net

* Fri Feb 29 2008 Olivier Blin <oblin@mandriva.com> 10.6.25-1mdv2008.1
+ Revision: 176566
- 10.6.25
- API changes for draklive-install

  + Pixel <pixel@mandriva.com>
    - rebuild to have drakx-kbd-mouse-x11 >= 0.49

* Thu Feb 28 2008 Pixel <pixel@mandriva.com> 10.6.24-1mdv2008.1
+ Revision: 176224
- 10.6.24:
- do not assign a mount point to partitions of type "Compaq diagnostics"
- 2008.1 RC1 logo

* Mon Feb 25 2008 Thierry Vignaud <tv@mandriva.org> 10.6.23-1mdv2008.1
+ Revision: 174983
- adapt to cooker:
  o jfsprogs is now jfsutils
- change background color
- jfsprogs is now jfsutils

* Tue Feb 19 2008 Olivier Blin <oblin@mandriva.com> 10.6.21-1mdv2008.1
+ Revision: 173067
- 10.6.21
- adapt to cooker rpm macros new locations

  + Thierry Vignaud <tv@mandriva.org>
    - do not create alt_windows unless needed
      (regression introduced on 2007-11-26) (#37722)
    - install linuxwacom if needed
    - load disk/ide before disk/scsi, or else sata_sis may be loaded for a
      SATA controller and trigger pata_sis loading before sis5513 is loaded,
      which would defeat an eventual alias to sis5513 for a PATA controller
    - cpufreq:
      o use acpi-cpufreq for Mobile PIII/Celeron
        (family 6 model 11, for example Toshiba Port?\195?\169g?\195?\169 3500)
      o use speedstep-centrino only for supported models
        and prefer acpi-cpufreq (patch from Herton, #30208)
      o use p4-clockmod for some Intel family 6 processors not supporting EST

* Tue Feb 12 2008 Pixel <pixel@mandriva.com> 10.6.19-1mdv2008.1
+ Revision: 166214
- 10.6.19:
- do not propose "KDE, GNOME or Custom" profiles if the partition is small
  (< 2.5GB) otherwise the installer will not be able to install the full profile
- auto partitioning: ensure the "/" is bigger on small drives

* Tue Feb 12 2008 Olivier Blin <oblin@mandriva.com> 10.6.18-1mdv2008.1
+ Revision: 165642
- 10.6.18
- adapt to modules being in /lib/modules/`uname -r`

* Mon Feb 11 2008 Pixel <pixel@mandriva.com> 10.6.16-1mdv2008.1
+ Revision: 165324
- 10.6.16:
- Xorg needs xkb/rules/base, otherwise it can go crazy (#35912)
- add mkntfs (#37462)
- detect systems with C7-M processor as laptop (like Belinea s.book)

* Fri Feb 08 2008 Pixel <pixel@mandriva.com> 10.6.13-3mdv2008.1
+ Revision: 164216
- rebuild for fixed "kbd" X driver

* Fri Feb 08 2008 Pixel <pixel@mandriva.com> 10.6.13-2mdv2008.1
+ Revision: 163994
- rebuild with latest ldetect-lst

* Tue Feb 05 2008 Pixel <pixel@mandriva.com> 10.6.13-1mdv2008.1
+ Revision: 162686
- 10.6.13:
- add "vesa" X driver to use when framebuffer fails
  (useful for boxes which work with vga=785 which is not the default, in that
  case "vesa" should work)

* Tue Feb 05 2008 Pixel <pixel@mandriva.com> 10.6.12-1mdv2008.1
+ Revision: 162639
- rebuild with new x11-server (#35912)
- 10.6.12:
- 2008.1 beta2 logo
- set $::isInstall soon enough for fs::type data-structure creation:
  fixes reiser4 appearing in diskdrake during install (#36999)
- add grub entries to allow booting other installed distros
  (using grub "configfile") (see #16604)

* Wed Jan 30 2008 Thierry Vignaud <tv@mandriva.org> 10.6.10-1mdv2008.1
+ Revision: 160232
- handle new drivers:
  o ethernet: cpmac
  o gigabit: ipg
  o pata/sata: pata_bf54x, sata_fsl
  o sound: snd-at73c213
  o tv cards: cx23885
  o webcams: tcm825x
- fix detecting existing LVMs (#31228)
  (regression introduced in 10.4.204 (?))
- fix ensuring X is launched on tty7 (cf #37087)
- fix handling LVM VGs with "-" in the name (#37267)
- call X with -nolisten tcp to avoid "security" issues (#18320)
  (nb: this implies "xhost+" helper prog is not useful anymore)
- do not propose ext4dev filesystem during install (#37157)
- rebuild with a mke2fs friendler for user EA & a fsck friendly enough to not
  run fsck for dummy reasons on startup

* Thu Jan 24 2008 Thierry Vignaud <tv@mandriva.org> 10.6.8-1mdv2008.1
+ Revision: 157533
- 2008.1 beta1 logo
- look for LVM PV on non partitioned disk before looking for DOS
  partition_table (esp. for lilo which puts the DOS magic)

* Tue Jan 22 2008 Pixel <pixel@mandriva.com> 10.6.7-1mdv2008.1
+ Revision: 156295
- 10.6.7:
- add xkb/symbols/inet (which is now needed by default for pc105)

* Tue Jan 22 2008 Pixel <pixel@mandriva.com> 10.6.6-1mdv2008.1
+ Revision: 156269
- 10.6.6:
- adapt to perl 5.10.0
- create /dev/cdrom symlink for installer (#36703)
- do not put "windows" entry in bootloader for partitions where Windows is not
  present (#8086)
- 10.6.5:
- do not sort languages in "choose language" step in graphical mode, since the
  sort is done on the non-translated strings (eg: we display "Espanol" but we
  sort on Spanish )
- require e2fsprogs with fixed blkid for ntfs (#36144)

* Wed Jan 09 2008 Pixel <pixel@mandriva.com> 10.6.3-1mdv2008.1
+ Revision: 147148
- 10.6.3:
- adapt to cooker:
  o /usr/lib/gconv/KOI8-K.so is no more, take KOI8-*.so
- don't buildrequire rpm >= 4.4.8 (since we now use 4.4.2.2)
- 10.6.2:
- 2008.1 alpha2 logo
- adapt to cooker:
  o DejaVuSans-Bold*.ttf instead of DejaVuSansBold*.ttf (again!)
  o no more /etc/rpm/platform (for rpm 4.4.2.2)
- install SMP packages when "match_all_hardware" option is set

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Pixel <pixel@mandriva.com> 10.6.1-1mdv2008.1
+ Revision: 118997
- 10.6.1:
- ensure failing to build mdkinst.sqfs is a fatal error
- drakx-in-chroot:
  o just like stage1, handle <root of distrib> ending with current arch() so
  that we can access main32 on x86_64
- do not rebuild rpmdb if it is ok
  (will workaround #32547) (need perl-URPM 3.01)
- adapt to perl-URPM 3.00 API to parse pubkey files
- adjust Uzbek locale (cf locales-uz change)
- sort languages in "choose language" step in text mode
- diskdrake:
  o drop "Undo", "Restore partition table", "Save partition table"
    (preparing to switch to libparted)
- don't check /proc/partitions for a partition_table::lvm
  (ie PV on non partitioned drive)

* Fri Nov 30 2007 Pixel <pixel@mandriva.com> 10.5.6-1mdv2008.1
+ Revision: 114184
- 10.5.6:
- restrict the proposed input-methods for each language
- /dev/<vg> may not exist if LVs have not been created, it must not be an error (#31478)
- use xkb instead of xmodmap
  (this fixes XF86_Switch_VT_X not defined in our xmodmaps)
- save bootloader on MBR when calling grub/install.sh, and restore it before
  calling it again (#35255) (ie implement "lilo -u" for grub)
- ensure /etc/sysconfig/console/default.kmap is generated with installed
  keymaps, not installer simplified (?) .bkmap (#35376)
- fix wrongly detecting some devices as laptop specific (#35759)
- add /etc/mke2fs.conf symlink so that mke2fs can use it (cf #27377)
- don't be strict on ldetect-lst version, only require at least version xxx

* Wed Nov 14 2007 Pixel <pixel@mandriva.com> 10.5.5-1mdv2008.1
+ Revision: 108655
- 10.5.5: adapt to cooker:
  o kbd_drv.so instead of keyboard_drv.so
  o DejaVuSansBold*.ttf instead of DejaVuSans-Bold*.ttf
- 10.5.4:
- use UUID by default (in fstab, bootloader)
- localedrake:
  o fix handling variant together with charset (eg: uz.UTF-8@Latn) (#35090)
- partitioning wizard: ensure existing_part and resize_fat are proposed before
  wipe_drive
- in case of ftp/http media, we select basesystem before doing
  bestKernelPackage so we must ensure the choice callback selects the good
  kernel (reported by Thomas Spuhler on cooker mailing list)
- do propose "Suisse" after selecting french language (#34675)
- use time() to know when to timeout (when launching installer X server)
  since the loop may be slower than 1 second (xf86misc::main::Xtest takes time
  on a failing X server on i810). Also print a message telling user to wait
  after 8 seconds.

* Fri Oct 05 2007 Thierry Vignaud <tv@mandriva.org> 10.4.238-2mdv2008.0
+ Revision: 95644
- rebuild with latest installer doc

* Fri Oct 05 2007 Pixel <pixel@mandriva.com> 10.4.238-1mdv2008.0
+ Revision: 95614
- 10.4.238:
- do not use pseudo Protocol "vboxmouse" during install, use "IMPS/2" instead

* Fri Oct 05 2007 Olivier Blin <oblin@mandriva.com> 10.4.236-2mdv2008.0
+ Revision: 95567
- explicitely buildrequire ldetect-lst 0.1.199-2mdv2008.0

* Thu Oct 04 2007 Pixel <pixel@mandriva.com> 10.4.236-1mdv2008.0
+ Revision: 95475
- rebuild with drakx-kbd-mouse-x11 0.37
- 10.4.236:
- fix copying of ../../i586/media/main medium
  (for dual_arch CDs sharing the i586 medium)
- fix configuring kdeglobals (was broken because of /etc/kderc using
  udpate-alternatives which use absolute symlinks)

* Thu Oct 04 2007 Pixel <pixel@mandriva.com> 10.4.233-1mdv2008.0
+ Revision: 95397
- rebuild with drakx-kbd-mouse-x11 0.36
- save "rpm -qa" in /usr/share/doc/drakx-installer-stage2/build-rpms.lst
- 10.4.233:
- use /dev/cdrom in fstab, but do not write corresponding udev rule
  (the rules will be generated at boot time otherwise it won't catch the
  hdX/srX switch)

* Thu Oct 04 2007 Olivier Blin <oblin@mandriva.com> 10.4.232-1mdv2008.0
+ Revision: 95283
- 10.4.232
- add helper to get kernel module path (to be used in draklive)

* Wed Oct 03 2007 Pixel <pixel@mandriva.com> 10.4.228-1mdv2008.0
+ Revision: 95036
- 10.4.228:
- use /dev/cdrom in fstab, and write corresponding udev rule
  (the rules were generated at boot time but here we ensure consistent naming)
- 2008 logo
- bootloader:
  o if there is a /boot, check /boot instead of "/" to allow grub or not

* Tue Oct 02 2007 Thierry Vignaud <tv@mandriva.org> 10.4.227-1mdv2008.0
+ Revision: 94714
- diskdrake:
  o improved wrapping of mount option descriptions (#19848)
- add ath5k module in wireless category

* Mon Oct 01 2007 Pixel <pixel@mandriva.com> 10.4.224-1mdv2008.0
+ Revision: 94165
- build with perl-URPM 2.07 (which handle precompiled kmod pkgs choice)
- 10.4.224:
- don't keep noarch pkgs symlinked (to ../../../i586/media/main/xxx.rpm)
  when copying packages on disk

* Mon Oct 01 2007 Pixel <pixel@mandriva.com> 10.4.223-1mdv2008.0
+ Revision: 94111
- 10.4.223:
- diskdrake:
  o bugfix 10.4.162: allow "LVM" on RAID (#34359)
- add acpi-cpufreq support for some Intel CPUs (family 6 model 15)
  (from Herton Ronaldo Krzesinski, #30208)

* Fri Sep 28 2007 Pixel <pixel@mandriva.com> 10.4.220-1mdv2008.0
+ Revision: 93644
- 10.4.220: cleanup __db* files
- rebuild with rpm not using DB_PRIVATE nor global RPMLOCK
- 10.4.219: ensure the rpmdb is closed

* Fri Sep 28 2007 Pixel <pixel@mandriva.com> 10.4.218-1mdv2008.0
+ Revision: 93556
- 10.4.218: add /etc/rpm/macros.cdb

* Thu Sep 27 2007 Thierry Vignaud <tv@mandriva.org> 10.4.217-1mdv2008.0
+ Revision: 93353
- help:
  o do not segfault on #foobar like anchors
  o try translated links first (#33679)

* Thu Sep 27 2007 Pixel <pixel@mandriva.com> 10.4.216-1mdv2008.0
+ Revision: 93242
- rebuild with bug-fix drakx-kbd-mouse-x11 0.32
- 10.4.216:
- allow to choose countries like "Angola" which have no locale (en_AO) in the
  "best" countries (alas it won't be remembered, will only be used in kde
  settings for now)

* Wed Sep 26 2007 Thierry Vignaud <tv@mandriva.org> 10.4.215-1mdv2008.0
+ Revision: 93187
- display nicer HTML release notes rather than raw text version
- fix using iso CD2 on disk (#33022):
  o remove " from medium name when reading media.cfg
  o handle "Volume id" ending with -CD[123] instead of -Disc[123]
- handle @::auto_steps in patch-oem.pl

* Wed Sep 26 2007 Thierry Vignaud <tv@mandriva.org> 10.4.214-1mdv2008.0
+ Revision: 93077
- do not ask desktop choice in upgrade (#34025)
- fix displaying help in custom partition (#33994)
- BuildRequires nfs-utils-clients for mount.nfs
- add mount.nfs binary (since mount doesn't handle nfs fs anymore)
- don't ask for desktop and go directly to choose groups if kde and gnome are
  not available on media (useful for mini iso)
- don't crash install when mounting CD fails (#33421)

* Mon Sep 24 2007 Pixel <pixel@mandriva.com> 10.4.211-1mdv2008.0
+ Revision: 92592
- 10.4.211:
- on upgrade, don't add resume=xxx if noresume is there (#33953)
- diskdrake
  o fix "Add to LVM"
- do not display any message when user screenshot when chrooted during install
  of pkgs (#33752)
- don't add resume=xxx to bootloader configuration if there is noresume (#33953)
- ignore /proc/partitions when "solaris" extended partition is present (#33866)
- translate the pkg summary when mdv-rpm-summary info is available
  (for the "Details" mode when installing packages)
- ensure mdv-rpm-summary is installed first (if selected)

* Fri Sep 21 2007 Thierry Vignaud <tv@mandriva.org> 10.4.207-1mdv2008.0
+ Revision: 91699
- localization:
  o default input method is now scim-bridge (#32138)

* Thu Sep 20 2007 Thierry Vignaud <tv@mandriva.org> 10.4.206-1mdv2008.0
+ Revision: 91405
- fix some banner icons (#33802)

* Thu Sep 20 2007 Olivier Blin <oblin@mandriva.com> 10.4.205-1mdv2008.0
+ Revision: 91313
- 10.4.205
- stop configuring TV cards in summary since kernel do a better job now
- fix passing module options when module name contains a '-' character
- add dkms-modules.alias and ldetect-lst-modules.alias files in stage2

* Wed Sep 19 2007 Pixel <pixel@mandriva.com> 10.4.204-1mdv2008.0
+ Revision: 91007
- 10.4.204:
- individual package selection: make the package "Info" non editable
- diskdrake:
  o "Clear All" defaults to LVM on full disk if drive is >4TB
  o do not allow partitions bigger than 2TB-1 on DOS MBR, nor partitions
    starting above 2TB-1
- restore banner on pop up messages (#33753)
- handle /boot/xxx files on linux raid1
- when basesystem can't be selected, display the reason
- also load dm-zero for dmraid
- add RC2 banner

* Mon Sep 17 2007 Pixel <pixel@mandriva.com> 10.4.201-1mdv2008.0
+ Revision: 89123
- 10.4.201:
- fix loading dependencies of kernel module "xxx-yyy" (instead of "xxx_yyy")
  (eg: dm-mirror)
- report_bug: hide grub password (#33634)
- fix blocking wait_message (when they pop) (#33676, #33670)
- advertising: restore support for $title in .pl files (wrongly dropped in 10.4.195)
- localization:
  o fix installing packages according to desktop
- boot loader config:
  o boot entrie list uses ellipsis rather than scroll bar

* Mon Sep 17 2007 Olivier Blin <oblin@mandriva.com> 10.4.199-1mdv2008.0
+ Revision: 88849
- 10.4.199
- fix loading of tifm_sd module

* Sun Sep 16 2007 Thierry Vignaud <tv@mandriva.org> 10.4.198-1mdv2008.0
+ Revision: 87733
- fix a crash
- localization:
  o install scim-bridge-qt4 if KDE4 is installed

* Sat Sep 15 2007 Thierry Vignaud <tv@mandriva.org> 10.4.197-1mdv2008.0
+ Revision: 87175
- localization:
  o enable to select 'scim-bridge' as IM
  o install needed packages for skim
  o install scim-qtimm for scim default config
  o remove extra SCIM combinations (simpler)

* Fri Sep 14 2007 Pixel <pixel@mandriva.com> 10.4.196-1mdv2008.0
+ Revision: 85663
- 10.4.196:
- fix typo breaking reading fstab with UUID= entries
- don't set $o->{security} until accepted (#33567)
- packageCallbackChoices: use prefered packages given by perl-URPM 2.00

* Fri Sep 14 2007 Olivier Blin <oblin@mandriva.com> 10.4.195-1mdv2008.0
+ Revision: 85425
- 10.4.195: fix loading of tifm_sd module (#18237)

* Thu Sep 13 2007 Thierry Vignaud <tv@mandriva.org> 10.4.194-1mdv2008.0
+ Revision: 85267
- do not allow to upgrade i586->x86_64 or x86_64->i586 (#33370)
- do not configure "windows" bootloader entries for "hidden" partitions
- fix unwrapped label (#33243)
- fix grub hanging if /boot on xfs (#33267)
- use user_xattr by default on reiserfs (#15068)
- for wait_message, display a banner and move "Please Wait" in the banner

  + Pixel <pixel@mandriva.com>
    - correct license (GPLv2+)

* Wed Sep 05 2007 Thierry Vignaud <tv@mandriva.org> 10.4.191-1mdv2008.0
+ Revision: 80331
- "choose desktop" step:
  o put images along labels in RadioButtons (HIG)
- summary screen:
  o add spacing around separators
  o fix not displaying the security group
- drop support for iiimf
- update bootloader & updates banner icons

* Wed Sep 05 2007 Thierry Vignaud <tv@mandriva.org> 10.4.190-1mdv2008.0
+ Revision: 80042
- display a warning when capslock is enabled and entering a password (#33028)
- fix insmoding raid0 (#33172)
- summary screen:
  o add spacing between elements
  o add an horizontal bar between elements
- hardware detection layer:
  o add support for tape device again (#31073)
  o enumerate generic SCSI devices again
- enumerate generic SCSI devices again

* Tue Sep 04 2007 Pixel <pixel@mandriva.com> 10.4.187-1mdv2008.0
+ Revision: 79139
- bugfix release: add desktop-Custom.png to tarball

* Tue Sep 04 2007 Pixel <pixel@mandriva.com> 10.4.186-1mdv2008.0
+ Revision: 79079
- new release, 10.4.186
- add global variable settable via "use_uuid" on kernel cmdline

* Tue Sep 04 2007 Pixel <pixel@mandriva.com> 10.4.185-1mdv2008.0
+ Revision: 79070
- bug fix release, 10.4.185
- fix gnome choice in "choose desktop" step (#33101)

* Mon Sep 03 2007 Thierry Vignaud <tv@mandriva.org> 10.4.184-1mdv2008.0
+ Revision: 78685
- support for UUID (including UUID=xxx in fstab)
- do not set relatime option for mounting nfs
- nicely adjust mtime of fontconfig cache files
- steps window: do not underline categories (Installation, Configuration)
- nicer "choose desktop" step with icons

* Fri Aug 31 2007 Pixel <pixel@mandriva.com> 10.4.183-1mdv2008.0
+ Revision: 76770
- new release, 10.4.183
- add new step "choose desktop", before or hiding "choose groups"
- bootloader-config
  o handle new naming of vmlinuz flavors: vmlinuz-<version>-<flavor>-Xmdv
    instead of vmlinuz-<version>-Xmdv<flavor>
  o always use "linux" short name instead of "linux-<flavor>"
    (since the long name is quite nice nowadays)

* Thu Aug 30 2007 Thierry Vignaud <tv@mandriva.org> 10.4.182-1mdv2008.0
+ Revision: 75649
- assume system is a laptop if it contains some "Intel Corporation|Mobile" devices
  (fix Samsung Q1U detection, #32967)
- enable snd-ac97-codec power_save=1 option if installed on laptop (#32213)
- set specific icons for summary steps (#32923)

* Wed Aug 29 2007 Thierry Vignaud <tv@mandriva.org> 10.4.181-1mdv2008.0
+ Revision: 74700
- fix translating steps titles
- ugtk2: use given title if available instead of default step title (#32923)

* Mon Aug 27 2007 Thierry Vignaud <tv@mandriva.org> 10.4.180-1mdv2008.0
+ Revision: 72092
- rebuild with latest libldetect
- bug command: fix choosing the usb-key/floppy drive
  (ie adapting interactive::stdio to new interactive callbacks)
- add /usr/share/ldetect-lst/fallback-modules.alias for
  drakx-in-chroot on old kernels
- fallback to kernel-desktop
- fix summary in text mode (#32858)
- fix loading linux software raid (mdadm) kernel modules
  (after rename raid5&raid6 -> raid456)
- diskdrake
  o fix action "Type" on a software raid (eg: dm0)
  o fix coloring "Other" partitions (#32845)
- update banner for RC1

* Fri Aug 24 2007 Thierry Vignaud <tv@mandriva.org> 10.4.179-1mdv2008.0
+ Revision: 71075
- install kernel-desktop-devel-latest instead of
  kernel-source-stripped-latest on upgrade

* Fri Aug 24 2007 Thierry Vignaud <tv@mandriva.org> 10.4.178-1mdv2008.0
+ Revision: 71058
- adapt to new kernel flavors

* Fri Aug 24 2007 Pixel <pixel@mandriva.com> 10.4.177-1mdv2008.0
+ Revision: 70897
- bug fix release, 10.4.177
- fix typo in banner name (otherwise internal_error)

* Fri Aug 24 2007 Olivier Blin <oblin@mandriva.com> 10.4.176-1mdv2008.0
+ Revision: 70824
- 10.4.176: fix resolving category from module (mainly fix usbhid loading)

* Thu Aug 23 2007 Pixel <pixel@mandriva.com> 10.4.175-1mdv2008.0
+ Revision: 69352
- new release, 10.4.175
- fix typo making selectKeyboard step not called
- diskdrake:
  o change the legend and the colors per partition
- drop /etc/sysconfig/usb configuration (not used anymore in initscripts)
- update banner for beta2

* Tue Aug 21 2007 Olivier Blin <oblin@mandriva.com> 10.4.174-1mdv2008.0
+ Revision: 68636
- 10.4.174
- set default per step banner title & icon for all steps
- fallback on module name if the filename can't be found
  (in the rare case the caller uses '-' in the module name)
- use '_' in module names when explicitely loading them (cosmetics only)
- kill old usb-storage code, mkinitrd now loads it when necessary

* Tue Aug 21 2007 Olivier Blin <oblin@mandriva.com> 10.4.173-1mdv2008.0
+ Revision: 68381
- 10.4.173: convert module names to module filenames
- 10.4.172: ignore wmaster* devices when detecting wireless interfaces

* Mon Aug 20 2007 Olivier Blin <oblin@mandriva.com> 10.4.171-1mdv2008.0
+ Revision: 68023
- 10.4.171: really use '_' in modules names

* Mon Aug 20 2007 Olivier Blin <oblin@mandriva.com> 10.4.170-1mdv2008.0
+ Revision: 67871
- 10.4.170: use '_' in modules names

* Tue Aug 14 2007 Thierry Vignaud <tv@mandriva.org> 10.4.169-2mdv2008.0
+ Revision: 63280
- rebuild with ldetect0.7.7 (thus fixing hw detection)

* Tue Aug 14 2007 Thierry Vignaud <tv@mandriva.org> 10.4.169-1mdv2008.0
+ Revision: 63112
- use better default title & icon for banners
- diskdrake:
  o add support for 'relatime' mount option
  o default all machines to 'relatime' mount option
    (except laptops which use the stronger noatime)
  o kill support for 'nodiratime' mount option

* Mon Aug 13 2007 Pixel <pixel@mandriva.com> 10.4.168-2mdv2008.0
+ Revision: 62795
- BuildRequires meta-task is needed for /etc/urpmi/prefer.vendor.list
  (can be removed once urpmi requires it)
- new release, 10.4.168
- merge root password step and create user step
- fix checking user creation info (#32517)
- allow to create only one user per default, but add an entry in summary to
  create more users
- authentication method is not configurable anymore for now.
  should we add it to summary?
- 'ibm_acpi' driver was replaced by 'thinkpad_acpi (#31606)
- internal
  o use urpm::select::get_preferred to choose preferred packages
    (need urpmi library >= 4.10.1)
  o computeGroupSize: do direct requires before choices
    (eg for epiphany: require libmozilla-firefox2.0.0.6 before choosing
    package providing libmozjs.so)

* Fri Aug 10 2007 Thierry Vignaud <tv@mandriva.org> 10.4.165-1mdv2008.0
+ Revision: 61461
- fix detecting sound cards

* Thu Aug 09 2007 Pixel <pixel@mandriva.com> 10.4.164-1mdv2008.0
+ Revision: 60828
- new release, 10.4.164
- cache PCI probe results
- use Xconfig::proprietary::pkgs_for_Driver2 from drakx-kbd-mouse-X11 0.21

* Thu Aug 09 2007 Thierry Vignaud <tv@mandriva.org> 10.4.162-2mdv2008.0
+ Revision: 60765
- rebuild with a fixed MDK::Common

* Wed Aug 08 2007 Thierry Vignaud <tv@mandriva.org> 10.4.162-1mdv2008.0
+ Revision: 60389
- drakboot:
  o allow choosing another bootloader method when a package cannot be
  installed (occurs on 2008.0 beta1 where mandriva-gfxboot-theme is missing)
- diskdrake:
  o do not show partition types which have no associated filesystem
    for LVM LV (#32326)
- partitionning:
  o allow using diskdrake even if there is only a lvm PV on full disk available
  o fix range max value >2TB when creating a partition (useful for LVs >2TB)
  o restore progress bar when formatting ext3
- kill security level step (only reachable from summary now)
- summary screen:
  o warn if the security level will prevent accessig windows partitions
  o reorder steps according to specs
  o render titles in bold
- rebuild with new ldetect

* Fri Aug 03 2007 Pixel <pixel@mandriva.com> 10.4.158-1mdv2008.0
+ Revision: 58668
- build with drakx-kbd-mouse-x11 0.20 (esp for default xorg.conf without xfs)
- new release, 10.4.158
- configure removable writable media to use "flush" option instead of "sync" (#23042)

* Thu Aug 02 2007 Pixel <pixel@mandriva.com> 10.4.155-1mdv2008.0
+ Revision: 58251
- new release, 10.4.155
- use kbd (setfont) instead of console-tools (consolechars)
- rebuild with rpm-mandriva-setup 1.48
- new release, 10.4.154
- drop supermount support
- diskdrake: drop "Rescue partition table" feature
  (was based on rescuept which has been dropped in util-linux, but was quite
  bad compared to testdisk anyway)

* Tue Jul 24 2007 Olivier Blin <oblin@mandriva.com> 10.4.150-1mdv2008.0
+ Revision: 54960
- 10.4.150: update banner for 2008 beta 1 (from Anne)

* Tue Jul 17 2007 Olivier Blin <oblin@mandriva.com> 10.4.149-1mdv2008.0
+ Revision: 53013
- 10.4.149: fix build of wireless binding with latest kernel headers
- 10.4.148
- add ide-disk module in disk/raw category
- load ide-disk module when loading disk/ide category

* Thu Jul 12 2007 Pixel <pixel@mandriva.com> 10.4.147-1mdv2008.0
+ Revision: 51505
- bug fix release, 10.4.147
- new release, 10.4.146
- allow using sqlite for rpmdb when using option rpm_dbapi=4
- add /lib/udev/usb_id which is needed by mouse.pm to generate /dev/input/by-id/xxx

* Sun Jul 08 2007 Pixel <pixel@mandriva.com> 10.4.142-3mdv2008.0
+ Revision: 49851
- ensure it really builds with fixed librpm (ie >= 4.4.8-6mdv2008.0)

* Fri Jul 06 2007 Pixel <pixel@mandriva.com> 10.4.142-2mdv2008.0
+ Revision: 49058
- rebuild with fixed librpm (so that installing pkg "setup" won't clobber
  /etc/fstab and break initrd creation)

* Mon Jul 02 2007 Pixel <pixel@mandriva.com> 10.4.142-1mdv2008.0
+ Revision: 46952
- brown paper bag fix (stage1 can't create symlink /etc/rpm/platform)

* Fri Jun 29 2007 Pixel <pixel@mandriva.com> 10.4.141-1mdv2008.0
+ Revision: 45688
- new release, 10.4.141:
- bundle /etc/rpm/platform for rpm 4.4.8
- use modularized ide drivers and configure ide-controller in modprobe.conf
- auto_install:
  o allow "automatic=met:http,ser:server,dir:/pub/dir
    kickstart=/pub/auto_inst.cfg" to get http://server/pub/auto_inst.cfg (#31474)
  o ensure /etc/resolv.conf is configured in /mnt for network installs
- add /etc/mke2fs.conf in order to format ext3fs with 4k blocks (#27377)
- diskdrake
  o fix 1.9TB displayed as 1TB
- do not ask for updates at end of installation when updates are already
  available (network installs) (#30344)
- do not try to configure dvd devices since /dev is wiped out at
  reboot
- fix detecting usb drives (#13395)
  (need a perl-MDK-Common 1.2.5)
- hw support:
  o handle snd-cs5530 driver
- install fonts-ttf-dejavu & fonts-ttf-liberation by default
- allow umounting cdrom during a transaction
- really allow having name with "/" in media.cfg
- use "mkfs.ext3" instead of "mkfs.ext2 -J"
  (to have dir_index & resize_inode features)
  (cf Frederik Himpe 23 Apr 2007 mail on cooker)
- new release, 10.4.137
- auto_install:
  o allow "automatic=met:http,ser:server,dir:/pub/dir
    kickstart=/pub/auto_inst.cfg" to get http://server/pub/auto_inst.cfg (#31474)
  o ensure /etc/resolv.conf is configured in /mnt for network installs
- add /etc/mke2fs.conf in order to format ext3fs with 4k blocks (#27377)
- diskdrake
  o fix 1.9TB displayed as 1TB
- do not ask for updates at end of installation when updates are already
  available (network installs) (#30344)
- do not try to configure dvd devices since /dev is wiped out at
  reboot
- fix detecting usb drives (#13395)
  (need a perl-MDK-Common 1.2.5)
- hw support:
  o handle snd-cs5530 driver
- install fonts-ttf-dejavu & fonts-ttf-liberation by default
- allow umounting cdrom during a transaction
- really allow having name with "/" in media.cfg
- use "mkfs.ext3" instead of "mkfs.ext2 -J"
  (to have dir_index & resize_inode features)
  (cf Frederik Himpe 23 Apr 2007 mail on cooker)
- don't BuildRequires x11-server-xnest, it's not needed afaik


* Thu Apr 05 2007 Pixel <pixel@mandriva.com> 10.4.129-1mdv2007.1
+ Revision: 150697
- new release, 10.4.129
- move advertising out of drakx-installer-stage2 into drakx-installer-advertising

* Wed Apr 04 2007 Pixel <pixel@mandriva.com> 10.4.128-3mdv2007.1
+ Revision: 150622
- we can't expect mandriva-release nor mandriva-release to be installed at the moment, removing the check
- mandriva-release is no more, mandriva-release-common is the one to check
- don't depend on mandriva-release %%version-%%release, only on %%version
- new release, 10.4.128
- don't configure /etc/kde/kdm/kdmrc if it doesn't exist
  (other kdmrc.rpmnew will be created, many important values will be missing)
- fix ext3 formatting with label and progress bar (#30032)
- fix taking screenshot
- prefering libkdebase4-kmenuedit over libkdebase46-kmenuedit to ensure
  kdebase-kmenuedit is chosen instead of kdebase4-kmenuedit
- rebuild with ldetect-lst 0.1.167

* Fri Mar 30 2007 Olivier Blin <oblin@mandriva.com> 10.4.126-1mdv2007.1
+ Revision: 149916
- use pci_domain when matching sysfs device and computing
  sysfs device path
- correctly mark "update" media in urpmi.cfg
- fix multiple detection of PCI network cards with the same driver
  (#29688)
- rename o->{build_live_system} as more generic
  o->{match_all_hardware} name
- automatically install network drivers when matching all hardware

* Tue Mar 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.122-1mdv2007.1
+ Revision: 148979
- final banner image
- fix installing kernel-source-stripped
- include mmc_block for card readers

  + Pixel <pixel@mandriva.com>
    - build with build with drakx-kbd-mouse-x11 0.14

* Fri Mar 23 2007 Pixel <pixel@mandriva.com> 10.4.120-1mdv2007.1
+ Revision: 148467
- new release, 10.4.120
- allow having name with "/" in media.cfg
- interactive::curses:
  o handle multi-line labels, and wrap too long labels (#29060)
- do not use bold&big for advanced_messages
  (fixes authentication choice being big & ugly, #28676)

* Thu Mar 22 2007 Pixel <pixel@mandriva.com> 10.4.119-1mdv2007.1
+ Revision: 148072
- build with drakx-kbd-mouse-x11 0.12
- build with drakx-net 0.8
- new release, 10.4.119
- use concat_symlink to get rid of ../../ in urpmi.cfg on x86_64 for main32 medium
- don't complain about missing pata drivers
- do not install nspluginwrapper on ia32 (#29808)
- use http://api.mandriva.com/mirrors/$type.$version.$arch instead of simply
  $version.$arch (useful to differentiate CorpoDesktop4)
- fix ati/nvidia drivers installation on One

* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.116-1mdv2007.1
+ Revision: 146617
- do not fallback on english HTML help but on on old translated help
- handle more drivers (dvb, ethernet, gigabit, ide, pcmcia, sata,
  sound, tv, usb hosts, wan, webcam, wireless)
- 2007 RC logo
- diskdrake: handle mkntfs

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 10.4.115-1mdv2007.1
+ Revision: 145242
- new release, 10.4.115
- use kernel-*latest to select the kernel,
  and also kernel-source-stripped-latest when dkms is installed on upgrade
- add some nice code selecting the various kernel-source-stripped (or
  kernel-.*-devel) corresponding to the chosen kernels
- allow having rpmsrate on CD0 overriding rpmsrate on CD1
  (bugged introduced in rev 37253)
- when using 2 media_cfg in auto_inst,
  allow specifying which rpmsrate will be used
- for locales with fallback (eg: br:fr), try main language before
  english

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 10.4.114-1mdv2007.1
+ Revision: 144865
- 10.4.114 fixes 10.4.113

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 10.4.113-1mdv2007.1
+ Revision: 144739
- new release, 10.4.113
- use grub-gfxmenu command to configure /boot/gfxmenu for grub

* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 10.4.111-1mdv2007.1
+ Revision: 144558
- 10.4.111 (fix installation of ati driver for One)

* Thu Mar 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.109-1mdv2007.1
+ Revision: 144152
- Buildrequire perl-Gtk2-Html2 for HTML help
- display HTML help if availlable
- load tifm_sd if needed (#25133)
- BuildRequires mandriva-doc-installer-help for HTML help

* Tue Mar 13 2007 Pixel <pixel@mandriva.com> 10.4.107-1mdv2007.1
+ Revision: 142402
- new release, 10.4.107
- prefer kde3 packages over kde4 packages
- rebuild with new drakx-kbd-mouse-x11

* Mon Mar 12 2007 Pixel <pixel@mandriva.com> 10.4.106-1mdv2007.1
+ Revision: 142000
- new release, 10.4.106
- move the lib64 symlink in share/symlinks (to fix drakx-in-chroot),
  this will leave a harmless dangling symlink in most cases though
- configure "tifm_7xx1" driven card_reader (#25133)
- do not bother configure old modutils
- fix PCI descriptions returned from pci_probe()
- enhance wrapping in wizards

* Tue Mar 06 2007 Pixel <pixel@mandriva.com> 10.4.103-1mdv2007.1
+ Revision: 133659
- new release:
  o add icons needed by xorg configuration (#29069)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - better summary & description

* Thu Feb 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.98-1mdv2007.1
+ Revision: 124685
- do not install athcool on ia32, it freeze at least some nforce2 machines
- fix regexp for kernel-2.6.17.10mdv for autoinstall install & liveCD building
- include fsck.jfs on x86_64 too (#28821)
- update kernel/list_modules.pm

* Fri Feb 16 2007 Pixel <pixel@mandriva.com> 10.4.96-2mdv2007.1
+ Revision: 122037
- pcmcia_probe.o is needed

* Fri Feb 16 2007 Pixel <pixel@mandriva.com> 10.4.96-1mdv2007.1
+ Revision: 121862
- mandriva-gfxboot-theme is not needed to build
- new release, 10.4.96
- handle vga=0x3.. instead of vga=7..
- prefer free-kde-config (otherwise one-kde-config is chosen)
- use system-wide raghu.ttf (pablo)
- fix rights on files
- fix automatic selection of proprietary video kernel packages (blino)
- modify custom.conf instead of gdm.conf (blino)

* Thu Feb 08 2007 Pixel <pixel@mandriva.com> 10.4.93-1mdv2007.1
+ Revision: 117981
- add BuildRequires fonts-ttf-devanagari (for devanagari/raghu.ttf)
- 10.4.93
- install was completly broken because of stuff.so not being at the right place

* Tue Feb 06 2007 Pixel <pixel@mandriva.com> 10.4.92-1mdv2007.1
+ Revision: 116893
- first release
- Create drakx-installer-stage2

